using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;
using System.Data;
using System.Xml;
using System.Xml.Serialization;
using System.IO;

namespace TechXML_GeneralWSApp
{
	/// <summary>
	/// Summary description for Form1.
	/// </summary>
	public class TechXMLForm : System.Windows.Forms.Form
	{
		private System.Windows.Forms.OpenFileDialog openXmlFileDialog;
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;
		XmlDocument inputXmlDoc = new XmlDocument();
		private System.Windows.Forms.TabPage saveChangesButton;
		private System.Windows.Forms.Label label3;
		private System.Windows.Forms.Label label1;
		private System.Windows.Forms.TabControl tabControl1;
		private System.Windows.Forms.TabPage viewXmlTab;
		private AxSHDocVw.AxWebBrowser xmlWebBrowser;
		private System.Windows.Forms.ComboBox webServiceListComboBox;
		private System.Windows.Forms.RichTextBox requestViewRichTextBox;
		private System.Windows.Forms.ListBox requestListBox;
		private System.Windows.Forms.TabControl requestGenTab;
		private System.Windows.Forms.Button callWSButton;
		private System.Windows.Forms.Button callJavaWSBtn;
		private System.Windows.Forms.ComboBox javaComboBox;

		private ArrayList wsArrayList = new ArrayList();
		private ArrayList wsJavaArrayList = new ArrayList();
		private System.Windows.Forms.Button netXmlDocBtn;
		private System.Windows.Forms.ComboBox wsNETXmlDocComboBox;
		private ArrayList wsNetXmlDocArrayList = new ArrayList();

		public TechXMLForm()
		{
			InitializeComponent();

			//popuolate list box
			XmlDocument reqRepoDocument = new XmlDocument();
			reqRepoDocument.Load(Application.StartupPath + "\\req_repository.xml");
			foreach(XmlNode fileLocNode in reqRepoDocument.FirstChild.NextSibling)
			{
				this.requestListBox.Items.Add(fileLocNode.InnerText);
			}

			//populate .NET web service combo box
			XmlDocument wsDoc = new XmlDocument();
			wsDoc.Load(Application.StartupPath + "\\net_web_service_repository.xml");
			foreach(XmlNode wsNode in wsDoc.FirstChild.NextSibling)
			{
				//int count = this.webServiceListComboBox.Items.Count;
				wsArrayList.Add(wsNode.FirstChild.InnerText);
				this.webServiceListComboBox.Items.Add(wsNode.FirstChild.NextSibling.InnerText);
			}

			//populate .NET xml doc web service combo box
			wsDoc = new XmlDocument();
			wsDoc.Load(Application.StartupPath + "\\net_xmldoc_web_service_repository.xml");
			foreach(XmlNode wsNode in wsDoc.FirstChild.NextSibling)
			{
				//int count = this.webServiceListComboBox.Items.Count;
				wsNetXmlDocArrayList.Add(wsNode.FirstChild.InnerText);
				this.wsNETXmlDocComboBox.Items.Add(wsNode.FirstChild.NextSibling.InnerText);
			}

			//populate java web service combo box
			wsDoc = new XmlDocument();
			wsDoc.Load(Application.StartupPath + "\\java_web_service_repository.xml");
			foreach(XmlNode wsNode in wsDoc.FirstChild.NextSibling)
			{
				//int count = this.webServiceListComboBox.Items.Count;
				wsJavaArrayList.Add(wsNode.FirstChild.InnerText);
				this.javaComboBox.Items.Add(wsNode.FirstChild.NextSibling.InnerText);
			}
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if (components != null) 
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			System.Resources.ResourceManager resources = new System.Resources.ResourceManager(typeof(TechXMLForm));
			this.openXmlFileDialog = new System.Windows.Forms.OpenFileDialog();
			this.saveChangesButton = new System.Windows.Forms.TabPage();
			this.callJavaWSBtn = new System.Windows.Forms.Button();
			this.javaComboBox = new System.Windows.Forms.ComboBox();
			this.label3 = new System.Windows.Forms.Label();
			this.label1 = new System.Windows.Forms.Label();
			this.callWSButton = new System.Windows.Forms.Button();
			this.tabControl1 = new System.Windows.Forms.TabControl();
			this.viewXmlTab = new System.Windows.Forms.TabPage();
			this.xmlWebBrowser = new AxSHDocVw.AxWebBrowser();
			this.webServiceListComboBox = new System.Windows.Forms.ComboBox();
			this.requestViewRichTextBox = new System.Windows.Forms.RichTextBox();
			this.requestListBox = new System.Windows.Forms.ListBox();
			this.requestGenTab = new System.Windows.Forms.TabControl();
			this.netXmlDocBtn = new System.Windows.Forms.Button();
			this.wsNETXmlDocComboBox = new System.Windows.Forms.ComboBox();
			this.saveChangesButton.SuspendLayout();
			this.tabControl1.SuspendLayout();
			this.viewXmlTab.SuspendLayout();
			((System.ComponentModel.ISupportInitialize)(this.xmlWebBrowser)).BeginInit();
			this.requestGenTab.SuspendLayout();
			this.SuspendLayout();
			// 
			// saveChangesButton
			// 
			this.saveChangesButton.BackColor = System.Drawing.SystemColors.Control;
			this.saveChangesButton.Controls.Add(this.wsNETXmlDocComboBox);
			this.saveChangesButton.Controls.Add(this.netXmlDocBtn);
			this.saveChangesButton.Controls.Add(this.callJavaWSBtn);
			this.saveChangesButton.Controls.Add(this.javaComboBox);
			this.saveChangesButton.Controls.Add(this.label3);
			this.saveChangesButton.Controls.Add(this.label1);
			this.saveChangesButton.Controls.Add(this.callWSButton);
			this.saveChangesButton.Controls.Add(this.tabControl1);
			this.saveChangesButton.Controls.Add(this.webServiceListComboBox);
			this.saveChangesButton.Controls.Add(this.requestViewRichTextBox);
			this.saveChangesButton.Controls.Add(this.requestListBox);
			this.saveChangesButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.saveChangesButton.Location = new System.Drawing.Point(4, 22);
			this.saveChangesButton.Name = "saveChangesButton";
			this.saveChangesButton.Size = new System.Drawing.Size(824, 534);
			this.saveChangesButton.TabIndex = 1;
			this.saveChangesButton.Text = "Data Viewer";
			// 
			// callJavaWSBtn
			// 
			this.callJavaWSBtn.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.callJavaWSBtn.Location = new System.Drawing.Point(256, 496);
			this.callJavaWSBtn.Name = "callJavaWSBtn";
			this.callJavaWSBtn.Size = new System.Drawing.Size(128, 32);
			this.callJavaWSBtn.TabIndex = 15;
			this.callJavaWSBtn.Text = "Call JAVA WS";
			this.callJavaWSBtn.Click += new System.EventHandler(this.callJavaWSBtn_Click);
			// 
			// javaComboBox
			// 
			this.javaComboBox.Location = new System.Drawing.Point(16, 504);
			this.javaComboBox.Name = "javaComboBox";
			this.javaComboBox.Size = new System.Drawing.Size(224, 21);
			this.javaComboBox.TabIndex = 14;
			this.javaComboBox.Text = "Choose Web Service";
			// 
			// label3
			// 
			this.label3.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label3.Location = new System.Drawing.Point(8, 136);
			this.label3.Name = "label3";
			this.label3.Size = new System.Drawing.Size(200, 16);
			this.label3.TabIndex = 13;
			this.label3.Text = "Request XML";
			// 
			// label1
			// 
			this.label1.Font = new System.Drawing.Font("Microsoft Sans Serif", 10F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.label1.Location = new System.Drawing.Point(8, 8);
			this.label1.Name = "label1";
			this.label1.Size = new System.Drawing.Size(200, 16);
			this.label1.TabIndex = 11;
			this.label1.Text = "Available CDE Requests";
			// 
			// callWSButton
			// 
			this.callWSButton.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.callWSButton.Location = new System.Drawing.Point(256, 456);
			this.callWSButton.Name = "callWSButton";
			this.callWSButton.Size = new System.Drawing.Size(128, 32);
			this.callWSButton.TabIndex = 9;
			this.callWSButton.Text = "Call .NET Object";
			this.callWSButton.Click += new System.EventHandler(this.callWSButton_Click);
			// 
			// tabControl1
			// 
			this.tabControl1.Controls.Add(this.viewXmlTab);
			this.tabControl1.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.tabControl1.ItemSize = new System.Drawing.Size(68, 18);
			this.tabControl1.Location = new System.Drawing.Point(424, 8);
			this.tabControl1.Name = "tabControl1";
			this.tabControl1.SelectedIndex = 0;
			this.tabControl1.Size = new System.Drawing.Size(384, 512);
			this.tabControl1.TabIndex = 8;
			// 
			// viewXmlTab
			// 
			this.viewXmlTab.Controls.Add(this.xmlWebBrowser);
			this.viewXmlTab.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.viewXmlTab.Location = new System.Drawing.Point(4, 22);
			this.viewXmlTab.Name = "viewXmlTab";
			this.viewXmlTab.Size = new System.Drawing.Size(376, 486);
			this.viewXmlTab.TabIndex = 0;
			this.viewXmlTab.Text = "XML View";
			// 
			// xmlWebBrowser
			// 
			this.xmlWebBrowser.ContainingControl = this;
			this.xmlWebBrowser.Enabled = true;
			this.xmlWebBrowser.Location = new System.Drawing.Point(8, 8);
			this.xmlWebBrowser.OcxState = ((System.Windows.Forms.AxHost.State)(resources.GetObject("xmlWebBrowser.OcxState")));
			this.xmlWebBrowser.Size = new System.Drawing.Size(360, 472);
			this.xmlWebBrowser.TabIndex = 0;
			// 
			// webServiceListComboBox
			// 
			this.webServiceListComboBox.Location = new System.Drawing.Point(16, 464);
			this.webServiceListComboBox.Name = "webServiceListComboBox";
			this.webServiceListComboBox.Size = new System.Drawing.Size(224, 21);
			this.webServiceListComboBox.TabIndex = 7;
			this.webServiceListComboBox.Text = "Choose Web Service";
			// 
			// requestViewRichTextBox
			// 
			this.requestViewRichTextBox.Font = new System.Drawing.Font("Microsoft Sans Serif", 11F, System.Drawing.FontStyle.Regular, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.requestViewRichTextBox.Location = new System.Drawing.Point(8, 160);
			this.requestViewRichTextBox.Name = "requestViewRichTextBox";
			this.requestViewRichTextBox.Size = new System.Drawing.Size(392, 248);
			this.requestViewRichTextBox.TabIndex = 4;
			this.requestViewRichTextBox.Text = "";
			this.requestViewRichTextBox.WordWrap = false;
			// 
			// requestListBox
			// 
			this.requestListBox.AllowDrop = true;
			this.requestListBox.Location = new System.Drawing.Point(8, 40);
			this.requestListBox.Name = "requestListBox";
			this.requestListBox.Size = new System.Drawing.Size(392, 82);
			this.requestListBox.Sorted = true;
			this.requestListBox.TabIndex = 0;
			this.requestListBox.SelectedIndexChanged += new System.EventHandler(this.requestListBox_SelectedIndexChanged);
			// 
			// requestGenTab
			// 
			this.requestGenTab.AccessibleName = "";
			this.requestGenTab.Controls.Add(this.saveChangesButton);
			this.requestGenTab.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.requestGenTab.ItemSize = new System.Drawing.Size(58, 18);
			this.requestGenTab.Location = new System.Drawing.Point(8, 8);
			this.requestGenTab.Name = "requestGenTab";
			this.requestGenTab.SelectedIndex = 0;
			this.requestGenTab.Size = new System.Drawing.Size(832, 560);
			this.requestGenTab.TabIndex = 9;
			// 
			// netXmlDocBtn
			// 
			this.netXmlDocBtn.Font = new System.Drawing.Font("Microsoft Sans Serif", 8.25F, System.Drawing.FontStyle.Bold, System.Drawing.GraphicsUnit.Point, ((System.Byte)(0)));
			this.netXmlDocBtn.Location = new System.Drawing.Point(256, 416);
			this.netXmlDocBtn.Name = "netXmlDocBtn";
			this.netXmlDocBtn.Size = new System.Drawing.Size(128, 32);
			this.netXmlDocBtn.TabIndex = 16;
			this.netXmlDocBtn.Text = "Call .NET Xml Doc";
			this.netXmlDocBtn.Click += new System.EventHandler(this.netXmlDocBtn_Click);
			// 
			// wsNETXmlDocComboBox
			// 
			this.wsNETXmlDocComboBox.Location = new System.Drawing.Point(16, 424);
			this.wsNETXmlDocComboBox.Name = "wsNETXmlDocComboBox";
			this.wsNETXmlDocComboBox.Size = new System.Drawing.Size(224, 21);
			this.wsNETXmlDocComboBox.TabIndex = 17;
			this.wsNETXmlDocComboBox.Text = "Choose Web Service";
			// 
			// TechXMLForm
			// 
			this.AutoScaleBaseSize = new System.Drawing.Size(5, 13);
			this.ClientSize = new System.Drawing.Size(848, 573);
			this.Controls.Add(this.requestGenTab);
			this.Name = "TechXMLForm";
			this.Text = "LDMS Data Viewer";
			this.saveChangesButton.ResumeLayout(false);
			this.tabControl1.ResumeLayout(false);
			this.viewXmlTab.ResumeLayout(false);
			((System.ComponentModel.ISupportInitialize)(this.xmlWebBrowser)).EndInit();
			this.requestGenTab.ResumeLayout(false);
			this.ResumeLayout(false);

		}
		#endregion

		/// <summary>
		/// The main entry point for the application.
		/// </summary>
		[STAThread]
		static void Main() 
		{
			Application.Run(new TechXMLForm());
		}

		private void requestListBox_SelectedIndexChanged(object sender, System.EventArgs e)
		{
			String fileLocation = this.requestListBox.SelectedItem.ToString();
			XmlDocument reqDocument = new XmlDocument();
			reqDocument.Load(Application.StartupPath + fileLocation);
			this.requestViewRichTextBox.PerformLayout();
			//this.requestViewRichTextBox.Text = reqDocument.OuterXml;
			this.requestViewRichTextBox.LoadFile(Application.StartupPath + fileLocation, RichTextBoxStreamType.PlainText);
		}


		private void callWSButton_Click(object sender, System.EventArgs e)
		{
			String wsEndpoint = null;

		    //call web service with specified end point
			int index = this.webServiceListComboBox.SelectedIndex;
			wsEndpoint = this.wsArrayList[index].ToString();

			WindowsApplication2.Net_CDELite.TechCDELite newWS = new WindowsApplication2.Net_CDELite.TechCDELite();
			//WindowsApplication2.localhost.RegistryManagementServices newWS = new WindowsApplication2.localhost.RegistryManagementServices();
			newWS.Url = wsEndpoint;
			
			XmlDocument returnXmlDoc = new XmlDocument();
			returnXmlDoc.CreateXmlDeclaration("1.0", "UTF-8", null);
			XmlNode newNode = null;
			
			XmlDocument reqDocument = new XmlDocument();
			reqDocument.LoadXml(this.requestViewRichTextBox.Text);
			
			String name = reqDocument.FirstChild.NextSibling.Name;

            WindowsApplication2.Net_CDELite.queryCDEMim_query cdeQueryReq = new WindowsApplication2.Net_CDELite.queryCDEMim_query();
            WindowsApplication2.Net_CDELite.writeCDEMim_write cdeWriteReq;
            WindowsApplication2.Net_CDELite.queryCDEMim_queryMim_query_req queryReq = new WindowsApplication2.Net_CDELite.queryCDEMim_queryMim_query_req();
          //  WindowsApplication2.Net_CDELite.queryCDEMim_queryMim_query_req queryReq = new WindowsApplication2.Net_CDELite.queryCDEMim_queryMim_query_req();
          //  cdeQueryReq.Item = queryReq;
          //  newWS.queryCDE(cdeQueryReq);

			try
			{		

			if(name.Equals("mim_query") || name.Equals("queryCDE") || name.Equals("mim_query_req"))
			{
                
                cdeQueryReq = new WindowsApplication2.Net_CDELite.queryCDEMim_query();
                XmlSerializer serializer = new XmlSerializer(typeof(WindowsApplication2.Net_CDELite.queryCDEMim_query));
				XmlReader reader = new XmlNodeReader(reqDocument);

                cdeQueryReq = (WindowsApplication2.Net_CDELite.queryCDEMim_query)serializer.Deserialize(reader);
                WindowsApplication2.Net_CDELite.queryCDEResponseQueryCDEResult cdeAck = new WindowsApplication2.Net_CDELite.queryCDEResponseQueryCDEResult();
				cdeAck = newWS.queryCDE(cdeQueryReq);
				

                /*
                cdeQueryReq = new WindowsApplication2.Net_CDELite.queryCDEMim_query();
                XmlSerializer serializer = new XmlSerializer(typeof(WindowsApplication2.Net_CDELite.queryCDEMim_queryMim_query_req));
                XmlReader reader = new XmlNodeReader(reqDocument);

                queryReq = (WindowsApplication2.Net_CDELite.queryCDEMim_queryMim_query_req)serializer.Deserialize(reader);
                WindowsApplication2.Net_CDELite.queryCDEResponseQueryCDEResult cdeAck = new WindowsApplication2.Net_CDELite.queryCDEResponseQueryCDEResult();
                cdeQueryReq.Item = queryReq;
                
                cdeAck = newWS.queryCDE(cdeQueryReq);
                */
				XmlWriter trWrite = new XmlTextWriter(Application.StartupPath + "reqDoc.xml", System.Text.Encoding.UTF8);
				serializer.Serialize(trWrite, cdeAck);
				trWrite.Close();
				returnXmlDoc.Load(Application.StartupPath + "reqDoc.xml");				
			}
			else if(name.Equals("mim_write"))
			{
                cdeWriteReq = new WindowsApplication2.Net_CDELite.writeCDEMim_write();
                XmlSerializer serializer = new XmlSerializer(typeof(WindowsApplication2.Net_CDELite.writeCDEMim_write));
				XmlReader reader = new XmlNodeReader(reqDocument);

                cdeWriteReq = (WindowsApplication2.Net_CDELite.writeCDEMim_write)serializer.Deserialize(reader);
                WindowsApplication2.Net_CDELite.writeCDEMim_write cdeAck = new WindowsApplication2.Net_CDELite.writeCDEMim_write();
				//cdeAck = newWS.WriteCDE(cdeWriteReq);
				
				
				XmlWriter trWrite = new XmlTextWriter(Application.StartupPath + "reqDoc.xml", System.Text.Encoding.UTF8);
				serializer.Serialize(trWrite, cdeAck);
				trWrite.Close();
				returnXmlDoc.Load(Application.StartupPath + "reqDoc.xml");
			}
				
				returnXmlDoc.Save(Application.StartupPath + "returnDoc.xml");

				Object obj = null;
				this.xmlWebBrowser.Navigate(Application.StartupPath + "returnDoc.xml", ref obj, ref obj, ref obj, ref obj);
			}
			catch(Exception ee)
			{
				MessageBox.Show(ee.ToString() + "--------------" + returnXmlDoc.InnerXml);
			}
		}

        /*

        private void callJavaWSBtn_Click(object sender, System.EventArgs e)
        {
            String wsEndpoint = null;

            //call web service with specified end point
            int index = this.javaComboBox.SelectedIndex;
            wsEndpoint = this.wsJavaArrayList[index].ToString();

            WindowsApplication2.localhost_java_small.RegistryManagementServices newWS = new WindowsApplication2.localhost_java_small.RegistryManagementServices();
            newWS.Url = wsEndpoint;

            XmlDocument returnXmlDoc = new XmlDocument();
            returnXmlDoc.CreateXmlDeclaration("1.0", "UTF-8", null);
            XmlNode newNode = null;

            XmlDocument reqDocument = new XmlDocument();
            reqDocument.LoadXml(this.requestViewRichTextBox.Text);

            String name = reqDocument.FirstChild.NextSibling.Name;

            WindowsApplication2.localhost_java_small.mim_query cdeQueryReq;// = new WindowsApplication2.localhost_java_small.mim_query();
            WindowsApplication2.localhost_java_small.mim_write cdeWriteReq;

            //cdeQueryReq.mim_query_req = new WindowsApplication2.localhost_java_small.mim_query_req();

            //newWS.QueryCDE(cdeQueryReq);


            try
            {
                if (name.Equals("mim_query") || name.Equals("queryRequest") || name.Equals("mim_query_req"))
                {
                    cdeQueryReq = new WindowsApplication2.localhost_java_small.mim_query();
                    XmlSerializer serializer = new XmlSerializer(typeof(WindowsApplication2.localhost_java_small.mim_query));
                    XmlReader reader = new XmlNodeReader(reqDocument);

                    cdeQueryReq = (WindowsApplication2.localhost_java_small.mim_query)serializer.Deserialize(reader);
                    WindowsApplication2.localhost_java_small.mim_query cdeAck = new WindowsApplication2.localhost_java_small.mim_query();
                    cdeAck = newWS.QueryCDE(cdeQueryReq);

                    MessageBox.Show(cdeAck.mim_query_ack.header.session_id);

                    XmlWriter trWrite = new XmlTextWriter(Application.StartupPath + "reqDoc.xml", System.Text.Encoding.UTF8);
                    serializer.Serialize(trWrite, cdeAck);
                    trWrite.Close();
                    returnXmlDoc.Load(Application.StartupPath + "reqDoc.xml");
                }
                else if (name.Equals("mim_write"))
                {
                    cdeWriteReq = new WindowsApplication2.localhost_java_small.mim_write();
                    XmlSerializer serializer = new XmlSerializer(typeof(WindowsApplication2.localhost_java_small.mim_write));
                    XmlReader reader = new XmlNodeReader(reqDocument);

                    cdeWriteReq = (WindowsApplication2.localhost_java_small.mim_write)serializer.Deserialize(reader);
                    WindowsApplication2.localhost_java_small.mim_write cdeAck = new WindowsApplication2.localhost_java_small.mim_write();
                    cdeAck = newWS.WriteCDE(cdeWriteReq);

                    XmlWriter trWrite = new XmlTextWriter(Application.StartupPath + "reqDoc.xml", System.Text.Encoding.UTF8);
                    serializer.Serialize(trWrite, cdeAck);
                    trWrite.Close();
                    returnXmlDoc.Load(Application.StartupPath + "reqDoc.xml");
                }

                returnXmlDoc.Save(Application.StartupPath + "returnDoc.xml");

                Object obj = null;
                this.xmlWebBrowser.Navigate(Application.StartupPath + "returnDoc.xml", ref obj, ref obj, ref obj, ref obj);
            }
            catch (Exception ee)
            {
                MessageBox.Show(ee.ToString() + "--------------" + returnXmlDoc.InnerXml);
            }
        }

        */

		private void callJavaWSBtn_Click(object sender, System.EventArgs e)
		{
            /*
			String wsEndpoint = null;

			//call web service with specified end point
			int index = this.javaComboBox.SelectedIndex;
			wsEndpoint = this.wsJavaArrayList[index].ToString();

            WindowsApplication2.localhost_javaSun.cdeserviceService newWS = new WindowsApplication2.localhost_javaSun.cdeserviceService();
			newWS.Url = wsEndpoint;

			XmlDocument returnXmlDoc = new XmlDocument();
			returnXmlDoc.CreateXmlDeclaration("1.0", "UTF-8", null);
			
			XmlDocument reqDocument = new XmlDocument();
			reqDocument.LoadXml(this.requestViewRichTextBox.Text);
			
			String name = reqDocument.FirstChild.NextSibling.Name;

            WindowsApplication2.localhost_javaSun.queryCDEArg0 cdeQueryReq = new WindowsApplication2.localhost_javaSun.queryCDEArg0();
            WindowsApplication2.localhost_javaSun.mim_query_req mimQueryReq = new WindowsApplication2.localhost_javaSun.mim_query_req();
			//cdeQueryReq.mim_query_req = new WindowsApplication2.localhost_java_small.mim_query_req();

            //cdeQueryReq.mim_query_req = mimQueryReq;
            //mimQueryReq.header = new WindowsApplication2.localhost_javaSun.header();
           // mimQueryReq.header.session_id = "asdf";

			//newWS.queryCDE(cdeQueryReq);


			try
			{		
				
                    cdeQueryReq = new WindowsApplication2.localhost_javaSun.queryCDEArg0();
                    XmlSerializer serializer = new XmlSerializer(typeof(WindowsApplication2.localhost_javaSun.mim_query_req));
					XmlReader reader = new XmlNodeReader(reqDocument);

                    mimQueryReq = (WindowsApplication2.localhost_javaSun.mim_query_req)serializer.Deserialize(reader);
                    cdeQueryReq.mim_query_req = mimQueryReq;                   
                    WindowsApplication2.localhost_javaSun.queryCDEArg0 cdeAck = new WindowsApplication2.localhost_javaSun.queryCDEArg0();
					WindowsApplication2.localhost_javaSun.queryCDEResponseReturn ret = newWS.queryCDE(cdeQueryReq);
                    cdeAck.mim_query_ack = ret.mim_query_ack;

					XmlWriter trWrite = new XmlTextWriter(Application.StartupPath + "reqDoc.xml", System.Text.Encoding.UTF8);
					serializer.Serialize(trWrite, cdeAck);
					trWrite.Close();
					returnXmlDoc.Load(Application.StartupPath + "reqDoc.xml");				
				
			
				returnXmlDoc.Save(Application.StartupPath + "returnDoc.xml");

				Object obj = null;
				this.xmlWebBrowser.Navigate(Application.StartupPath + "returnDoc.xml", ref obj, ref obj, ref obj, ref obj);
			}
			catch(Exception ee)
			{
				MessageBox.Show(ee.ToString() + "--------------" + returnXmlDoc.InnerXml);
			}
              */
		}



		private void netXmlDocBtn_Click(object sender, System.EventArgs e)
		{
			String wsEndpoint = null;

			//call web service with specified end point
			int index = this.wsNETXmlDocComboBox.SelectedIndex;
			wsEndpoint = this.wsNetXmlDocArrayList[index].ToString();

			WindowsApplication2.CDE2005XMLDoc.TechCDEDocument newWS = new WindowsApplication2.CDE2005XMLDoc.TechCDEDocument();
			//WindowsApplication2.localhost_net_xmldoc.RelManagementServices newWS = new WindowsApplication2.localhost_net_xmldoc.RelManagementServices();
			newWS.Url = wsEndpoint;
			
			XmlDocument returnXmlDoc = new XmlDocument();
			returnXmlDoc.CreateXmlDeclaration("1.0", "UTF-8", null);
			XmlNode newNode = null;
			
			XmlDocument reqDocument = new XmlDocument();
			reqDocument.LoadXml(this.requestViewRichTextBox.Text);
			newNode = reqDocument.FirstChild;

			String name = reqDocument.FirstChild.NextSibling.Name;

			try
			{		
				if(name.Equals("mim_query"))
				{								
					newNode = newWS.queryCDE(reqDocument);				
				}
				else if(name.Equals("mim_write"))
				{					
					newNode = newWS.writeCDE(reqDocument);
				}
				
				returnXmlDoc.LoadXml(newNode.OuterXml);
				returnXmlDoc.Save(Application.StartupPath + "returnDoc.xml");

				Object obj = null;
				this.xmlWebBrowser.Navigate(Application.StartupPath + "returnDoc.xml", ref obj, ref obj, ref obj, ref obj);
			}
			catch(Exception ee)
			{
				MessageBox.Show(ee.ToString() + "--------------" + returnXmlDoc.InnerXml);
			}
		}

	}
}