/*
 * Company :      MIMOSA
 * Project :      CRIS V3.1.1
 * Author :       MIMOSA
 *
 * Date Created : May 31, 2008
 * Target DBMS : Microsoft SQL Server 2000 & 2005
 */


/* 
 * TABLE: agent_role_type 
 */

CREATE TABLE agent_role_type(
    ag_role_db_site      char(16)        NOT NULL,
    ag_role_db_id        int             NOT NULL,
    ag_role_type_code    int             NOT NULL,
    name                 varchar(254)    NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__agent_role_type__5AB9788F PRIMARY KEY CLUSTERED (ag_role_db_site, ag_role_db_id, ag_role_type_code)
) 
go



IF OBJECT_ID('agent_role_type') IS NOT NULL
    PRINT '<<< CREATED TABLE agent_role_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE agent_role_type >>>'
go

/* 
 * TABLE: agent_role_with_agent 
 */

CREATE TABLE agent_role_with_agent(
    org_agent_site          char(16)        NOT NULL,
    agent_id                int             NOT NULL,
    ag_role_db_site         char(16)        NOT NULL,
    ag_role_db_id           int             NOT NULL,
    ag_role_type_code       int             NOT NULL,
    other_org_agent_site    char(16)        NOT NULL,
    other_agent_id          int             NOT NULL,
    name                    varchar(254)    NULL,
    user_tag_ident          varchar(254)    NULL,
    gmt_last_updated        datetime        NULL,
    last_upd_db_site        char(16)        NULL,
    last_upd_db_id          int             NULL,
    rstat_type_code         smallint        NULL,
    CONSTRAINT PK__agent_role_with___7B264821 PRIMARY KEY CLUSTERED (org_agent_site, agent_id, ag_role_db_site, ag_role_db_id, ag_role_type_code, other_org_agent_site, other_agent_id)
) 
go



IF OBJECT_ID('agent_role_with_agent') IS NOT NULL
    PRINT '<<< CREATED TABLE agent_role_with_agent >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE agent_role_with_agent >>>'
go

/* 
 * TABLE: agent_role 
 */

CREATE TABLE agent_role(
    org_agent_site       char(16)        NOT NULL,
    agent_id             int             NOT NULL,
    ag_role_db_site      char(16)        NOT NULL,
    ag_role_db_id        int             NOT NULL,
    ag_role_type_code    int             NOT NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__agent_role__793DFFAF PRIMARY KEY CLUSTERED (org_agent_site, agent_id, ag_role_db_site, ag_role_db_id, ag_role_type_code)
) 
go



IF OBJECT_ID('agent_role') IS NOT NULL
    PRINT '<<< CREATED TABLE agent_role >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE agent_role >>>'
go

/* 
 * TABLE: agent_type 
 */

CREATE TABLE agent_type(
    agent_db_site       char(16)        NOT NULL,
    agent_db_id         int             NOT NULL,
    agent_type_code     int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__agent_type__6EF57B66 PRIMARY KEY CLUSTERED (agent_db_site, agent_db_id, agent_type_code)
) 
go



IF OBJECT_ID('agent_type') IS NOT NULL
    PRINT '<<< CREATED TABLE agent_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE agent_type >>>'
go

/* 
 * TABLE: agent 
 */

CREATE TABLE agent(
    org_agent_site      char(16)        NOT NULL,
    agent_id            int             NOT NULL,
    agent_db_site       char(16)        NOT NULL,
    agent_db_id         int             NOT NULL,
    agent_type_code     int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__agent__70DDC3D8 PRIMARY KEY CLUSTERED (org_agent_site, agent_id)
) 
go



IF OBJECT_ID('agent') IS NOT NULL
    PRINT '<<< CREATED TABLE agent >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE agent >>>'
go

/* 
 * TABLE: alarm_type 
 */

CREATE TABLE alarm_type(
    al_db_site                char(16)        NOT NULL,
    al_db_id                  int             NOT NULL,
    al_type_code              int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    name                      varchar(254)    NOT NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__alarm_type__6B24EA82 PRIMARY KEY CLUSTERED (al_db_site, al_db_id, al_type_code)
) 
go



IF OBJECT_ID('alarm_type') IS NOT NULL
    PRINT '<<< CREATED TABLE alarm_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE alarm_type >>>'
go

/* 
 * TABLE: amb_set_type 
 */

CREATE TABLE amb_set_type(
    amb_set_db_site      char(16)        NOT NULL,
    amb_set_db_id        int             NOT NULL,
    amb_set_type_code    int             NOT NULL,
    name                 varchar(254)    NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__amb_set_type__10AB74EC PRIMARY KEY CLUSTERED (amb_set_db_site, amb_set_db_id, amb_set_type_code)
) 
go



IF OBJECT_ID('amb_set_type') IS NOT NULL
    PRINT '<<< CREATED TABLE amb_set_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE amb_set_type >>>'
go

/* 
 * TABLE: as_chr_dat_type 
 */

CREATE TABLE as_chr_dat_type(
    ac_db_site          char(16)        NOT NULL,
    ac_db_id            int             NOT NULL,
    ac_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    default_ru_type     int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_chr_dat_type__36B12243 PRIMARY KEY CLUSTERED (ac_db_site, ac_db_id, ac_type_code)
) 
go



IF OBJECT_ID('as_chr_dat_type') IS NOT NULL
    PRINT '<<< CREATED TABLE as_chr_dat_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_chr_dat_type >>>'
go

/* 
 * TABLE: as_completed_work 
 */

CREATE TABLE as_completed_work(
    asset_org_site            char(16)        NOT NULL,
    asset_id                  int             NOT NULL,
    task_db_site              char(16)        NOT NULL,
    task_db_id                int             NOT NULL,
    task_type_code            int             NOT NULL,
    gmt_completed             datetime        NOT NULL,
    cp_loc_hr_delta           smallint        NULL,
    cp_loc_min_delta          smallint        NULL,
    gmt_started               datetime        NULL,
    st_loc_hr_delta           smallint        NULL,
    st_loc_min_delta          smallint        NULL,
    by_agent_site             char(16)        NULL,
    by_agent_id               int             NULL,
    from_sy_agent_site        char(16)        NULL,
    from_sy_agent_id          int             NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    work_order_db_site        char(16)        NULL,
    work_order_db_id          int             NULL,
    work_order_id             int             NULL,
    work_ord_step_seq         int             NULL,
    user_tag_ident            varchar(254)    NULL,
    name                      varchar(254)    NULL,
    long_description          varchar(4000)   NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__as_completed_wor__0169315C PRIMARY KEY CLUSTERED (asset_org_site, asset_id, task_db_site, task_db_id, task_type_code, gmt_completed)
) 
go



IF OBJECT_ID('as_completed_work') IS NOT NULL
    PRINT '<<< CREATED TABLE as_completed_work >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_completed_work >>>'
go

/* 
 * TABLE: as_ev_as_func_link 
 */

CREATE TABLE as_ev_as_func_link(
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    fc_as_org_site      char(16)        NOT NULL,
    fc_as_id            int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_ev_as_func_li__382F5661 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, db_site, db_id, fc_as_org_site, fc_as_id, ordering_seq)
) 
go



IF OBJECT_ID('as_ev_as_func_link') IS NOT NULL
    PRINT '<<< CREATED TABLE as_ev_as_func_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_ev_as_func_link >>>'
go

/* 
 * TABLE: as_ev_meas_event 
 */

CREATE TABLE as_ev_meas_event(
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_ev_meas_event__3FD07829 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('as_ev_meas_event') IS NOT NULL
    PRINT '<<< CREATED TABLE as_ev_meas_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_ev_meas_event >>>'
go

/* 
 * TABLE: as_event_chr_data 
 */

CREATE TABLE as_event_chr_data(
    asset_org_site      char(16)     NOT NULL,
    asset_id            int          NOT NULL,
    ev_db_site          char(16)     NOT NULL,
    ev_db_id            int          NOT NULL,
    event_type_code     int          NOT NULL,
    gmt_event_start     datetime     NOT NULL,
    ec_db_site          char(16)     NOT NULL,
    ec_db_id            int          NOT NULL,
    ec_type_code        int          NOT NULL,
    eu_db_site          char(16)     NOT NULL,
    eu_db_id            int          NOT NULL,
    eu_type_code        int          NOT NULL,
    data_value          char(254)    NOT NULL,
    gmt_last_updated    datetime     NULL,
    last_upd_db_site    char(16)     NULL,
    last_upd_db_id      int          NULL,
    rstat_type_code     smallint     NULL,
    CONSTRAINT PK__as_event_chr_dat__405A880E PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, ec_db_site, ec_db_id, ec_type_code)
) 
go



IF OBJECT_ID('as_event_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE as_event_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_event_chr_data >>>'
go

/* 
 * TABLE: as_event_num_data 
 */

CREATE TABLE as_event_num_data(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    ev_db_site          char(16)    NOT NULL,
    ev_db_id            int         NOT NULL,
    event_type_code     int         NOT NULL,
    gmt_event_start     datetime    NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__as_event_num_dat__3BFFE745 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('as_event_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE as_event_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_event_num_data >>>'
go

/* 
 * TABLE: as_health_as_event 
 */

CREATE TABLE as_health_as_event(
    asset_org_site        char(16)        NOT NULL,
    asset_id              int             NOT NULL,
    gmt_assessment        datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ev_as_org_site        char(16)        NOT NULL,
    ev_as_id              int             NOT NULL,
    ev_db_site            char(16)        NOT NULL,
    ev_db_id              int             NOT NULL,
    event_type_code       int             NOT NULL,
    gmt_event_start       datetime        NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_by_org_asite    char(16)        NULL,
    assoc_by_agent_id     int             NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_health_as_eve__0C1BC9F9 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id, ev_as_org_site, ev_as_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('as_health_as_event') IS NOT NULL
    PRINT '<<< CREATED TABLE as_health_as_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_health_as_event >>>'
go

/* 
 * TABLE: as_health_as_prop_ev 
 */

CREATE TABLE as_health_as_prop_ev(
    asset_org_site        char(16)        NOT NULL,
    asset_id              int             NOT NULL,
    gmt_assessment        datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    as_prop_db_site       char(16)        NOT NULL,
    as_prop_db_id         int             NOT NULL,
    as_prop_event_id      int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_by_org_asite    char(16)        NULL,
    assoc_by_agent_id     int             NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_health_as_pro__0FEC5ADD PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id, as_prop_db_site, as_prop_db_id, as_prop_event_id)
) 
go



IF OBJECT_ID('as_health_as_prop_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_health_as_prop_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_health_as_prop_ev >>>'
go

/* 
 * TABLE: as_hyp_ev_as_func 
 */

CREATE TABLE as_hyp_ev_as_func(
    as_hyp_db_site      char(16)        NOT NULL,
    as_hyp_db_id        int             NOT NULL,
    as_hyp_event_id     int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_hyp_ev_as_fun__640DD89F PRIMARY KEY CLUSTERED (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id, db_site, db_id, asset_org_site, asset_id, ordering_seq)
) 
go



IF OBJECT_ID('as_hyp_ev_as_func') IS NOT NULL
    PRINT '<<< CREATED TABLE as_hyp_ev_as_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_hyp_ev_as_func >>>'
go

/* 
 * TABLE: as_hyp_ev_num_data 
 */

CREATE TABLE as_hyp_ev_num_data(
    as_hyp_db_site      char(16)        NOT NULL,
    as_hyp_db_id        int             NOT NULL,
    as_hyp_event_id     int             NOT NULL,
    en_db_site          char(16)        NOT NULL,
    en_db_id            int             NOT NULL,
    en_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_hyp_ev_num_da__5A846E65 PRIMARY KEY CLUSTERED (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('as_hyp_ev_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE as_hyp_ev_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_hyp_ev_num_data >>>'
go

/* 
 * TABLE: as_hyp_event_link 
 */

CREATE TABLE as_hyp_event_link(
    as_hyp_db_site      char(16)        NOT NULL,
    as_hyp_db_id        int             NOT NULL,
    as_hyp_event_id     int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_hyp_event_lin__50FB042B PRIMARY KEY CLUSTERED (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('as_hyp_event_link') IS NOT NULL
    PRINT '<<< CREATED TABLE as_hyp_event_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_hyp_event_link >>>'
go

/* 
 * TABLE: as_hyp_event 
 */

CREATE TABLE as_hyp_event(
    as_hyp_db_site            char(16)        NOT NULL,
    as_hyp_db_id              int             NOT NULL,
    as_hyp_event_id           int             NOT NULL,
    asset_org_site            char(16)        NOT NULL,
    asset_id                  int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_created               datetime        NULL,
    cr_loc_hr_delta           smallint        NULL,
    cr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    associated_blob           image           NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__as_hyp_event__477199F1 PRIMARY KEY CLUSTERED (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
) 
go



IF OBJECT_ID('as_hyp_event') IS NOT NULL
    PRINT '<<< CREATED TABLE as_hyp_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_hyp_event >>>'
go

/* 
 * TABLE: as_network_connect 
 */

CREATE TABLE as_network_connect(
    network_db_site      char(16)    NOT NULL,
    network_db_id        int         NOT NULL,
    network_id           int         NOT NULL,
    asset_org_site       char(16)    NOT NULL,
    asset_id             int         NOT NULL,
    output_as_site       char(16)    NOT NULL,
    output_as_id         int         NOT NULL,
    ordering_seq         int         NOT NULL,
    gmt_stream_config    datetime    NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__as_network_conne__7755B73D PRIMARY KEY CLUSTERED (network_db_site, network_db_id, network_id, asset_org_site, asset_id, output_as_site, output_as_id, ordering_seq)
) 
go



IF OBJECT_ID('as_network_connect') IS NOT NULL
    PRINT '<<< CREATED TABLE as_network_connect >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_network_connect >>>'
go

/* 
 * TABLE: as_num_dat_type 
 */

CREATE TABLE as_num_dat_type(
    an_db_site          char(16)        NOT NULL,
    an_db_id            int             NOT NULL,
    an_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    default_ru_type     int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_num_dat_type__34C8D9D1 PRIMARY KEY CLUSTERED (an_db_site, an_db_id, an_type_code)
) 
go



IF OBJECT_ID('as_num_dat_type') IS NOT NULL
    PRINT '<<< CREATED TABLE as_num_dat_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_num_dat_type >>>'
go

/* 
 * TABLE: as_prop_ev_as_ev 
 */

CREATE TABLE as_prop_ev_as_ev(
    as_prop_db_site     char(16)        NOT NULL,
    as_prop_db_id       int             NOT NULL,
    as_prop_event_id    int             NOT NULL,
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_prop_ev_as_ev__00AA174D PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id, asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('as_prop_ev_as_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_prop_ev_as_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_prop_ev_as_ev >>>'
go

/* 
 * TABLE: as_prop_ev_as_func 
 */

CREATE TABLE as_prop_ev_as_func(
    as_prop_db_site     char(16)        NOT NULL,
    as_prop_db_id       int             NOT NULL,
    as_prop_event_id    int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_prop_ev_as_fu__7908F585 PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id, db_site, db_id, asset_org_site, asset_id, ordering_seq)
) 
go



IF OBJECT_ID('as_prop_ev_as_func') IS NOT NULL
    PRINT '<<< CREATED TABLE as_prop_ev_as_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_prop_ev_as_func >>>'
go

/* 
 * TABLE: as_prop_ev_hyp_ev 
 */

CREATE TABLE as_prop_ev_hyp_ev(
    as_prop_db_site     char(16)        NOT NULL,
    as_prop_db_id       int             NOT NULL,
    as_prop_event_id    int             NOT NULL,
    as_hypev_db_site    char(16)        NOT NULL,
    as_hypev_db_id      int             NOT NULL,
    as_hyp_event_id     int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_prop_ev_hyp_e__7CD98669 PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id, as_hypev_db_site, as_hypev_db_id, as_hyp_event_id)
) 
go



IF OBJECT_ID('as_prop_ev_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_prop_ev_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_prop_ev_hyp_ev >>>'
go

/* 
 * TABLE: as_prop_ev_link 
 */

CREATE TABLE as_prop_ev_link(
    as_prop_db_site     char(16)        NOT NULL,
    as_prop_db_id       int             NOT NULL,
    as_prop_event_id    int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_prop_ev_link__7167D3BD PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('as_prop_ev_link') IS NOT NULL
    PRINT '<<< CREATED TABLE as_prop_ev_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_prop_ev_link >>>'
go

/* 
 * TABLE: as_prop_ev_meas_ev 
 */

CREATE TABLE as_prop_ev_meas_ev(
    as_prop_db_site     char(16)        NOT NULL,
    as_prop_db_id       int             NOT NULL,
    as_prop_event_id    int             NOT NULL,
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_prop_ev_meas___047AA831 PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('as_prop_ev_meas_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_prop_ev_meas_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_prop_ev_meas_ev >>>'
go

/* 
 * TABLE: as_prop_ev_ndat 
 */

CREATE TABLE as_prop_ev_ndat(
    as_prop_db_site     char(16)    NOT NULL,
    as_prop_db_id       int         NOT NULL,
    as_prop_event_id    int         NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__as_prop_ev_ndat__753864A1 PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('as_prop_ev_ndat') IS NOT NULL
    PRINT '<<< CREATED TABLE as_prop_ev_ndat >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_prop_ev_ndat >>>'
go

/* 
 * TABLE: as_proposed_event 
 */

CREATE TABLE as_proposed_event(
    as_prop_db_site           char(16)        NOT NULL,
    as_prop_db_id             int             NOT NULL,
    as_prop_event_id          int             NOT NULL,
    asset_org_site            char(16)        NOT NULL,
    asset_id                  int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_proposed              datetime        NULL,
    pr_loc_hr_delta           smallint        NULL,
    pr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    likelihood_prob           float           NULL,
    est_gmt_start             datetime        NULL,
    st_loc_hr_delta           smallint        NULL,
    st_loc_min_delta          smallint        NULL,
    est_gmt_occur_end         datetime        NULL,
    end_loc_hr_delta          smallint        NULL,
    end_loc_min_delta         smallint        NULL,
    ch_patt_db_site           char(16)        NULL,
    ch_patt_db_id             int             NULL,
    ch_patt_type_code         int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_audited               datetime        NULL,
    aud_loc_hr_delta          smallint        NULL,
    aud_loc_min_delta         smallint        NULL,
    aud_quality_code          smallint        NULL,
    aud_by_org_asite          char(16)        NULL,
    aud_by_agent_id           int             NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__as_proposed_even__6D9742D9 PRIMARY KEY CLUSTERED (as_prop_db_site, as_prop_db_id, as_prop_event_id)
) 
go



IF OBJECT_ID('as_proposed_event') IS NOT NULL
    PRINT '<<< CREATED TABLE as_proposed_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_proposed_event >>>'
go

/* 
 * TABLE: as_readiness_type 
 */

CREATE TABLE as_readiness_type(
    asr_db_site         char(16)        NOT NULL,
    asr_db_id           int             NOT NULL,
    asr_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    description         varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_readiness_typ__164452B1 PRIMARY KEY CLUSTERED (asr_db_site, asr_db_id, asr_type_code)
) 
go



IF OBJECT_ID('as_readiness_type') IS NOT NULL
    PRINT '<<< CREATED TABLE as_readiness_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_readiness_type >>>'
go

/* 
 * TABLE: as_rec_as_event 
 */

CREATE TABLE as_rec_as_event(
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    ev_as_org_site        char(16)    NOT NULL,
    ev_as_id              int         NOT NULL,
    ev_db_site            char(16)    NOT NULL,
    ev_db_id              int         NOT NULL,
    event_type_code       int         NOT NULL,
    gmt_event_start       datetime    NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__as_rec_as_event__3BCADD1B PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, ev_as_org_site, ev_as_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('as_rec_as_event') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_as_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_as_event >>>'
go

/* 
 * TABLE: as_rec_as_health 
 */

CREATE TABLE as_rec_as_health(
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    hth_as_org_site       char(16)    NOT NULL,
    hth_asset_id          int         NOT NULL,
    hth_gmt_assess        datetime    NOT NULL,
    hth_by_agent_site     char(16)    NOT NULL,
    hth_by_agent_id       int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__as_rec_as_health__37FA4C37 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, hth_as_org_site, hth_asset_id, hth_gmt_assess, hth_by_agent_site, hth_by_agent_id)
) 
go



IF OBJECT_ID('as_rec_as_health') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_as_health >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_as_health >>>'
go

/* 
 * TABLE: as_rec_as_hyp_ev 
 */

CREATE TABLE as_rec_as_hyp_ev(
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    as_hyp_db_site        char(16)    NOT NULL,
    as_hyp_db_id          int         NOT NULL,
    as_hyp_event_id       int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__as_rec_as_hyp_ev__3F9B6DFF PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
) 
go



IF OBJECT_ID('as_rec_as_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_as_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_as_hyp_ev >>>'
go

/* 
 * TABLE: as_rec_as_prop_ev 
 */

CREATE TABLE as_rec_as_prop_ev(
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    as_prop_db_site       char(16)    NOT NULL,
    as_prop_db_id         int         NOT NULL,
    as_prop_event_id      int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__as_rec_as_prop_e__4924D839 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, as_prop_db_site, as_prop_db_id, as_prop_event_id)
) 
go



IF OBJECT_ID('as_rec_as_prop_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_as_prop_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_as_prop_ev >>>'
go

/* 
 * TABLE: as_rec_blob 
 */

CREATE TABLE as_rec_blob(
    asset_org_site        char(16)        NOT NULL,
    asset_id              int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    bd_db_site            char(16)        NOT NULL,
    bd_db_id              int             NOT NULL,
    bd_type_code          int             NOT NULL,
    ordering_seq          int             NOT NULL,
    name                  varchar(254)    NULL,
    assoc_file_name       varchar(254)    NULL,
    image_data            image           NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_rec_blob__2E70E1FD PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('as_rec_blob') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_blob >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_blob >>>'
go

/* 
 * TABLE: as_rec_mevent 
 */

CREATE TABLE as_rec_mevent(
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    meas_loc_site         char(16)    NOT NULL,
    meas_loc_id           int         NOT NULL,
    gmt_event             datetime    NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__as_rec_mevent__4CF5691D PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('as_rec_mevent') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_mevent >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_mevent >>>'
go

/* 
 * TABLE: as_rec_remark 
 */

CREATE TABLE as_rec_remark(
    asset_org_site        char(16)        NOT NULL,
    asset_id              int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ordering_seq          int             NOT NULL,
    remark_text           varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_rec_remark__22FF2F51 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
go



IF OBJECT_ID('as_rec_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE as_rec_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_rec_remark >>>'
go

/* 
 * TABLE: as_recommendation 
 */

CREATE TABLE as_recommendation(
    asset_org_site            char(16)        NOT NULL,
    asset_id                  int             NOT NULL,
    gmt_recommendation        datetime        NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__as_recommendatio__178D7CA5 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('as_recommendation') IS NOT NULL
    PRINT '<<< CREATED TABLE as_recommendation >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_recommendation >>>'
go

/* 
 * TABLE: as_remaining_life 
 */

CREATE TABLE as_remaining_life(
    asset_org_site        char(16)        NOT NULL,
    asset_id              int             NOT NULL,
    gmt_assessment        datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    loc_hr_delta          smallint        NULL,
    loc_min_delta         smallint        NULL,
    est_remaining_life    float           NULL,
    erl_eu_db_site        char(16)        NULL,
    erl_eu_db_id          int             NULL,
    erl_eu_type_code      int             NULL,
    error_estimate        float           NULL,
    err_eu_db_site        char(16)        NULL,
    err_eu_db_id          int             NULL,
    err_eu_type_code      int             NULL,
    likelihood_prob       float           NULL,
    gmt_created           datetime        NULL,
    cr_loc_hr_delta       smallint        NULL,
    cr_loc_min_delta      smallint        NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_remaining_lif__13BCEBC1 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('as_remaining_life') IS NOT NULL
    PRINT '<<< CREATED TABLE as_remaining_life >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_remaining_life >>>'
go

/* 
 * TABLE: as_req_for_work 
 */

CREATE TABLE as_req_for_work(
    req_db_site           char(16)         NOT NULL,
    req_db_id             int              NOT NULL,
    request_id            int              NOT NULL,
    asset_org_site        char(16)         NOT NULL,
    asset_id              int              NOT NULL,
    wm_type_db_site       char(16)         NOT NULL,
    wm_type_db_id         int              NOT NULL,
    wm_type_code          int              NOT NULL,
    task_db_site          char(16)         NOT NULL,
    task_db_id            int              NOT NULL,
    task_type_code        int              NOT NULL,
    auto_approve          char(1)          NULL
                          CONSTRAINT CK__as_req_fo__auto___58671BC9 CHECK (([auto_approve]='N' OR [auto_approve]='Y')),
    start_before_gmt      datetime         NULL,
    end_before_gmt        datetime         NULL,
    start_after_gmt       datetime         NULL,
    end_after_gmt         datetime         NULL,
    repeat_interval       int              NULL,
    int_eu_db_site        char(16)         NULL,
    int_eu_db_id          int              NULL,
    int_eu_type_code      int              NULL,
    to_agent_site         char(16)         NULL,
    to_agent_id           int              NULL,
    sol_pack_db_site      char(16)         NULL,
    sol_pack_db_id        int              NULL,
    sol_pack_id           int              NULL,
    rec_asset_org_site    char(16)         NULL,
    rec_asset_id          int              NULL,
    rec_gmt_recomm        datetime         NULL,
    rec_by_agent_site     char(16)         NULL,
    rec_by_agent_id       int              NULL,
    work_req_db_site      char(16)         NULL,
    work_req_db_id        int              NULL,
    work_req_id           int              NULL,
    work_order_db_site    char(16)         NULL,
    work_order_db_id      int              NULL,
    work_order_id         int              NULL,
    name                  varchar(254)     NULL,
    long_description      varchar(4000)    NULL,
    gmt_last_updated      datetime         NULL,
    last_upd_db_site      char(16)         NULL,
    last_upd_db_id        int              NULL,
    rstat_type_code       smallint         NULL,
    CONSTRAINT PK__as_req_for_work__5772F790 PRIMARY KEY CLUSTERED (req_db_site, req_db_id, request_id)
) 
go



IF OBJECT_ID('as_req_for_work') IS NOT NULL
    PRINT '<<< CREATED TABLE as_req_for_work >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_req_for_work >>>'
go

/* 
 * TABLE: as_sol_pack 
 */

CREATE TABLE as_sol_pack(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    sol_pack_db_site    char(16)    NOT NULL,
    sol_pack_db_id      int         NOT NULL,
    sol_pack_id         int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__as_sol_pack__090A5324 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
go



IF OBJECT_ID('as_sol_pack') IS NOT NULL
    PRINT '<<< CREATED TABLE as_sol_pack >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_sol_pack >>>'
go

/* 
 * TABLE: as_typ_hyp_ev_func 
 */

CREATE TABLE as_typ_hyp_ev_func(
    ast_hyp_db_site     char(16)        NOT NULL,
    ast_hyp_db_id       int             NOT NULL,
    ast_hyp_event_id    int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    as_db_site          char(16)        NOT NULL,
    as_db_id            int             NOT NULL,
    as_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_typ_hyp_ev_fu__67DE6983 PRIMARY KEY CLUSTERED (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id, db_site, db_id, as_db_site, as_db_id, as_type_code, ordering_seq)
) 
go



IF OBJECT_ID('as_typ_hyp_ev_func') IS NOT NULL
    PRINT '<<< CREATED TABLE as_typ_hyp_ev_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_typ_hyp_ev_func >>>'
go

/* 
 * TABLE: as_typ_hyp_ev_link 
 */

CREATE TABLE as_typ_hyp_ev_link(
    ast_hyp_db_site     char(16)        NOT NULL,
    ast_hyp_db_id       int             NOT NULL,
    ast_hyp_event_id    int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_typ_hyp_ev_li__54CB950F PRIMARY KEY CLUSTERED (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('as_typ_hyp_ev_link') IS NOT NULL
    PRINT '<<< CREATED TABLE as_typ_hyp_ev_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_typ_hyp_ev_link >>>'
go

/* 
 * TABLE: as_typ_hyp_ev_num_data 
 */

CREATE TABLE as_typ_hyp_ev_num_data(
    ast_hyp_db_site     char(16)    NOT NULL,
    ast_hyp_db_id       int         NOT NULL,
    ast_hyp_event_id    int         NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__as_typ_hyp_ev_nu__5E54FF49 PRIMARY KEY CLUSTERED (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('as_typ_hyp_ev_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE as_typ_hyp_ev_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_typ_hyp_ev_num_data >>>'
go

/* 
 * TABLE: as_typ_hyp_event 
 */

CREATE TABLE as_typ_hyp_event(
    ast_hyp_db_site           char(16)        NOT NULL,
    ast_hyp_db_id             int             NOT NULL,
    ast_hyp_event_id          int             NOT NULL,
    as_db_site                char(16)        NOT NULL,
    as_db_id                  int             NOT NULL,
    as_type_code              int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_created               datetime        NULL,
    cr_loc_hr_delta           smallint        NULL,
    cr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    associated_blob           image           NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__as_typ_hyp_event__4B422AD5 PRIMARY KEY CLUSTERED (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
) 
go



IF OBJECT_ID('as_typ_hyp_event') IS NOT NULL
    PRINT '<<< CREATED TABLE as_typ_hyp_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_typ_hyp_event >>>'
go

/* 
 * TABLE: as_type_blob_data 
 */

CREATE TABLE as_type_blob_data(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    as_db_site          char(16)        NOT NULL,
    as_db_id            int             NOT NULL,
    as_type_code        int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_type_blob_dat__1F63A897 PRIMARY KEY CLUSTERED (db_site, db_id, as_db_site, as_db_id, as_type_code, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('as_type_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE as_type_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_type_blob_data >>>'
go

/* 
 * TABLE: as_type_function 
 */

CREATE TABLE as_type_function(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    as_db_site          char(16)        NOT NULL,
    as_db_id            int             NOT NULL,
    as_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    user_tag_ident      varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    gmt_created         datetime        NULL,
    cr_loc_hr_delta     smallint        NULL,
    cr_loc_min_delta    smallint        NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__as_type_function__32767D0B PRIMARY KEY CLUSTERED (db_site, db_id, as_db_site, as_db_id, as_type_code, ordering_seq)
) 
go



IF OBJECT_ID('as_type_function') IS NOT NULL
    PRINT '<<< CREATED TABLE as_type_function >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_type_function >>>'
go

/* 
 * TABLE: as_type_rec_blob 
 */

CREATE TABLE as_type_rec_blob(
    as_db_site            char(16)        NOT NULL,
    as_db_id              int             NOT NULL,
    as_type_code          int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    bd_db_site            char(16)        NOT NULL,
    bd_db_id              int             NOT NULL,
    bd_type_code          int             NOT NULL,
    ordering_seq          int             NOT NULL,
    user_tag_ident        varchar(254)    NULL,
    name                  varchar(254)    NULL,
    assoc_file_name       varchar(254)    NULL,
    image_data            image           NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_type_rec_blob__324172E1 PRIMARY KEY CLUSTERED (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('as_type_rec_blob') IS NOT NULL
    PRINT '<<< CREATED TABLE as_type_rec_blob >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_type_rec_blob >>>'
go

/* 
 * TABLE: as_type_rec_hyp_ev 
 */

CREATE TABLE as_type_rec_hyp_ev(
    as_db_site            char(16)    NOT NULL,
    as_db_id              int         NOT NULL,
    as_type_code          int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    as_hyp_db_site        char(16)    NOT NULL,
    as_hyp_db_id          int         NOT NULL,
    as_hyp_event_id       int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__as_type_rec_hyp___436BFEE3 PRIMARY KEY CLUSTERED (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id, as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
) 
go



IF OBJECT_ID('as_type_rec_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE as_type_rec_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_type_rec_hyp_ev >>>'
go

/* 
 * TABLE: as_type_rec_remark 
 */

CREATE TABLE as_type_rec_remark(
    as_db_site            char(16)        NOT NULL,
    as_db_id              int             NOT NULL,
    as_type_code          int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ordering_seq          int             NOT NULL,
    remark_text           varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__as_type_rec_rema__28B808A7 PRIMARY KEY CLUSTERED (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
go



IF OBJECT_ID('as_type_rec_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE as_type_rec_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_type_rec_remark >>>'
go

/* 
 * TABLE: as_type_recomm 
 */

CREATE TABLE as_type_recomm(
    as_db_site                char(16)        NOT NULL,
    as_db_id                  int             NOT NULL,
    as_type_code              int             NOT NULL,
    gmt_recommendation        datetime        NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    user_tag_ident            varchar(254)    NULL,
    name                      varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__as_type_recomm__1D4655FB PRIMARY KEY CLUSTERED (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('as_type_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE as_type_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE as_type_recomm >>>'
go

/* 
 * TABLE: asset_blob_data 
 */

CREATE TABLE asset_blob_data(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__asset_blob_data__214BF109 PRIMARY KEY CLUSTERED (db_site, db_id, asset_org_site, asset_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('asset_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_blob_data >>>'
go

/* 
 * TABLE: asset_child 
 */

CREATE TABLE asset_child(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    child_as_site       char(16)    NOT NULL,
    child_as_id         int         NOT NULL,
    ordering_seq        int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__asset_child__3E52440B PRIMARY KEY CLUSTERED (asset_org_site, asset_id, child_as_site, child_as_id)
) 
go



IF OBJECT_ID('asset_child') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_child >>>'
go

/* 
 * TABLE: asset_chr_data 
 */

CREATE TABLE asset_chr_data(
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ac_db_site          char(16)        NOT NULL,
    ac_db_id            int             NOT NULL,
    ac_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__asset_chr_data__4222D4EF PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ac_db_site, ac_db_id, ac_type_code)
) 
go



IF OBJECT_ID('asset_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_chr_data >>>'
go

/* 
 * TABLE: asset_event_link 
 */

CREATE TABLE asset_event_link(
    asset_org_site       char(16)        NOT NULL,
    asset_id             int             NOT NULL,
    ev_db_site           char(16)        NOT NULL,
    ev_db_id             int             NOT NULL,
    event_type_code      int             NOT NULL,
    gmt_event_start      datetime        NOT NULL,
    caused_as_site       char(16)        NOT NULL,
    caused_as_id         int             NOT NULL,
    caused_ev_db_site    char(16)        NOT NULL,
    caused_ev_db_id      int             NOT NULL,
    caused_ev_code       int             NOT NULL,
    caused_gmt           datetime        NOT NULL,
    name                 varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__asset_event_link__43A1090D PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, caused_as_site, caused_as_id, caused_ev_db_site, caused_ev_db_id, caused_ev_code, caused_gmt)
) 
go



IF OBJECT_ID('asset_event_link') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_event_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_event_link >>>'
go

/* 
 * TABLE: asset_event 
 */

CREATE TABLE asset_event(
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    gmt_event_stop      datetime        NULL,
    ev_loc_hr_delta     smallint        NULL,
    ev_loc_min_delta    smallint        NULL,
    gmt_stored          datetime        NULL,
    st_loc_hr_delta     smallint        NULL,
    st_loc_min_delta    smallint        NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__asset_event__440B1D61 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('asset_event') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_event >>>'
go

/* 
 * TABLE: asset_function 
 */

CREATE TABLE asset_function(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    asset_org_site      char(16)        NOT NULL,
    asset_id            int             NOT NULL,
    ordering_seq        int             NOT NULL,
    user_tag_ident      varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    gmt_created         datetime        NULL,
    cr_loc_hr_delta     smallint        NULL,
    cr_loc_min_delta    smallint        NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__asset_function__2EA5EC27 PRIMARY KEY CLUSTERED (db_site, db_id, asset_org_site, asset_id, ordering_seq)
) 
go



IF OBJECT_ID('asset_function') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_function >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_function >>>'
go

/* 
 * TABLE: asset_geo_position 
 */

CREATE TABLE asset_geo_position(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    geo_db_site         char(16)    NOT NULL,
    geo_db_id           int         NOT NULL,
    geo_position_id     int         NOT NULL,
    gmt_at_location     datetime    NOT NULL,
    loc_hr_delta        smallint    NULL,
    loc_min_delta       smallint    NULL,
    duration            int         NOT NULL,
    dur_eu_db_site      char(16)    NOT NULL,
    dur_eu_db_id        int         NOT NULL,
    dur_eu_type_code    int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__asset_geo_positi__3AA1AEB8 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, geo_db_site, geo_db_id, geo_position_id, gmt_at_location)
) 
go



IF OBJECT_ID('asset_geo_position') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_geo_position >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_geo_position >>>'
go

/* 
 * TABLE: asset_health 
 */

CREATE TABLE asset_health(
    asset_org_site          char(16)        NOT NULL,
    asset_id                int             NOT NULL,
    gmt_assessment          datetime        NOT NULL,
    by_agent_site           char(16)        NOT NULL,
    by_agent_id             int             NOT NULL,
    loc_hr_delta            smallint        NULL,
    loc_min_delta           smallint        NULL,
    health_lev_db_site      char(16)        NOT NULL,
    health_lev_db_id        int             NOT NULL,
    health_lev_type_code    int             NOT NULL,
    health_scale_precise    float           NULL,
    likelihood_prob         float           NULL,
    gmt_created             datetime        NULL,
    cr_loc_hr_delta         smallint        NULL,
    cr_loc_min_delta        smallint        NULL,
    ch_patt_db_site         char(16)        NULL,
    ch_patt_db_id           int             NULL,
    ch_patt_type_code       int             NULL,
    gmt_audited             datetime        NULL,
    aud_loc_hr_delta        smallint        NULL,
    aud_loc_min_delta       smallint        NULL,
    aud_quality_code        smallint        NULL,
    aud_by_org_asite        char(16)        NULL,
    aud_by_agent_id         int             NULL,
    user_tag_ident          varchar(254)    NULL,
    name                    varchar(254)    NULL,
    gmt_last_updated        datetime        NULL,
    last_upd_db_site        char(16)        NULL,
    last_upd_db_id          int             NULL,
    rstat_type_code         smallint        NULL,
    CONSTRAINT PK__asset_health__084B3915 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('asset_health') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_health >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_health >>>'
go

/* 
 * TABLE: asset_num_data 
 */

CREATE TABLE asset_num_data(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    an_db_site          char(16)    NOT NULL,
    an_db_id            int         NOT NULL,
    an_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__asset_num_data__403A8C7D PRIMARY KEY CLUSTERED (asset_org_site, asset_id, an_db_site, an_db_id, an_type_code)
) 
go



IF OBJECT_ID('asset_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_num_data >>>'
go

/* 
 * TABLE: asset_on_segment 
 */

CREATE TABLE asset_on_segment(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    gmt_installed       datetime    NOT NULL,
    gmt_removed         datetime    NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__asset_on_segment__45F365D3 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, segment_site, segment_id, gmt_installed)
) 
go



IF OBJECT_ID('asset_on_segment') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_on_segment >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_on_segment >>>'
go

/* 
 * TABLE: asset_owner 
 */

CREATE TABLE asset_owner(
    asset_org_site      char(16)    NOT NULL,
    asset_id            int         NOT NULL,
    gmt_purchased       datetime    NOT NULL,
    sold_to_site        char(16)    NOT NULL,
    purch_from_site     char(16)    NULL,
    pc_db_site          char(16)    NULL,
    pc_db_id            int         NULL,
    pc_type_code        int         NULL,
    asr_db_site         char(16)    NULL,
    asr_db_id           int         NULL,
    asr_type_code       int         NULL,
    gmt_sold            datetime    NULL,
    gmt_discarded       datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__asset_owner__47DBAE45 PRIMARY KEY CLUSTERED (asset_org_site, asset_id, gmt_purchased)
) 
go



IF OBJECT_ID('asset_owner') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_owner >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_owner >>>'
go

/* 
 * TABLE: asset_type_child 
 */

CREATE TABLE asset_type_child(
    as_db_site            char(16)    NOT NULL,
    as_db_id              int         NOT NULL,
    as_type_code          int         NOT NULL,
    child_as_db_site      char(16)    NOT NULL,
    child_as_db_id        int         NOT NULL,
    child_as_type_code    int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__asset_type_child__2F10007B PRIMARY KEY CLUSTERED (as_db_site, as_db_id, as_type_code, child_as_db_site, child_as_db_id, child_as_type_code)
) 
go



IF OBJECT_ID('asset_type_child') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_type_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_type_child >>>'
go

/* 
 * TABLE: asset_type 
 */

CREATE TABLE asset_type(
    as_db_site          char(16)        NOT NULL,
    as_db_id            int             NOT NULL,
    as_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    default_mnemonic    varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__asset_type__2D27B809 PRIMARY KEY CLUSTERED (as_db_site, as_db_id, as_type_code)
) 
go



IF OBJECT_ID('asset_type') IS NOT NULL
    PRINT '<<< CREATED TABLE asset_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset_type >>>'
go

/* 
 * TABLE: asset 
 */

CREATE TABLE asset(
    asset_org_site      char(16)         NOT NULL,
    asset_id            int              NOT NULL,
    as_db_site          char(16)         NOT NULL,
    as_db_id            int              NOT NULL,
    as_type_code        int              NOT NULL,
    user_tag_ident      varchar(254)     NULL,
    name                varchar(254)     NULL,
    long_description    varchar(4000)    NULL,
    mf_db_site          char(16)         NULL,
    mf_db_id            int              NULL,
    manuf_code          int              NULL,
    model_db_site       char(16)         NULL,
    model_db_id         int              NULL,
    model_id            int              NULL,
    serial_number       varchar(254)     NULL,
    asr_db_site         char(16)         NULL,
    asr_db_id           int              NULL,
    asr_type_code       int              NULL,
    segment_site        char(16)         NULL,
    segment_id          int              NULL,
    last_upd_db_site    char(16)         NULL,
    last_upd_db_id      int              NULL,
    gmt_last_updated    datetime         NULL,
    rstat_type_code     smallint         NULL,
    CONSTRAINT PK__asset__3C69FB99 PRIMARY KEY CLUSTERED (asset_org_site, asset_id)
) 
go



IF OBJECT_ID('asset') IS NOT NULL
    PRINT '<<< CREATED TABLE asset >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE asset >>>'
go

/* 
 * TABLE: ave_synch_type 
 */

CREATE TABLE ave_synch_type(
    ave_sy_db_site      char(16)        NOT NULL,
    ave_sy_db_id        int             NOT NULL,
    ave_sy_type_code    int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__ave_synch_type__0E6E26BF PRIMARY KEY CLUSTERED (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
) 
go



IF OBJECT_ID('ave_synch_type') IS NOT NULL
    PRINT '<<< CREATED TABLE ave_synch_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ave_synch_type >>>'
go

/* 
 * TABLE: ave_weight_type 
 */

CREATE TABLE ave_weight_type(
    ave_wt_db_site      char(16)        NOT NULL,
    ave_wt_db_id        int             NOT NULL,
    ave_wt_type_code    int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__ave_weight_type__0C85DE4D PRIMARY KEY CLUSTERED (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
) 
go



IF OBJECT_ID('ave_weight_type') IS NOT NULL
    PRINT '<<< CREATED TABLE ave_weight_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ave_weight_type >>>'
go

/* 
 * TABLE: average_type 
 */

CREATE TABLE average_type(
    ave_db_site         char(16)        NOT NULL,
    ave_db_id           int             NOT NULL,
    ave_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__average_type__0A9D95DB PRIMARY KEY CLUSTERED (ave_db_site, ave_db_id, ave_type_code)
) 
go



IF OBJECT_ID('average_type') IS NOT NULL
    PRINT '<<< CREATED TABLE average_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE average_type >>>'
go

/* 
 * TABLE: blob_alarm 
 */

CREATE TABLE blob_alarm(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    mebt_db_site         char(16)        NOT NULL,
    mebt_db_id           int             NOT NULL,
    meb_type_code        int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    gmt_acknowledged     datetime        NOT NULL,
    ack_loc_hr_delta     smallint        NULL,
    ack_loc_min_delta    smallint        NULL,
    org_agent_site       char(16)        NULL,
    agent_id             int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__blob_alarm__28ED12D1 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code, al_db_site, al_db_id, al_type_code)
) 
go



IF OBJECT_ID('blob_alarm') IS NOT NULL
    PRINT '<<< CREATED TABLE blob_alarm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE blob_alarm >>>'
go

/* 
 * TABLE: blob_area_alarm 
 */

CREATE TABLE blob_area_alarm(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    mebt_db_site         char(16)        NOT NULL,
    mebt_db_id           int             NOT NULL,
    meb_type_code        int             NOT NULL,
    area_seq             int             NOT NULL,
    x_resolution         int             NOT NULL,
    y_resolution         int             NOT NULL,
    high_db_site         char(16)        NOT NULL,
    high_db_id           int             NOT NULL,
    high_type_code       int             NOT NULL,
    data_origin_x        int             NOT NULL,
    data_origin_y        int             NOT NULL,
    data_end_x           int             NOT NULL,
    data_end_y           int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    gmt_acknowledged     datetime        NOT NULL,
    ack_loc_hr_delta     smallint        NULL,
    ack_loc_min_delta    smallint        NULL,
    org_agent_site       char(16)        NULL,
    agent_id             int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__blob_area_alarm__2AD55B43 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code, area_seq)
) 
go



IF OBJECT_ID('blob_area_alarm') IS NOT NULL
    PRINT '<<< CREATED TABLE blob_area_alarm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE blob_area_alarm >>>'
go

/* 
 * TABLE: blob_content_type 
 */

CREATE TABLE blob_content_type(
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__blob_content_typ__55009F39 PRIMARY KEY CLUSTERED (blct_db_site, blct_db_id, blc_type_code)
) 
go



IF OBJECT_ID('blob_content_type') IS NOT NULL
    PRINT '<<< CREATED TABLE blob_content_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE blob_content_type >>>'
go

/* 
 * TABLE: blob_data_type 
 */

CREATE TABLE blob_data_type(
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__blob_data_type__531856C7 PRIMARY KEY CLUSTERED (bd_db_site, bd_db_id, bd_type_code)
) 
go



IF OBJECT_ID('blob_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE blob_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE blob_data_type >>>'
go

/* 
 * TABLE: blob_grid_data 
 */

CREATE TABLE blob_grid_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    mebt_db_site        char(16)        NOT NULL,
    mebt_db_id          int             NOT NULL,
    meb_type_code       int             NOT NULL,
    grid_seq            int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    x_resolution        int             NOT NULL,
    y_resolution        int             NOT NULL,
    data_origin_x       int             NOT NULL,
    data_origin_y       int             NOT NULL,
    data_end_x          int             NOT NULL,
    data_end_y          int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    float_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__blob_grid_data__2704CA5F PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code, grid_seq)
) 
go



IF OBJECT_ID('blob_grid_data') IS NOT NULL
    PRINT '<<< CREATED TABLE blob_grid_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE blob_grid_data >>>'
go

/* 
 * TABLE: change_patt_type 
 */

CREATE TABLE change_patt_type(
    ch_patt_db_site      char(16)        NOT NULL,
    ch_patt_db_id        int             NOT NULL,
    ch_patt_type_code    int             NOT NULL,
    name                 varchar(254)    NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__change_patt_type__69FBBC1F PRIMARY KEY CLUSTERED (ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
) 
go



IF OBJECT_ID('change_patt_type') IS NOT NULL
    PRINT '<<< CREATED TABLE change_patt_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE change_patt_type >>>'
go

/* 
 * TABLE: cris_instance 
 */

CREATE TABLE cris_instance(
    database_version    varchar(254)    NOT NULL,
    CONSTRAINT PK__cris_instance__3C89F72A PRIMARY KEY CLUSTERED (database_version)
) 
go



IF OBJECT_ID('cris_instance') IS NOT NULL
    PRINT '<<< CREATED TABLE cris_instance >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE cris_instance >>>'
go

/* 
 * TABLE: data_qual_type 
 */

CREATE TABLE data_qual_type(
    dqual_type_code     smallint        NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__data_qual_type__5FB337D6 PRIMARY KEY CLUSTERED (dqual_type_code)
) 
go



IF OBJECT_ID('data_qual_type') IS NOT NULL
    PRINT '<<< CREATED TABLE data_qual_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE data_qual_type >>>'
go

/* 
 * TABLE: data_source_type 
 */

CREATE TABLE data_source_type(
    ds_db_site          char(16)        NOT NULL,
    ds_db_id            int             NOT NULL,
    ds_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__data_source_type__4BAC3F29 PRIMARY KEY CLUSTERED (ds_db_site, ds_db_id, ds_type_code)
) 
go



IF OBJECT_ID('data_source_type') IS NOT NULL
    PRINT '<<< CREATED TABLE data_source_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE data_source_type >>>'
go

/* 
 * TABLE: data_source 
 */

CREATE TABLE data_source(
    ds_asset_site       char(16)        NOT NULL,
    ds_asset_id         int             NOT NULL,
    ds_db_site          char(16)        NOT NULL,
    ds_db_id            int             NOT NULL,
    ds_type_code        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__data_source__5AEE82B9 PRIMARY KEY CLUSTERED (ds_asset_site, ds_asset_id)
) 
go



IF OBJECT_ID('data_source') IS NOT NULL
    PRINT '<<< CREATED TABLE data_source >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE data_source >>>'
go

/* 
 * TABLE: db_mim_interface 
 */

CREATE TABLE db_mim_interface(
    db_site             char(16)    NOT NULL,
    db_id               int         NOT NULL,
    interf_type_code    int         NOT NULL,
    gmt_snap_refresh    datetime    NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__db_mim_interface__0539C240 PRIMARY KEY CLUSTERED (db_site, db_id, interf_type_code)
) 
go



IF OBJECT_ID('db_mim_interface') IS NOT NULL
    PRINT '<<< CREATED TABLE db_mim_interface >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE db_mim_interface >>>'
go

/* 
 * TABLE: eng_unit_enum 
 */

CREATE TABLE eng_unit_enum(
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          int             NOT NULL,
    data_name           varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__eng_unit_enum__1FCDBCEB PRIMARY KEY CLUSTERED (eu_db_site, eu_db_id, eu_type_code, data_value)
) 
go



IF OBJECT_ID('eng_unit_enum') IS NOT NULL
    PRINT '<<< CREATED TABLE eng_unit_enum >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE eng_unit_enum >>>'
go

/* 
 * TABLE: eng_unit_type 
 */

CREATE TABLE eng_unit_type(
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    ru_type_code        int             NOT NULL,
    mult_fact_to_ref    float           NOT NULL,
    refer_off_to_ref    float           NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__eng_unit_type__1DE57479 PRIMARY KEY CLUSTERED (eu_db_site, eu_db_id, eu_type_code)
) 
go



IF OBJECT_ID('eng_unit_type') IS NOT NULL
    PRINT '<<< CREATED TABLE eng_unit_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE eng_unit_type >>>'
go

/* 
 * TABLE: enterprise_type 
 */

CREATE TABLE enterprise_type(
    ent_db_site         char(16)        NOT NULL,
    ent_db_id           int             NOT NULL,
    ent_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__enterprise_type__7E6CC920 PRIMARY KEY CLUSTERED (ent_db_site, ent_db_id, ent_type_code)
) 
go



IF OBJECT_ID('enterprise_type') IS NOT NULL
    PRINT '<<< CREATED TABLE enterprise_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE enterprise_type >>>'
go

/* 
 * TABLE: enterprise 
 */

CREATE TABLE enterprise(
    enterprise_id       int             NOT NULL,
    ent_db_site         char(16)        NOT NULL,
    ent_db_id           int             NOT NULL,
    ent_type_code       int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__enterprise__00551192 PRIMARY KEY CLUSTERED (enterprise_id)
) 
go



IF OBJECT_ID('enterprise') IS NOT NULL
    PRINT '<<< CREATED TABLE enterprise >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE enterprise >>>'
go

/* 
 * TABLE: ev_chr_data_type 
 */

CREATE TABLE ev_chr_data_type(
    ec_db_site          char(16)        NOT NULL,
    ec_db_id            int             NOT NULL,
    ec_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__ev_chr_data_type__147C05D0 PRIMARY KEY CLUSTERED (ec_db_site, ec_db_id, ec_type_code)
) 
go



IF OBJECT_ID('ev_chr_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE ev_chr_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ev_chr_data_type >>>'
go

/* 
 * TABLE: ev_num_data_type 
 */

CREATE TABLE ev_num_data_type(
    en_db_site          char(16)        NOT NULL,
    en_db_id            int             NOT NULL,
    en_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__ev_num_data_type__5CA1C101 PRIMARY KEY CLUSTERED (en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('ev_num_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE ev_num_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ev_num_data_type >>>'
go

/* 
 * TABLE: event_type_child 
 */

CREATE TABLE event_type_child(
    ev_db_site            char(16)    NOT NULL,
    ev_db_id              int         NOT NULL,
    event_type_code       int         NOT NULL,
    child_ev_db_site      char(16)    NOT NULL,
    child_ev_db_id        int         NOT NULL,
    child_ev_type_code    int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__event_type_child__45BE5BA9 PRIMARY KEY CLUSTERED (ev_db_site, ev_db_id, event_type_code, child_ev_db_site, child_ev_db_id, child_ev_type_code)
) 
go



IF OBJECT_ID('event_type_child') IS NOT NULL
    PRINT '<<< CREATED TABLE event_type_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE event_type_child >>>'
go

/* 
 * TABLE: geo_position 
 */

CREATE TABLE geo_position(
    geo_db_site         char(16)        NOT NULL,
    geo_db_id           int             NOT NULL,
    geo_position_id     int             NOT NULL,
    name                varchar(254)    NULL,
    description         varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__geo_position__2F2FFC0C PRIMARY KEY CLUSTERED (geo_db_site, geo_db_id, geo_position_id)
) 
go



IF OBJECT_ID('geo_position') IS NOT NULL
    PRINT '<<< CREATED TABLE geo_position >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE geo_position >>>'
go

/* 
 * TABLE: gps_datum_type 
 */

CREATE TABLE gps_datum_type(
    datum_db_site       char(16)        NOT NULL,
    datum_db_id         int             NOT NULL,
    datum_type_code     int             NOT NULL,
    name                varchar(254)    NULL,
    default_mnemonic    varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__gps_datum_type__3118447E PRIMARY KEY CLUSTERED (datum_db_site, datum_db_id, datum_type_code)
) 
go



IF OBJECT_ID('gps_datum_type') IS NOT NULL
    PRINT '<<< CREATED TABLE gps_datum_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE gps_datum_type >>>'
go

/* 
 * TABLE: gps_elevation_type 
 */

CREATE TABLE gps_elevation_type(
    elevation_db_site      char(16)        NOT NULL,
    elevation_db_id        int             NOT NULL,
    elevation_type_code    int             NOT NULL,
    name                   varchar(254)    NULL,
    default_mnemonic       varchar(254)    NULL,
    user_tag_ident         varchar(254)    NULL,
    gmt_last_updated       datetime        NULL,
    last_upd_db_site       char(16)        NULL,
    last_upd_db_id         int             NULL,
    rstat_type_code        smallint        NULL,
    CONSTRAINT PK__gps_elevation_ty__34E8D562 PRIMARY KEY CLUSTERED (elevation_db_site, elevation_db_id, elevation_type_code)
) 
go



IF OBJECT_ID('gps_elevation_type') IS NOT NULL
    PRINT '<<< CREATED TABLE gps_elevation_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE gps_elevation_type >>>'
go

/* 
 * TABLE: gps_location 
 */

CREATE TABLE gps_location(
    geo_db_site            char(16)    NOT NULL,
    geo_db_id              int         NOT NULL,
    geo_position_id        int         NOT NULL,
    ordering_sequence      int         NOT NULL,
    latitude               float       NOT NULL,
    longitude              float       NOT NULL,
    elevation              float       NOT NULL,
    datum_db_site          char(16)    NOT NULL,
    datum_db_id            int         NOT NULL,
    datum_type_code        int         NOT NULL,
    precision_db_site      char(16)    NOT NULL,
    precision_db_id        int         NOT NULL,
    precision_type_code    int         NOT NULL,
    elevation_db_site      char(16)    NOT NULL,
    elevation_db_id        int         NOT NULL,
    elevation_type_code    int         NOT NULL,
    gmt_last_updated       datetime    NULL,
    last_upd_db_site       char(16)    NULL,
    last_upd_db_id         int         NULL,
    rstat_type_code        smallint    NULL,
    CONSTRAINT PK__gps_location__36D11DD4 PRIMARY KEY CLUSTERED (geo_db_site, geo_db_id, geo_position_id, ordering_sequence)
) 
go



IF OBJECT_ID('gps_location') IS NOT NULL
    PRINT '<<< CREATED TABLE gps_location >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE gps_location >>>'
go

/* 
 * TABLE: gps_precision_type 
 */

CREATE TABLE gps_precision_type(
    precision_db_site      char(16)        NOT NULL,
    precision_db_id        int             NOT NULL,
    precision_type_code    int             NOT NULL,
    name                   varchar(254)    NULL,
    default_mnemonic       varchar(254)    NULL,
    user_tag_ident         varchar(254)    NULL,
    gmt_last_updated       datetime        NULL,
    last_upd_db_site       char(16)        NULL,
    last_upd_db_id         int             NULL,
    rstat_type_code        smallint        NULL,
    CONSTRAINT PK__gps_precision_ty__33008CF0 PRIMARY KEY CLUSTERED (precision_db_site, precision_db_id, precision_type_code)
) 
go



IF OBJECT_ID('gps_precision_type') IS NOT NULL
    PRINT '<<< CREATED TABLE gps_precision_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE gps_precision_type >>>'
go

/* 
 * TABLE: health_level_type 
 */

CREATE TABLE health_level_type(
    health_lev_db_site      char(16)        NOT NULL,
    health_lev_db_id        int             NOT NULL,
    health_lev_type_code    int             NOT NULL,
    health_scale            int             NOT NULL,
    name                    varchar(254)    NOT NULL,
    user_tag_ident          varchar(254)    NULL,
    gmt_last_updated        datetime        NULL,
    last_upd_db_site        char(16)        NULL,
    last_upd_db_id          int             NULL,
    rstat_type_code         smallint        NULL,
    CONSTRAINT PK__health_level_typ__607251E5 PRIMARY KEY CLUSTERED (health_lev_db_site, health_lev_db_id, health_lev_type_code)
) 
go



IF OBJECT_ID('health_level_type') IS NOT NULL
    PRINT '<<< CREATED TABLE health_level_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE health_level_type >>>'
go

/* 
 * TABLE: highlight_type 
 */

CREATE TABLE highlight_type(
    high_db_site        char(16)        NOT NULL,
    high_db_id          int             NOT NULL,
    high_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__highlight_type__58D1301D PRIMARY KEY CLUSTERED (high_db_site, high_db_id, high_type_code)
) 
go



IF OBJECT_ID('highlight_type') IS NOT NULL
    PRINT '<<< CREATED TABLE highlight_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE highlight_type >>>'
go

/* 
 * TABLE: log_connector_type 
 */

CREATE TABLE log_connector_type(
    lc_db_site          char(16)        NOT NULL,
    lc_db_id            int             NOT NULL,
    lc_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__log_connector_ty__1293BD5E PRIMARY KEY CLUSTERED (lc_db_site, lc_db_id, lc_type_code)
) 
go



IF OBJECT_ID('log_connector_type') IS NOT NULL
    PRINT '<<< CREATED TABLE log_connector_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE log_connector_type >>>'
go

/* 
 * TABLE: manufacturer 
 */

CREATE TABLE manufacturer(
    mf_db_site            char(16)        NOT NULL,
    mf_db_id              int             NOT NULL,
    manuf_code            int             NOT NULL,
    manuf_trade_name      varchar(254)    NOT NULL,
    company_name          varchar(254)    NOT NULL,
    phys_addr             varchar(254)    NULL,
    phys_city_name        varchar(254)    NULL,
    phys_state_abbr       varchar(254)    NULL,
    phys_postal_code      varchar(254)    NULL,
    phys_country_abbr     varchar(254)    NULL,
    mail_addr             varchar(254)    NULL,
    mail_city_name        varchar(254)    NULL,
    mail_state_abbr       varchar(254)    NULL,
    mail_postal_code      varchar(254)    NULL,
    mail_country_abbr     varchar(254)    NULL,
    us_ph_number          varchar(254)    NULL,
    int_ph_country_no     varchar(254)    NULL,
    int_ph_city_no        varchar(254)    NULL,
    int_ph_local_no       varchar(254)    NULL,
    us_fax_number         varchar(254)    NULL,
    int_fax_country_no    varchar(254)    NULL,
    int_fax_city_no       varchar(254)    NULL,
    int_fax_local_no      varchar(254)    NULL,
    business_desc         varchar(254)    NULL,
    primary_sic           varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    lc_alt_sic1           varchar(254)    NULL,
    lc_alt_sic2           varchar(254)    NULL,
    CONSTRAINT PK__manufacturer__0BC6C43E PRIMARY KEY CLUSTERED (mf_db_site, mf_db_id, manuf_code)
) 
go



IF OBJECT_ID('manufacturer') IS NOT NULL
    PRINT '<<< CREATED TABLE manufacturer >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE manufacturer >>>'
go

/* 
 * TABLE: meas_event_assoc 
 */

CREATE TABLE meas_event_assoc(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    related_mloc_site    char(16)        NOT NULL,
    related_mloc_id      int             NOT NULL,
    related_gmt_event    datetime        NOT NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__meas_event_assoc__6383C8BA PRIMARY KEY CLUSTERED (related_mloc_site, related_mloc_id, related_gmt_event, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('meas_event_assoc') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_event_assoc >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_event_assoc >>>'
go

/* 
 * TABLE: meas_event_rem 
 */

CREATE TABLE meas_event_rem(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    ordering_seq        int             NOT NULL,
    remark_text         varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_event_rem__656C112C PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
go



IF OBJECT_ID('meas_event_rem') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_event_rem >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_event_rem >>>'
go

/* 
 * TABLE: meas_event 
 */

CREATE TABLE meas_event(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    ev_loc_hr_delta     smallint        NULL,
    ev_loc_min_delta    smallint        NULL,
    gmt_stored          datetime        NULL,
    st_loc_hr_delta     smallint        NULL,
    st_loc_min_delta    smallint        NULL,
    segment_site        char(16)        NULL,
    segment_id          int             NULL,
    asset_org_site      char(16)        NULL,
    asset_id            int             NULL,
    ds_asset_site       char(16)        NULL,
    ds_asset_id         int             NULL,
    tr_asset_site       char(16)        NULL,
    tr_asset_id         int             NULL,
    dqual_type_code     smallint        NOT NULL,
    ml_db_site          char(16)        NULL,
    ml_db_id            int             NULL,
    ml_type_code        int             NULL,
    mc_db_site          char(16)        NULL,
    mc_db_id            int             NULL,
    mc_type_code        int             NULL,
    mc_calc_size        int             NULL,
    collect_duration    float           NULL,
    dur_eu_db_site      char(16)        NULL,
    dur_eu_db_id        int             NULL,
    dur_eu_type_code    int             NULL,
    confid_percent      smallint        NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_event__619B8048 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('meas_event') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_event >>>'
go

/* 
 * TABLE: meas_loc_assoc 
 */

CREATE TABLE meas_loc_assoc(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    related_mloc_site    char(16)        NOT NULL,
    related_mloc_id      int             NOT NULL,
    name                 varchar(254)    NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__meas_loc_assoc__0EC32C7A PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, related_mloc_site, related_mloc_id)
) 
go



IF OBJECT_ID('meas_loc_assoc') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_loc_assoc >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_loc_assoc >>>'
go

/* 
 * TABLE: meas_loc_blob_data 
 */

CREATE TABLE meas_loc_blob_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_loc_blob_da__2D47B39A PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, bd_db_site, bd_db_id, bd_type_code)
) 
go



IF OBJECT_ID('meas_loc_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_loc_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_loc_blob_data >>>'
go

/* 
 * TABLE: meas_loc_chr_data 
 */

CREATE TABLE meas_loc_chr_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    mlc_db_site         char(16)        NOT NULL,
    mlc_db_id           int             NOT NULL,
    mlc_type_code       int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_loc_chr_dat__2B5F6B28 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, mlc_db_site, mlc_db_id, mlc_type_code)
) 
go



IF OBJECT_ID('meas_loc_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_loc_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_loc_chr_data >>>'
go

/* 
 * TABLE: meas_loc_list 
 */

CREATE TABLE meas_loc_list(
    ord_list_db_site    char(16)    NOT NULL,
    ord_list_db_id      int         NOT NULL,
    ord_list_id         int         NOT NULL,
    ordering_seq        int         NOT NULL,
    meas_loc_site       char(16)    NOT NULL,
    meas_loc_id         int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__meas_loc_list__571DF1D5 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq)
) 
go



IF OBJECT_ID('meas_loc_list') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_loc_list >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_loc_list >>>'
go

/* 
 * TABLE: meas_loc_num_data 
 */

CREATE TABLE meas_loc_num_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    mln_db_site         char(16)        NOT NULL,
    mln_db_id           int             NOT NULL,
    mln_type_code       int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          float           NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_loc_num_dat__297722B6 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, mln_db_site, mln_db_id, mln_type_code)
) 
go



IF OBJECT_ID('meas_loc_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_loc_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_loc_num_data >>>'
go

/* 
 * TABLE: meas_loc_type 
 */

CREATE TABLE meas_loc_type(
    ml_db_site          char(16)        NOT NULL,
    ml_db_id            int             NOT NULL,
    ml_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_loc_type__49C3F6B7 PRIMARY KEY CLUSTERED (ml_db_site, ml_db_id, ml_type_code)
) 
go



IF OBJECT_ID('meas_loc_type') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_loc_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_loc_type >>>'
go

/* 
 * TABLE: meas_location 
 */

CREATE TABLE meas_location(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    ml_db_site           char(16)        NULL,
    ml_db_id             int             NOT NULL,
    ml_type_code         int             NOT NULL,
    segment_or_asset     char(1)         NOT NULL
                         CONSTRAINT CK__meas_loca__segme__52593CB8 CHECK (([segment_or_asset]='S' OR [segment_or_asset]='A')),
    segment_site         char(16)        NULL,
    segment_id           int             NULL,
    asset_org_site       char(16)        NULL,
    asset_id             int             NULL,
    ds_db_site           char(16)        NULL,
    ds_db_id             int             NULL,
    ds_type_code         int             NULL,
    tr_db_site           char(16)        NULL,
    tr_db_id             int             NULL,
    tr_type_code         int             NULL,
    ta_orient_deg        int             NULL,
    ta_db_site           char(16)        NULL,
    ta_db_id             int             NULL,
    ta_type_code         int             NULL,
    mim_loc_seq          int             NULL,
    motion_direction     char(1)         NULL
                         CONSTRAINT CK__meas_loca__motio__534D60F1 CHECK (([motion_direction]='R' OR [motion_direction]='N')),
    mim_user_prefix      varchar(254)    NULL,
    mc_db_site           char(16)        NULL,
    mc_db_id             int             NULL,
    mc_type_code         int             NULL,
    mc_calc_size         int             NULL,
    update_interval      float           NULL,
    int_eu_db_site       char(16)        NULL,
    int_eu_db_id         int             NULL,
    int_eu_type_code     int             NULL,
    collect_duration     float           NULL,
    dur_eu_db_site       char(16)        NULL,
    dur_eu_db_id         int             NULL,
    dur_eu_type_code     int             NULL,
    xml_data_type        varchar(254)    NULL,
    xml_pattern_regex    varchar(254)    NULL,
    barcode              varchar(254)    NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__meas_location__5165187F PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id)
) 
go



IF OBJECT_ID('meas_location') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_location >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_location >>>'
go

/* 
 * TABLE: meas_sample_child 
 */

CREATE TABLE meas_sample_child(
    meas_loc_site        char(16)    NOT NULL,
    meas_loc_id          int         NOT NULL,
    gmt_event            datetime    NOT NULL,
    sample_order_seq     int         NOT NULL,
    child_mloc_site      char(16)    NOT NULL,
    child_mloc_id        int         NOT NULL,
    child_gmt_event      datetime    NOT NULL,
    child_sam_ord_seq    int         NOT NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__meas_sample_chil__00DF2177 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, child_mloc_site, child_mloc_id, child_gmt_event, child_sam_ord_seq)
) 
go



IF OBJECT_ID('meas_sample_child') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_sample_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_sample_child >>>'
go

/* 
 * TABLE: meas_sample_test 
 */

CREATE TABLE meas_sample_test(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    sample_order_seq     int             NOT NULL,
    test_order_seq       int             NOT NULL,
    stt_db_site          char(16)        NOT NULL,
    stt_db_id            int             NOT NULL,
    stt_code             int             NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    name                 varchar(254)    NULL,
    by_agent_site        char(16)        NOT NULL,
    by_agent_id          int             NOT NULL,
    test_asset_site      char(16)        NULL,
    test_asset_id        int             NULL,
    gmt_started          datetime        NULL,
    st_loc_hr_delta      smallint        NULL,
    st_loc_min_delta     smallint        NULL,
    gmt_ended            datetime        NULL,
    end_loc_hr_delta     smallint        NULL,
    end_loc_min_delta    smallint        NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__meas_sample_test__0880433F PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
) 
go



IF OBJECT_ID('meas_sample_test') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_sample_test >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_sample_test >>>'
go

/* 
 * TABLE: meas_sample 
 */

CREATE TABLE meas_sample(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    sample_order_seq    int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    by_agent_site       char(16)        NULL,
    by_agent_id         int             NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__meas_sample__7EF6D905 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
) 
go



IF OBJECT_ID('meas_sample') IS NOT NULL
    PRINT '<<< CREATED TABLE meas_sample >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE meas_sample >>>'
go

/* 
 * TABLE: mevent_blob_data 
 */

CREATE TABLE mevent_blob_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    mebt_db_site        char(16)        NOT NULL,
    mebt_db_id          int             NOT NULL,
    meb_type_code       int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mevent_blob_data__251C81ED PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
) 
go



IF OBJECT_ID('mevent_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE mevent_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mevent_blob_data >>>'
go

/* 
 * TABLE: mevent_blob_type 
 */

CREATE TABLE mevent_blob_type(
    mebt_db_site        char(16)        NOT NULL,
    mebt_db_id          int             NOT NULL,
    meb_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mevent_blob_type__56E8E7AB PRIMARY KEY CLUSTERED (mebt_db_site, mebt_db_id, meb_type_code)
) 
go



IF OBJECT_ID('mevent_blob_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mevent_blob_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mevent_blob_type >>>'
go

/* 
 * TABLE: mevent_chr_data 
 */

CREATE TABLE mevent_chr_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mevent_chr_data__693CA210 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code)
) 
go



IF OBJECT_ID('mevent_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE mevent_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mevent_chr_data >>>'
go

/* 
 * TABLE: mevent_num_alarm 
 */

CREATE TABLE mevent_num_alarm(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    eu_db_site           char(16)        NOT NULL,
    eu_db_id             int             NOT NULL,
    eu_type_code         int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    gmt_acknowledged     datetime        NULL,
    ack_loc_hr_delta     smallint        NULL,
    ack_loc_min_delta    smallint        NULL,
    org_agent_site       char(16)        NULL,
    agent_id             int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__mevent_num_alarm__76969D2E PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code, al_db_site, al_db_id, al_type_code)
) 
go



IF OBJECT_ID('mevent_num_alarm') IS NOT NULL
    PRINT '<<< CREATED TABLE mevent_num_alarm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mevent_num_alarm >>>'
go

/* 
 * TABLE: mevent_num_data 
 */

CREATE TABLE mevent_num_data(
    meas_loc_site       char(16)    NOT NULL,
    meas_loc_id         int         NOT NULL,
    gmt_event           datetime    NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__mevent_num_data__6754599E PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code)
) 
go



IF OBJECT_ID('mevent_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE mevent_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mevent_num_data >>>'
go

/* 
 * TABLE: mim_access_type 
 */

CREATE TABLE mim_access_type(
    acc_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mim_access_type__40058253 PRIMARY KEY CLUSTERED (acc_type_code)
) 
go



IF OBJECT_ID('mim_access_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mim_access_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mim_access_type >>>'
go

/* 
 * TABLE: mim_data_cat_type 
 */

CREATE TABLE mim_data_cat_type(
    dcat_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mim_data_cat_typ__3C34F16F PRIMARY KEY CLUSTERED (dcat_type_code)
) 
go



IF OBJECT_ID('mim_data_cat_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mim_data_cat_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mim_data_cat_type >>>'
go

/* 
 * TABLE: mim_func_type 
 */

CREATE TABLE mim_func_type(
    func_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mim_func_type__3E1D39E1 PRIMARY KEY CLUSTERED (func_type_code)
) 
go



IF OBJECT_ID('mim_func_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mim_func_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mim_func_type >>>'
go

/* 
 * TABLE: mim_interface_type 
 */

CREATE TABLE mim_interface_type(
    interf_type_code     int             NOT NULL,
    dcat_type_code       int             NOT NULL,
    supp_type_code       int             NOT NULL,
    func_type_code       int             NOT NULL,
    tech_type_code       int             NOT NULL,
    acc_type_code        int             NOT NULL,
    support_level        smallint        NOT NULL,
    version_supported    smallint        NOT NULL,
    subversion_supp      smallint        NOT NULL,
    name                 varchar(254)    NOT NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__mim_interface_ty__41EDCAC5 PRIMARY KEY CLUSTERED (interf_type_code)
) 
go



IF OBJECT_ID('mim_interface_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mim_interface_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mim_interface_type >>>'
go

/* 
 * TABLE: mim_support_type 
 */

CREATE TABLE mim_support_type(
    supp_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mim_support_type__3A4CA8FD PRIMARY KEY CLUSTERED (supp_type_code)
) 
go



IF OBJECT_ID('mim_support_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mim_support_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mim_support_type >>>'
go

/* 
 * TABLE: mim_tech_type 
 */

CREATE TABLE mim_tech_type(
    tech_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mim_tech_type__3864608B PRIMARY KEY CLUSTERED (tech_type_code)
) 
go



IF OBJECT_ID('mim_tech_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mim_tech_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mim_tech_type >>>'
go

/* 
 * TABLE: mloc_calc_type 
 */

CREATE TABLE mloc_calc_type(
    mc_db_site          char(16)        NOT NULL,
    mc_db_id            int             NOT NULL,
    mc_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    description         varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mloc_calc_type__182C9B23 PRIMARY KEY CLUSTERED (mc_db_site, mc_db_id, mc_type_code)
) 
go



IF OBJECT_ID('mloc_calc_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_calc_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_calc_type >>>'
go

/* 
 * TABLE: mloc_chr_data_type 
 */

CREATE TABLE mloc_chr_data_type(
    mlc_db_site         char(16)        NOT NULL,
    mlc_db_id           int             NOT NULL,
    mlc_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mloc_chr_data_ty__184C96B4 PRIMARY KEY CLUSTERED (mlc_db_site, mlc_db_id, mlc_type_code)
) 
go



IF OBJECT_ID('mloc_chr_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_chr_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_chr_data_type >>>'
go

/* 
 * TABLE: mloc_num_data_type 
 */

CREATE TABLE mloc_num_data_type(
    mln_db_site         char(16)        NOT NULL,
    mln_db_id           int             NOT NULL,
    mln_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__mloc_num_data_ty__16644E42 PRIMARY KEY CLUSTERED (mln_db_site, mln_db_id, mln_type_code)
) 
go



IF OBJECT_ID('mloc_num_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_num_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_num_data_type >>>'
go

/* 
 * TABLE: mloc_test_alrm_rg 
 */

CREATE TABLE mloc_test_alrm_rg(
    alarm_db_site        char(16)        NOT NULL,
    alarm_db_id          int             NOT NULL,
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    ordering_seq         int             NOT NULL,
    ml_db_site           char(16)        NULL,
    ml_db_id             int             NULL,
    ml_type_code         int             NULL,
    mc_db_site           char(16)        NULL,
    mc_db_id             int             NULL,
    mc_type_code         int             NULL,
    stt_db_site          char(16)        NOT NULL,
    stt_db_id            int             NOT NULL,
    stt_code             int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    strn_db_site         char(16)        NOT NULL,
    strn_db_id           int             NOT NULL,
    str_num_type_code    int             NOT NULL,
    eu_db_site           char(16)        NOT NULL,
    eu_db_id             int             NOT NULL,
    eu_type_code         int             NOT NULL,
    gmt_alarm_start      datetime        NOT NULL,
    st_loc_hr_delta      smallint        NULL,
    st_loc_min_delta     smallint        NULL,
    min_data_value       float           NOT NULL,
    max_data_value       float           NOT NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__mloc_test_alrm_r__7D0E9093 PRIMARY KEY CLUSTERED (alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
) 
go



IF OBJECT_ID('mloc_test_alrm_rg') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_test_alrm_rg >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_test_alrm_rg >>>'
go

/* 
 * TABLE: mloc_type_child 
 */

CREATE TABLE mloc_type_child(
    ml_db_site            char(16)    NOT NULL,
    ml_db_id              int         NOT NULL,
    ml_type_code          int         NOT NULL,
    child_ml_db_site      char(16)    NOT NULL,
    child_ml_db_id        int         NOT NULL,
    child_ml_type_code    int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__mloc_type_child__07220AB2 PRIMARY KEY CLUSTERED (ml_db_site, ml_db_id, ml_type_code, child_ml_db_site, child_ml_db_id, child_ml_type_code)
) 
go



IF OBJECT_ID('mloc_type_child') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_type_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_type_child >>>'
go

/* 
 * TABLE: mloc_ulist_sp_ampl 
 */

CREATE TABLE mloc_ulist_sp_ampl(
    ord_list_db_site     char(16)    NOT NULL,
    ord_list_db_id       int         NOT NULL,
    ord_list_id          int         NOT NULL,
    ordering_seq         int         NOT NULL,
    channel_number       int         NOT NULL,
    spa_setup_db_site    char(16)    NOT NULL,
    spa_setup_db_id      int         NOT NULL,
    spa_setup_id         int         NOT NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__mloc_ulist_sp_am__30C33EC3 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spa_setup_db_site, spa_setup_db_id, spa_setup_id)
) 
go



IF OBJECT_ID('mloc_ulist_sp_ampl') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_ulist_sp_ampl >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_ulist_sp_ampl >>>'
go

/* 
 * TABLE: mloc_ulist_sp_cpb 
 */

CREATE TABLE mloc_ulist_sp_cpb(
    ord_list_db_site     char(16)    NOT NULL,
    ord_list_db_id       int         NOT NULL,
    ord_list_id          int         NOT NULL,
    ordering_seq         int         NOT NULL,
    channel_number       int         NOT NULL,
    spc_setup_db_site    char(16)    NOT NULL,
    spc_setup_db_id      int         NOT NULL,
    spc_setup_id         int         NOT NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__mloc_ulist_sp_cp__367C1819 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spc_setup_db_site, spc_setup_db_id, spc_setup_id)
) 
go



IF OBJECT_ID('mloc_ulist_sp_cpb') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_ulist_sp_cpb >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_ulist_sp_cpb >>>'
go

/* 
 * TABLE: mloc_ulist_sp_fft 
 */

CREATE TABLE mloc_ulist_sp_fft(
    ord_list_db_site     char(16)    NOT NULL,
    ord_list_db_id       int         NOT NULL,
    ord_list_id          int         NOT NULL,
    ordering_seq         int         NOT NULL,
    channel_number       int         NOT NULL,
    spf_setup_db_site    char(16)    NOT NULL,
    spf_setup_db_id      int         NOT NULL,
    spf_setup_id         int         NOT NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__mloc_ulist_sp_ff__32AB8735 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spf_setup_db_site, spf_setup_db_id, spf_setup_id)
) 
go



IF OBJECT_ID('mloc_ulist_sp_fft') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_ulist_sp_fft >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_ulist_sp_fft >>>'
go

/* 
 * TABLE: mloc_ulist_sp_time 
 */

CREATE TABLE mloc_ulist_sp_time(
    ord_list_db_site     char(16)    NOT NULL,
    ord_list_db_id       int         NOT NULL,
    ord_list_id          int         NOT NULL,
    ordering_seq         int         NOT NULL,
    channel_number       int         NOT NULL,
    spt_setup_db_site    char(16)    NOT NULL,
    spt_setup_db_id      int         NOT NULL,
    spt_setup_id         int         NOT NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__mloc_ulist_sp_ti__3493CFA7 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number, spt_setup_db_site, spt_setup_db_id, spt_setup_id)
) 
go



IF OBJECT_ID('mloc_ulist_sp_time') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_ulist_sp_time >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_ulist_sp_time >>>'
go

/* 
 * TABLE: mloc_unit_list 
 */

CREATE TABLE mloc_unit_list(
    ord_list_db_site    char(16)    NOT NULL,
    ord_list_db_id      int         NOT NULL,
    ord_list_id         int         NOT NULL,
    ordering_seq        int         NOT NULL,
    channel_number      int         NOT NULL,
    meas_loc_site       char(16)    NOT NULL,
    meas_loc_id         int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__mloc_unit_list__59063A47 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
) 
go



IF OBJECT_ID('mloc_unit_list') IS NOT NULL
    PRINT '<<< CREATED TABLE mloc_unit_list >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE mloc_unit_list >>>'
go

/* 
 * TABLE: model_blob_data 
 */

CREATE TABLE model_blob_data(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    model_db_site       char(16)        NOT NULL,
    model_db_id         int             NOT NULL,
    model_id            int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__model_blob_data__1D7B6025 PRIMARY KEY CLUSTERED (db_site, db_id, model_db_site, model_db_id, model_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('model_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE model_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_blob_data >>>'
go

/* 
 * TABLE: model_child 
 */

CREATE TABLE model_child(
    model_db_site          char(16)    NOT NULL,
    model_db_id            int         NOT NULL,
    model_id               int         NOT NULL,
    child_model_db_site    char(16)    NOT NULL,
    child_model_db_id      int         NOT NULL,
    child_model_id         int         NOT NULL,
    ordering_seq           int         NOT NULL,
    gmt_last_updated       datetime    NULL,
    last_upd_db_site       char(16)    NULL,
    last_upd_db_id         int         NULL,
    rstat_type_code        smallint    NULL,
    CONSTRAINT PK__model_child__32E0915F PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, child_model_db_site, child_model_db_id, child_model_id)
) 
go



IF OBJECT_ID('model_child') IS NOT NULL
    PRINT '<<< CREATED TABLE model_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_child >>>'
go

/* 
 * TABLE: model_chr_data 
 */

CREATE TABLE model_chr_data(
    model_db_site       char(16)        NOT NULL,
    model_db_id         int             NOT NULL,
    model_id            int             NOT NULL,
    ac_db_site          char(16)        NOT NULL,
    ac_db_id            int             NOT NULL,
    ac_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__model_chr_data__3A81B327 PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, ac_db_site, ac_db_id, ac_type_code)
) 
go



IF OBJECT_ID('model_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE model_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_chr_data >>>'
go

/* 
 * TABLE: model_function 
 */

CREATE TABLE model_function(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    model_db_site       char(16)        NOT NULL,
    model_db_id         int             NOT NULL,
    model_id            int             NOT NULL,
    ordering_seq        int             NOT NULL,
    user_tag_ident      varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    gmt_created         datetime        NULL,
    cr_loc_hr_delta     smallint        NULL,
    cr_loc_min_delta    smallint        NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__model_function__345EC57D PRIMARY KEY CLUSTERED (db_site, db_id, model_db_site, model_db_id, model_id, ordering_seq)
) 
go



IF OBJECT_ID('model_function') IS NOT NULL
    PRINT '<<< CREATED TABLE model_function >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_function >>>'
go

/* 
 * TABLE: model_hyp_ev_func 
 */

CREATE TABLE model_hyp_ev_func(
    mod_hyp_db_site     char(16)        NOT NULL,
    mod_hyp_db_id       int             NOT NULL,
    mod_hyp_event_id    int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    model_db_site       char(16)        NOT NULL,
    model_db_id         int             NOT NULL,
    model_id            int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__model_hyp_ev_fun__69C6B1F5 PRIMARY KEY CLUSTERED (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id, db_site, db_id, model_db_site, model_db_id, model_id, ordering_seq)
) 
go



IF OBJECT_ID('model_hyp_ev_func') IS NOT NULL
    PRINT '<<< CREATED TABLE model_hyp_ev_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_hyp_ev_func >>>'
go

/* 
 * TABLE: model_hyp_ev_link 
 */

CREATE TABLE model_hyp_ev_link(
    mod_hyp_db_site     char(16)        NOT NULL,
    mod_hyp_db_id       int             NOT NULL,
    mod_hyp_event_id    int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__model_hyp_ev_lin__56B3DD81 PRIMARY KEY CLUSTERED (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('model_hyp_ev_link') IS NOT NULL
    PRINT '<<< CREATED TABLE model_hyp_ev_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_hyp_ev_link >>>'
go

/* 
 * TABLE: model_hyp_ev_num_data 
 */

CREATE TABLE model_hyp_ev_num_data(
    mod_hyp_db_site     char(16)    NOT NULL,
    mod_hyp_db_id       int         NOT NULL,
    mod_hyp_event_id    int         NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__model_hyp_ev_num__603D47BB PRIMARY KEY CLUSTERED (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('model_hyp_ev_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE model_hyp_ev_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_hyp_ev_num_data >>>'
go

/* 
 * TABLE: model_hyp_event 
 */

CREATE TABLE model_hyp_event(
    mod_hyp_db_site           char(16)        NOT NULL,
    mod_hyp_db_id             int             NOT NULL,
    mod_hyp_event_id          int             NOT NULL,
    model_db_site             char(16)        NOT NULL,
    model_db_id               int             NOT NULL,
    model_id                  int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_created               datetime        NULL,
    cr_loc_hr_delta           smallint        NULL,
    cr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    associated_blob           image           NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__model_hyp_event__4D2A7347 PRIMARY KEY CLUSTERED (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
) 
go



IF OBJECT_ID('model_hyp_event') IS NOT NULL
    PRINT '<<< CREATED TABLE model_hyp_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_hyp_event >>>'
go

/* 
 * TABLE: model_num_data 
 */

CREATE TABLE model_num_data(
    model_db_site       char(16)    NOT NULL,
    model_db_id         int         NOT NULL,
    model_id            int         NOT NULL,
    an_db_site          char(16)    NOT NULL,
    an_db_id            int         NOT NULL,
    an_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__model_num_data__38996AB5 PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, an_db_site, an_db_id, an_type_code)
) 
go



IF OBJECT_ID('model_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE model_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_num_data >>>'
go

/* 
 * TABLE: model_rec_blob 
 */

CREATE TABLE model_rec_blob(
    model_db_site         char(16)        NOT NULL,
    model_db_id           int             NOT NULL,
    model_id              int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    bd_db_site            char(16)        NOT NULL,
    bd_db_id              int             NOT NULL,
    bd_type_code          int             NOT NULL,
    ordering_seq          int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_file_name       varchar(254)    NULL,
    image_data            image           NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__model_rec_blob__3429BB53 PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('model_rec_blob') IS NOT NULL
    PRINT '<<< CREATED TABLE model_rec_blob >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_rec_blob >>>'
go

/* 
 * TABLE: model_rec_hyp_ev 
 */

CREATE TABLE model_rec_hyp_ev(
    model_db_site         char(16)    NOT NULL,
    model_db_id           int         NOT NULL,
    model_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    mod_hyp_db_site       char(16)    NOT NULL,
    mod_hyp_db_id         int         NOT NULL,
    mod_hyp_event_id      int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__model_rec_hyp_ev__45544755 PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id, mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
) 
go



IF OBJECT_ID('model_rec_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE model_rec_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_rec_hyp_ev >>>'
go

/* 
 * TABLE: model_rec_remark 
 */

CREATE TABLE model_rec_remark(
    model_db_site         char(16)        NOT NULL,
    model_db_id           int             NOT NULL,
    model_id              int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ordering_seq          int             NOT NULL,
    remark_text           varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__model_rec_remark__2AA05119 PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
go



IF OBJECT_ID('model_rec_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE model_rec_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_rec_remark >>>'
go

/* 
 * TABLE: model_recomm 
 */

CREATE TABLE model_recomm(
    model_db_site             char(16)        NOT NULL,
    model_db_id               int             NOT NULL,
    model_id                  int             NOT NULL,
    gmt_recommendation        datetime        NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__model_recomm__1F2E9E6D PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('model_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE model_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model_recomm >>>'
go

/* 
 * TABLE: model 
 */

CREATE TABLE model(
    model_db_site       char(16)        NOT NULL,
    model_db_id         int             NOT NULL,
    model_id            int             NOT NULL,
    as_db_site          char(16)        NOT NULL,
    as_db_id            int             NOT NULL,
    as_type_code        int             NOT NULL,
    mf_db_site          char(16)        NULL,
    mf_db_id            int             NULL,
    manuf_code          int             NULL,
    segment_site        char(16)        NULL,
    segment_id          int             NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__model__30F848ED PRIMARY KEY CLUSTERED (model_db_site, model_db_id, model_id)
) 
go



IF OBJECT_ID('model') IS NOT NULL
    PRINT '<<< CREATED TABLE model >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE model >>>'
go

/* 
 * TABLE: network_type 
 */

CREATE TABLE network_type(
    nt_db_site          char(16)        NOT NULL,
    nt_db_id            int             NOT NULL,
    nt_type_code        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__network_type__43D61337 PRIMARY KEY CLUSTERED (nt_db_site, nt_db_id, nt_type_code)
) 
go



IF OBJECT_ID('network_type') IS NOT NULL
    PRINT '<<< CREATED TABLE network_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE network_type >>>'
go

/* 
 * TABLE: network 
 */

CREATE TABLE network(
    network_db_site     char(16)        NOT NULL,
    network_db_id       int             NOT NULL,
    network_id          int             NOT NULL,
    nt_db_site          char(16)        NOT NULL,
    nt_db_id            int             NOT NULL,
    nt_type_code        int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__network__73852659 PRIMARY KEY CLUSTERED (network_db_site, network_db_id, network_id)
) 
go



IF OBJECT_ID('network') IS NOT NULL
    PRINT '<<< CREATED TABLE network >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE network >>>'
go

/* 
 * TABLE: num_al_assoc_reg 
 */

CREATE TABLE num_al_assoc_reg(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    al_db_site          char(16)        NOT NULL,
    al_db_id            int             NOT NULL,
    al_type_code        int             NOT NULL,
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    al_meas_loc_site    char(16)        NOT NULL,
    al_meas_loc_id      int             NOT NULL,
    al_ordering_seq     int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__num_al_assoc_reg__787EE5A0 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code, al_db_site, al_db_id, al_type_code, alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
) 
go



IF OBJECT_ID('num_al_assoc_reg') IS NOT NULL
    PRINT '<<< CREATED TABLE num_al_assoc_reg >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE num_al_assoc_reg >>>'
go

/* 
 * TABLE: num_al_reg_blob_data 
 */

CREATE TABLE num_al_reg_blob_data(
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    al_meas_loc_site    char(16)        NOT NULL,
    al_meas_loc_id      int             NOT NULL,
    al_ordering_seq     int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__num_al_reg_blob___278EDA44 PRIMARY KEY CLUSTERED (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('num_al_reg_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE num_al_reg_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE num_al_reg_blob_data >>>'
go

/* 
 * TABLE: num_al_reg_chr_data 
 */

CREATE TABLE num_al_reg_chr_data(
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    al_meas_loc_site    char(16)        NOT NULL,
    al_meas_loc_id      int             NOT NULL,
    al_ordering_seq     int             NOT NULL,
    ec_db_site          char(16)        NOT NULL,
    ec_db_id            int             NOT NULL,
    ec_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__num_al_reg_chr_d__25A691D2 PRIMARY KEY CLUSTERED (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq, ec_db_site, ec_db_id, ec_type_code)
) 
go



IF OBJECT_ID('num_al_reg_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE num_al_reg_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE num_al_reg_chr_data >>>'
go

/* 
 * TABLE: num_al_reg_num_data 
 */

CREATE TABLE num_al_reg_num_data(
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    al_meas_loc_site    char(16)        NOT NULL,
    al_meas_loc_id      int             NOT NULL,
    al_ordering_seq     int             NOT NULL,
    en_db_site          char(16)        NOT NULL,
    en_db_id            int             NOT NULL,
    en_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          float           NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__num_al_reg_num_d__23BE4960 PRIMARY KEY CLUSTERED (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('num_al_reg_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE num_al_reg_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE num_al_reg_num_data >>>'
go

/* 
 * TABLE: num_alarm_reg 
 */

CREATE TABLE num_alarm_reg(
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    ordering_seq        int             NOT NULL,
    ml_db_site          char(16)        NULL,
    ml_db_id            int             NULL,
    ml_type_code        int             NULL,
    mc_db_site          char(16)        NULL,
    mc_db_id            int             NULL,
    mc_type_code        int             NULL,
    al_db_site          char(16)        NOT NULL,
    al_db_id            int             NOT NULL,
    al_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    gmt_alarm_start     datetime        NOT NULL,
    st_loc_hr_delta     smallint        NULL,
    st_loc_min_delta    smallint        NULL,
    min_amplitude       float           NOT NULL,
    max_amplitude       float           NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__num_alarm_reg__6D0D32F4 PRIMARY KEY CLUSTERED (alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
) 
go



IF OBJECT_ID('num_alarm_reg') IS NOT NULL
    PRINT '<<< CREATED TABLE num_alarm_reg >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE num_alarm_reg >>>'
go

/* 
 * TABLE: ol_completed_work 
 */

CREATE TABLE ol_completed_work(
    ord_list_db_site          char(16)        NOT NULL,
    ord_list_db_id            int             NOT NULL,
    ord_list_id               int             NOT NULL,
    task_db_site              char(16)        NOT NULL,
    task_db_id                int             NOT NULL,
    task_type_code            int             NOT NULL,
    gmt_completed             datetime        NOT NULL,
    cp_loc_hr_delta           smallint        NULL,
    cp_loc_min_delta          smallint        NULL,
    gmt_started               datetime        NULL,
    st_loc_hr_delta           smallint        NULL,
    st_loc_min_delta          smallint        NULL,
    by_agent_site             char(16)        NULL,
    by_agent_id               int             NULL,
    from_sy_agent_site        char(16)        NULL,
    from_sy_agent_id          int             NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    work_order_db_site        char(16)        NULL,
    work_order_db_id          int             NULL,
    work_order_id             int             NULL,
    work_ord_step_seq         int             NULL,
    user_tag_ident            varchar(254)    NULL,
    name                      varchar(254)    NULL,
    long_description          varchar(4000)   NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__ol_completed_wor__035179CE PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, task_db_site, task_db_id, task_type_code, gmt_completed)
) 
go



IF OBJECT_ID('ol_completed_work') IS NOT NULL
    PRINT '<<< CREATED TABLE ol_completed_work >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ol_completed_work >>>'
go

/* 
 * TABLE: ol_rec_remark 
 */

CREATE TABLE ol_rec_remark(
    ord_list_db_site      char(16)        NOT NULL,
    ord_list_db_id        int             NOT NULL,
    ord_list_id           int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ordering_seq          int             NOT NULL,
    remark_text           varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__ol_rec_remark__24E777C3 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
go



IF OBJECT_ID('ol_rec_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE ol_rec_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ol_rec_remark >>>'
go

/* 
 * TABLE: ol_recommendation 
 */

CREATE TABLE ol_recommendation(
    ord_list_db_site          char(16)        NOT NULL,
    ord_list_db_id            int             NOT NULL,
    ord_list_id               int             NOT NULL,
    gmt_recommendation        datetime        NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__ol_recommendatio__1975C517 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('ol_recommendation') IS NOT NULL
    PRINT '<<< CREATED TABLE ol_recommendation >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ol_recommendation >>>'
go

/* 
 * TABLE: ol_req_for_work 
 */

CREATE TABLE ol_req_for_work(
    req_db_site          char(16)        NOT NULL,
    req_db_id            int             NOT NULL,
    request_id           int             NOT NULL,
    ord_list_db_site     char(16)        NOT NULL,
    ord_list_db_id       int             NOT NULL,
    ord_list_id          int             NOT NULL,
    wm_type_db_site      char(16)        NOT NULL,
    wm_type_db_id        int             NOT NULL,
    wm_type_code         int             NOT NULL,
    task_db_site         char(16)        NOT NULL,
    task_db_id           int             NOT NULL,
    task_type_code       int             NOT NULL,
    auto_approve         char(1)         NULL
                         CONSTRAINT CK__ol_req_fo__auto___5B438874 CHECK (([auto_approve]='N' OR [auto_approve]='Y')),
    start_before_gmt     datetime        NULL,
    end_before_gmt       datetime        NULL,
    start_after_gmt      datetime        NULL,
    end_after_gmt        datetime        NULL,
    repeat_interval      int             NULL,
    int_eu_db_site       char(16)        NULL,
    int_eu_db_id         int             NULL,
    int_eu_type_code     int             NULL,
    to_agent_site        char(16)        NULL,
    to_agent_id          int             NULL,
    sol_pack_db_site     char(16)        NULL,
    sol_pack_db_id       int             NULL,
    sol_pack_id          int             NULL,
    rec_ord_db_site      char(16)        NULL,
    rec_ord_db_id        int             NULL,
    rec_ord_list_id      int             NULL,
    rec_gmt_recomm       datetime        NULL,
    rec_by_agent_site    char(16)        NULL,
    rec_by_agent_id      int             NULL,
    work_req_db_site     char(16)        NULL,
    work_req_db_id       int             NULL,
    work_req_id          int             NULL,
    work_order_db_site   char(16)        NULL,
    work_order_db_id     int             NULL,
    work_order_id        int             NULL,
    user_tag_ident       varchar(254)    NULL,
    name                 varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__ol_req_for_work__5A4F643B PRIMARY KEY CLUSTERED (req_db_site, req_db_id, request_id)
) 
go



IF OBJECT_ID('ol_req_for_work') IS NOT NULL
    PRINT '<<< CREATED TABLE ol_req_for_work >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ol_req_for_work >>>'
go

/* 
 * TABLE: ol_sol_pack 
 */

CREATE TABLE ol_sol_pack(
    ord_list_db_site    char(16)    NOT NULL,
    ord_list_db_id      int         NOT NULL,
    ord_list_id         int         NOT NULL,
    sol_pack_db_site    char(16)    NOT NULL,
    sol_pack_db_id      int         NOT NULL,
    sol_pack_id         int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__ol_sol_pack__0CDAE408 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
go



IF OBJECT_ID('ol_sol_pack') IS NOT NULL
    PRINT '<<< CREATED TABLE ol_sol_pack >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ol_sol_pack >>>'
go

/* 
 * TABLE: olist_blob_data 
 */

CREATE TABLE olist_blob_data(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    ord_list_db_site    char(16)        NOT NULL,
    ord_list_db_id      int             NOT NULL,
    ord_list_id         int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__olist_blob_data__2334397B PRIMARY KEY CLUSTERED (db_site, db_id, ord_list_db_site, ord_list_db_id, ord_list_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('olist_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE olist_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE olist_blob_data >>>'
go

/* 
 * TABLE: ordered_list 
 */

CREATE TABLE ordered_list(
    ord_list_db_site    char(16)        NOT NULL,
    ord_list_db_id      int             NOT NULL,
    ord_list_id         int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__ordered_list__5535A963 PRIMARY KEY CLUSTERED (ord_list_db_site, ord_list_db_id, ord_list_id)
) 
go



IF OBJECT_ID('ordered_list') IS NOT NULL
    PRINT '<<< CREATED TABLE ordered_list >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ordered_list >>>'
go

/* 
 * TABLE: post_scaling_type 
 */

CREATE TABLE post_scaling_type(
    pst_sc_db_site      char(16)        NOT NULL,
    pst_sc_db_id        int             NOT NULL,
    pst_sc_type_code    int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__post_scaling_typ__74AE54BC PRIMARY KEY CLUSTERED (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
) 
go



IF OBJECT_ID('post_scaling_type') IS NOT NULL
    PRINT '<<< CREATED TABLE post_scaling_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE post_scaling_type >>>'
go

/* 
 * TABLE: priority_level_type 
 */

CREATE TABLE priority_level_type(
    priority_lev_db_site      char(16)        NOT NULL,
    priority_lev_db_id        int             NOT NULL,
    priority_lev_type_code    int             NOT NULL,
    priority_scale            int             NOT NULL,
    name                      varchar(254)    NOT NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__priority_level_t__625A9A57 PRIMARY KEY CLUSTERED (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
) 
go



IF OBJECT_ID('priority_level_type') IS NOT NULL
    PRINT '<<< CREATED TABLE priority_level_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE priority_level_type >>>'
go

/* 
 * TABLE: purchase_cond_type 
 */

CREATE TABLE purchase_cond_type(
    pc_db_site          char(16)        NOT NULL,
    pc_db_id            int             NOT NULL,
    pc_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__purchase_cond_ty__145C0A3F PRIMARY KEY CLUSTERED (pc_db_site, pc_db_id, pc_type_code)
) 
go



IF OBJECT_ID('purchase_cond_type') IS NOT NULL
    PRINT '<<< CREATED TABLE purchase_cond_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE purchase_cond_type >>>'
go

/* 
 * TABLE: ref_unit_type 
 */

CREATE TABLE ref_unit_type(
    ru_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    physics_descr       varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__ref_unit_type__1BFD2C07 PRIMARY KEY CLUSTERED (ru_type_code)
) 
go



IF OBJECT_ID('ref_unit_type') IS NOT NULL
    PRINT '<<< CREATED TABLE ref_unit_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE ref_unit_type >>>'
go

/* 
 * TABLE: request 
 */

CREATE TABLE request(
    req_db_site               char(16)        NOT NULL,
    req_db_id                 int             NOT NULL,
    request_id                int             NOT NULL,
    gmt_created               datetime        NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    by_agent_site             char(16)        NULL,
    by_agent_id               int             NULL,
    from_sy_agent_site        char(16)        NULL,
    from_sy_agent_id          int             NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__request__52AE4273 PRIMARY KEY CLUSTERED (req_db_site, req_db_id, request_id)
) 
go



IF OBJECT_ID('request') IS NOT NULL
    PRINT '<<< CREATED TABLE request >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE request >>>'
go

/* 
 * TABLE: row_status_type 
 */

CREATE TABLE row_status_type(
    rstat_type_cod      smallint        NOT NULL,
    name                varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__row_status_type__7C8480AE PRIMARY KEY CLUSTERED (rstat_type_cod)
) 
go



IF OBJECT_ID('row_status_type') IS NOT NULL
    PRINT '<<< CREATED TABLE row_status_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE row_status_type >>>'
go

/* 
 * TABLE: sample_cdata_type 
 */

CREATE TABLE sample_cdata_type(
    schr_db_site        char(16)        NOT NULL,
    schr_db_id          int             NOT NULL,
    schr_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sample_cdata_typ__4B7734FF PRIMARY KEY CLUSTERED (schr_db_site, schr_db_id, schr_type_code)
) 
go



IF OBJECT_ID('sample_cdata_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sample_cdata_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sample_cdata_type >>>'
go

/* 
 * TABLE: sample_chr_data 
 */

CREATE TABLE sample_chr_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    sample_order_seq    int             NOT NULL,
    schr_db_site        char(16)        NOT NULL,
    schr_db_id          int             NOT NULL,
    schr_type_code      int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sample_chr_data__04AFB25B PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, schr_db_site, schr_db_id, schr_type_code)
) 
go



IF OBJECT_ID('sample_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sample_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sample_chr_data >>>'
go

/* 
 * TABLE: sample_ndata_type 
 */

CREATE TABLE sample_ndata_type(
    snum_db_site        char(16)        NOT NULL,
    snum_db_id          int             NOT NULL,
    snum_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sample_ndata_typ__498EEC8D PRIMARY KEY CLUSTERED (snum_db_site, snum_db_id, snum_type_code)
) 
go



IF OBJECT_ID('sample_ndata_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sample_ndata_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sample_ndata_type >>>'
go

/* 
 * TABLE: sample_num_data 
 */

CREATE TABLE sample_num_data(
    meas_loc_site       char(16)    NOT NULL,
    meas_loc_id         int         NOT NULL,
    gmt_event           datetime    NOT NULL,
    sample_order_seq    int         NOT NULL,
    snum_db_site        char(16)    NOT NULL,
    snum_db_id          int         NOT NULL,
    snum_type_code      int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sample_num_data__02C769E9 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, snum_db_site, snum_db_id, snum_type_code)
) 
go



IF OBJECT_ID('sample_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sample_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sample_num_data >>>'
go

/* 
 * TABLE: sample_remark 
 */

CREATE TABLE sample_remark(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    sample_order_seq    int             NOT NULL,
    ordering_seq        int             NOT NULL,
    remark_text         varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sample_remark__0697FACD PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, ordering_seq)
) 
go



IF OBJECT_ID('sample_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE sample_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sample_remark >>>'
go

/* 
 * TABLE: sample_test_type 
 */

CREATE TABLE sample_test_type(
    stt_db_site         char(16)        NOT NULL,
    stt_db_id           int             NOT NULL,
    stt_code            int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sample_test_type__47A6A41B PRIMARY KEY CLUSTERED (stt_db_site, stt_db_id, stt_code)
) 
go



IF OBJECT_ID('sample_test_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sample_test_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sample_test_type >>>'
go

/* 
 * TABLE: segment_blob_data 
 */

CREATE TABLE segment_blob_data(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__segment_blob_dat__1B9317B3 PRIMARY KEY CLUSTERED (db_site, db_id, segment_site, segment_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('segment_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_blob_data >>>'
go

/* 
 * TABLE: segment_child 
 */

CREATE TABLE segment_child(
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    child_sg_site       char(16)    NOT NULL,
    child_sg_id         int         NOT NULL,
    ordering_seq        int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__segment_child__1A14E395 PRIMARY KEY CLUSTERED (segment_site, segment_id, child_sg_site, child_sg_id)
) 
go



IF OBJECT_ID('segment_child') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_child >>>'
go

/* 
 * TABLE: segment_chr_data 
 */

CREATE TABLE segment_chr_data(
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    sc_db_site          char(16)        NOT NULL,
    sc_db_id            int             NOT NULL,
    sc_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__segment_chr_data__276EDEB3 PRIMARY KEY CLUSTERED (segment_site, segment_id, sc_db_site, sc_db_id, sc_type_code)
) 
go



IF OBJECT_ID('segment_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_chr_data >>>'
go

/* 
 * TABLE: segment_event_link 
 */

CREATE TABLE segment_event_link(
    segment_site         char(16)        NOT NULL,
    segment_id           int             NOT NULL,
    ev_db_site           char(16)        NOT NULL,
    ev_db_id             int             NOT NULL,
    event_type_code      int             NOT NULL,
    gmt_event_start      datetime        NOT NULL,
    caused_sg_site       char(16)        NOT NULL,
    caused_sg_id         int             NOT NULL,
    caused_ev_db_site    char(16)        NOT NULL,
    caused_ev_db_id      int             NOT NULL,
    caused_ev_code       int             NOT NULL,
    caused_gmt           datetime        NOT NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__segment_event_li__41B8C09B PRIMARY KEY CLUSTERED (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, caused_sg_site, caused_sg_id, caused_ev_db_site, caused_ev_db_id, caused_ev_code, caused_gmt)
) 
go



IF OBJECT_ID('segment_event_link') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_event_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_event_link >>>'
go

/* 
 * TABLE: segment_event 
 */

CREATE TABLE segment_event(
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    gmt_event_stop      datetime        NULL,
    ev_loc_hr_delta     smallint        NULL,
    ev_loc_min_delta    smallint        NULL,
    gmt_stored          datetime        NULL,
    st_loc_hr_delta     smallint        NULL,
    st_loc_min_delta    smallint        NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__segment_event__2B3F6F97 PRIMARY KEY CLUSTERED (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('segment_event') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_event >>>'
go

/* 
 * TABLE: segment_function 
 */

CREATE TABLE segment_function(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    ordering_seq        int             NOT NULL,
    user_tag_ident      varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    gmt_created         datetime        NULL,
    cr_loc_hr_delta     smallint        NULL,
    cr_loc_min_delta    smallint        NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__segment_function__2CBDA3B5 PRIMARY KEY CLUSTERED (db_site, db_id, segment_site, segment_id, ordering_seq)
) 
go



IF OBJECT_ID('segment_function') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_function >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_function >>>'
go

/* 
 * TABLE: segment_geo_position 
 */

CREATE TABLE segment_geo_position(
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    geo_db_site         char(16)    NOT NULL,
    geo_db_id           int         NOT NULL,
    geo_position_id     int         NOT NULL,
    gmt_at_location     datetime    NOT NULL,
    loc_hr_delta        smallint    NULL,
    loc_min_delta       smallint    NULL,
    duration            int         NOT NULL,
    dur_eu_db_site      char(16)    NOT NULL,
    dur_eu_db_id        int         NOT NULL,
    dur_eu_type_code    int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__segment_geo_posi__38B96646 PRIMARY KEY CLUSTERED (segment_site, segment_id, geo_db_site, geo_db_id, geo_position_id, gmt_at_location)
) 
go



IF OBJECT_ID('segment_geo_position') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_geo_position >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_geo_position >>>'
go

/* 
 * TABLE: segment_health 
 */

CREATE TABLE segment_health(
    segment_site            char(16)        NOT NULL,
    segment_id              int             NOT NULL,
    gmt_assessment          datetime        NOT NULL,
    by_agent_site           char(16)        NOT NULL,
    by_agent_id             int             NOT NULL,
    loc_hr_delta            smallint        NULL,
    loc_min_delta           smallint        NULL,
    health_lev_db_site      char(16)        NOT NULL,
    health_lev_db_id        int             NOT NULL,
    health_lev_type_code    int             NOT NULL,
    health_scale_precise    float           NULL,
    likelihood_prob         float           NULL,
    gmt_created             datetime        NULL,
    cr_loc_hr_delta         smallint        NULL,
    cr_loc_min_delta        smallint        NULL,
    ch_patt_db_site         char(16)        NULL,
    ch_patt_db_id           int             NULL,
    ch_patt_type_code       int             NULL,
    gmt_audited             datetime        NULL,
    aud_loc_hr_delta        smallint        NULL,
    aud_loc_min_delta       smallint        NULL,
    aud_quality_code        smallint        NULL,
    aud_by_org_asite        char(16)        NULL,
    aud_by_agent_id         int             NULL,
    user_tag_ident          varchar(254)    NULL,
    name                    varchar(254)    NULL,
    gmt_last_updated        datetime        NULL,
    last_upd_db_site        char(16)        NULL,
    last_upd_db_id          int             NULL,
    rstat_type_code         smallint        NULL,
    CONSTRAINT PK__segment_health__0662F0A3 PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('segment_health') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_health >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_health >>>'
go

/* 
 * TABLE: segment_num_data 
 */

CREATE TABLE segment_num_data(
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    sn_db_site          char(16)    NOT NULL,
    sn_db_id            int         NOT NULL,
    sn_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__segment_num_data__25869641 PRIMARY KEY CLUSTERED (segment_site, segment_id, sn_db_site, sn_db_id, sn_type_code)
) 
go



IF OBJECT_ID('segment_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_num_data >>>'
go

/* 
 * TABLE: segment_type_child 
 */

CREATE TABLE segment_type_child(
    sg_db_site            char(16)    NOT NULL,
    sg_db_id              int         NOT NULL,
    sg_type_code          int         NOT NULL,
    child_sg_db_site      char(16)    NOT NULL,
    child_sg_db_id        int         NOT NULL,
    child_sg_type_code    int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__segment_type_chi__0F975522 PRIMARY KEY CLUSTERED (sg_db_site, sg_db_id, sg_type_code, child_sg_db_site, child_sg_db_id, child_sg_type_code)
) 
go



IF OBJECT_ID('segment_type_child') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_type_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_type_child >>>'
go

/* 
 * TABLE: segment_type 
 */

CREATE TABLE segment_type(
    sg_db_site          char(16)        NOT NULL,
    sg_db_id            int             NOT NULL,
    sg_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    default_mnemonic    varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__segment_type__0DAF0CB0 PRIMARY KEY CLUSTERED (sg_db_site, sg_db_id, sg_type_code)
) 
go



IF OBJECT_ID('segment_type') IS NOT NULL
    PRINT '<<< CREATED TABLE segment_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment_type >>>'
go

/* 
 * TABLE: segment 
 */

CREATE TABLE segment(
    segment_site        char(16)         NOT NULL,
    segment_id          int              NOT NULL,
    sg_db_site          char(16)         NOT NULL,
    sg_db_id            int              NOT NULL,
    sg_type_code        int              NOT NULL,
    segment_group_yn    char(1)          NOT NULL
                        CONSTRAINT CK__segment__segment__1273C1CD CHECK (([segment_group_yn]='N' OR [segment_group_yn]='Y')),
    user_tag_ident      varchar(254)     NULL,
    name                varchar(254)     NULL,
    long_description    varchar(4000)    NULL,
    gmt_last_updated    datetime         NULL,
    last_upd_db_site    char(16)         NULL,
    last_upd_db_id      int              NULL,
    rstat_type_code     smallint         NULL,
    CONSTRAINT PK__segment__117F9D94 PRIMARY KEY CLUSTERED (segment_site, segment_id)
) 
go



IF OBJECT_ID('segment') IS NOT NULL
    PRINT '<<< CREATED TABLE segment >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE segment >>>'
go

/* 
 * TABLE: severity_level_type 
 */

CREATE TABLE severity_level_type(
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    severity_scale            int             NOT NULL,
    name                      varchar(254)    NOT NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__severity_level_t__5E8A0973 PRIMARY KEY CLUSTERED (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
) 
go



IF OBJECT_ID('severity_level_type') IS NOT NULL
    PRINT '<<< CREATED TABLE severity_level_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE severity_level_type >>>'
go

/* 
 * TABLE: sg_as_event_type 
 */

CREATE TABLE sg_as_event_type(
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_as_event_type__29572725 PRIMARY KEY CLUSTERED (ev_db_site, ev_db_id, event_type_code)
) 
go



IF OBJECT_ID('sg_as_event_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_as_event_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_as_event_type >>>'
go

/* 
 * TABLE: sg_chr_dat_type 
 */

CREATE TABLE sg_chr_dat_type(
    sc_db_site          char(16)        NOT NULL,
    sc_db_id            int             NOT NULL,
    sc_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    default_ru_type     int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_chr_dat_type__239E4DCF PRIMARY KEY CLUSTERED (sc_db_site, sc_db_id, sc_type_code)
) 
go



IF OBJECT_ID('sg_chr_dat_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_chr_dat_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_chr_dat_type >>>'
go

/* 
 * TABLE: sg_completed_work 
 */

CREATE TABLE sg_completed_work(
    segment_site              char(16)        NOT NULL,
    segment_id                int             NOT NULL,
    task_db_site              char(16)        NOT NULL,
    task_db_id                int             NOT NULL,
    task_type_code            int             NOT NULL,
    gmt_completed             datetime        NOT NULL,
    cp_loc_hr_delta           smallint        NULL,
    cp_loc_min_delta          smallint        NULL,
    gmt_started               datetime        NULL,
    st_loc_hr_delta           smallint        NULL,
    st_loc_min_delta          smallint        NULL,
    by_agent_site             char(16)        NULL,
    by_agent_id               int             NULL,
    from_sy_agent_site        char(16)        NULL,
    from_sy_agent_id          int             NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    work_order_db_site        char(16)        NULL,
    work_order_db_id          int             NULL,
    work_order_id             int             NULL,
    work_ord_step_seq         int             NULL,
    user_tag_ident            varchar(254)    NULL,
    name                      varchar(254)    NULL,
    long_description          varchar(4000)   NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_completed_wor__7F80E8EA PRIMARY KEY CLUSTERED (segment_site, segment_id, task_db_site, task_db_id, task_type_code, gmt_completed)
) 
go



IF OBJECT_ID('sg_completed_work') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_completed_work >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_completed_work >>>'
go

/* 
 * TABLE: sg_ev_meas_event 
 */

CREATE TABLE sg_ev_meas_event(
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_ev_meas_event__3DE82FB7 PRIMARY KEY CLUSTERED (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('sg_ev_meas_event') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_ev_meas_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_ev_meas_event >>>'
go

/* 
 * TABLE: sg_ev_sg_func_link 
 */

CREATE TABLE sg_ev_sg_func_link(
    ev_segment_site     char(16)        NOT NULL,
    ev_segment_id       int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    fn_db_site          char(16)        NOT NULL,
    fn_db_id            int             NOT NULL,
    fn_segment_site     char(16)        NOT NULL,
    fn_segment_id       int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_ev_sg_func_li__36470DEF PRIMARY KEY CLUSTERED (ev_segment_site, ev_segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, fn_db_site, fn_db_id, fn_segment_site, fn_segment_id, ordering_seq)
) 
go



IF OBJECT_ID('sg_ev_sg_func_link') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_ev_sg_func_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_ev_sg_func_link >>>'
go

/* 
 * TABLE: sg_event_chr_data 
 */

CREATE TABLE sg_event_chr_data(
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    ev_db_site          char(16)    NOT NULL,
    ev_db_id            int         NOT NULL,
    event_type_code     int         NOT NULL,
    gmt_event_start     datetime    NOT NULL,
    ec_db_site          char(16)    NOT NULL,
    ec_db_id            int         NOT NULL,
    ec_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          varchar(254) NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sg_event_chr_dat__3E723F9C PRIMARY KEY CLUSTERED (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, ec_db_site, ec_db_id, ec_type_code)
) 
go



IF OBJECT_ID('sg_event_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_event_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_event_chr_data >>>'
go

/* 
 * TABLE: sg_event_num_data 
 */

CREATE TABLE sg_event_num_data(
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    ev_db_site          char(16)    NOT NULL,
    ev_db_id            int         NOT NULL,
    event_type_code     int         NOT NULL,
    gmt_event_start     datetime    NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sg_event_num_dat__3A179ED3 PRIMARY KEY CLUSTERED (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('sg_event_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_event_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_event_num_data >>>'
go

/* 
 * TABLE: sg_health_sg_event 
 */

CREATE TABLE sg_health_sg_event(
    segment_site          char(16)        NOT NULL,
    segment_id            int             NOT NULL,
    gmt_assessment        datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ev_sg_site            char(16)        NOT NULL,
    ev_sg_id              int             NOT NULL,
    ev_db_site            char(16)        NOT NULL,
    ev_db_id              int             NOT NULL,
    event_type_code       int             NOT NULL,
    gmt_event_start       datetime        NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_by_org_asite    char(16)        NULL,
    assoc_by_agent_id     int             NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_health_sg_eve__0A338187 PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id, ev_sg_site, ev_sg_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('sg_health_sg_event') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_health_sg_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_health_sg_event >>>'
go

/* 
 * TABLE: sg_health_sg_prop_ev 
 */

CREATE TABLE sg_health_sg_prop_ev(
    segment_site          char(16)        NOT NULL,
    segment_id            int             NOT NULL,
    gmt_assessment        datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    sg_prop_db_site       char(16)        NOT NULL,
    sg_prop_db_id         int             NOT NULL,
    sg_prop_event_id      int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_by_org_asite    char(16)        NULL,
    assoc_by_agent_id     int             NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_health_sg_pro__0E04126B PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id, sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
) 
go



IF OBJECT_ID('sg_health_sg_prop_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_health_sg_prop_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_health_sg_prop_ev >>>'
go

/* 
 * TABLE: sg_hyp_ev_amb_set 
 */

CREATE TABLE sg_hyp_ev_amb_set(
    sg_hyp_amb_set_db_site    char(16)        NOT NULL,
    sg_hyp_amb_set_db_id      int             NOT NULL,
    sg_hyp_amb_set_id         int             NOT NULL,
    segment_site              char(16)        NOT NULL,
    segment_id                int             NOT NULL,
    amb_set_db_site           char(16)        NOT NULL,
    amb_set_db_id             int             NOT NULL,
    amb_set_type_code         int             NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    user_tag_ident            varchar(254)    NULL,
    name                      varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_hyp_ev_amb_se__1A34DF26 PRIMARY KEY CLUSTERED (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id)
) 
go



IF OBJECT_ID('sg_hyp_ev_amb_set') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_hyp_ev_amb_set >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_hyp_ev_amb_set >>>'
go

/* 
 * TABLE: sg_hyp_ev_log_conn 
 */

CREATE TABLE sg_hyp_ev_log_conn(
    sg_hyp_amb_set_db_site    char(16)    NOT NULL,
    sg_hyp_amb_set_db_id      int         NOT NULL,
    sg_hyp_amb_set_id         int         NOT NULL,
    log_conn_id               int         NOT NULL,
    lc_db_site                char(16)    NOT NULL,
    lc_db_id                  int         NOT NULL,
    lc_type_code              int         NOT NULL,
    sg_hyp_db_site            char(16)    NULL,
    sg_hyp_db_id              int         NULL,
    sg_hyp_event_id           int         NULL,
    par_log_conn_id           int         NULL,
    likelihood_prob           float       NULL,
    gmt_last_updated          datetime    NULL,
    last_upd_db_site          char(16)    NULL,
    last_upd_db_id            int         NULL,
    rstat_type_code           smallint    NULL,
    CONSTRAINT PK__sg_hyp_ev_log_co__1C1D2798 PRIMARY KEY CLUSTERED (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id, log_conn_id)
) 
go



IF OBJECT_ID('sg_hyp_ev_log_conn') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_hyp_ev_log_conn >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_hyp_ev_log_conn >>>'
go

/* 
 * TABLE: sg_hyp_ev_num_data 
 */

CREATE TABLE sg_hyp_ev_num_data(
    sg_hyp_db_site      char(16)    NOT NULL,
    sg_hyp_db_id        int         NOT NULL,
    sg_hyp_event_id     int         NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sg_hyp_ev_num_da__589C25F3 PRIMARY KEY CLUSTERED (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('sg_hyp_ev_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_hyp_ev_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_hyp_ev_num_data >>>'
go

/* 
 * TABLE: sg_hyp_ev_sg_func 
 */

CREATE TABLE sg_hyp_ev_sg_func(
    sg_hyp_db_site      char(16)        NOT NULL,
    sg_hyp_db_id        int             NOT NULL,
    sg_hyp_event_id     int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_hyp_ev_sg_fun__6225902D PRIMARY KEY CLUSTERED (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id, db_site, db_id, segment_site, segment_id, ordering_seq)
) 
go



IF OBJECT_ID('sg_hyp_ev_sg_func') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_hyp_ev_sg_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_hyp_ev_sg_func >>>'
go

/* 
 * TABLE: sg_hyp_event_link 
 */

CREATE TABLE sg_hyp_event_link(
    sg_hyp_db_site      char(16)        NOT NULL,
    sg_hyp_db_id        int             NOT NULL,
    sg_hyp_event_id     int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_hyp_event_lin__4F12BBB9 PRIMARY KEY CLUSTERED (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('sg_hyp_event_link') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_hyp_event_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_hyp_event_link >>>'
go

/* 
 * TABLE: sg_hyp_event 
 */

CREATE TABLE sg_hyp_event(
    sg_hyp_db_site            char(16)        NOT NULL,
    sg_hyp_db_id              int             NOT NULL,
    sg_hyp_event_id           int             NOT NULL,
    segment_site              char(16)        NOT NULL,
    segment_id                int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_created               datetime        NULL,
    cr_loc_hr_delta           smallint        NULL,
    cr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    associated_blob           image           NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_hyp_event__4589517F PRIMARY KEY CLUSTERED (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
) 
go



IF OBJECT_ID('sg_hyp_event') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_hyp_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_hyp_event >>>'
go

/* 
 * TABLE: sg_network_connect 
 */

CREATE TABLE sg_network_connect(
    network_db_site      char(16)    NOT NULL,
    network_db_id        int         NOT NULL,
    network_id           int         NOT NULL,
    segment_site         char(16)    NOT NULL,
    segment_id           int         NOT NULL,
    output_sg_site       char(16)    NOT NULL,
    output_sg_id         int         NOT NULL,
    ordering_seq         int         NOT NULL,
    gmt_stream_config    datetime    NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__sg_network_conne__756D6ECB PRIMARY KEY CLUSTERED (network_db_site, network_db_id, network_id, segment_site, segment_id, output_sg_site, output_sg_id, ordering_seq)
) 
go



IF OBJECT_ID('sg_network_connect') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_network_connect >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_network_connect >>>'
go

/* 
 * TABLE: sg_num_dat_type 
 */

CREATE TABLE sg_num_dat_type(
    sn_db_site          char(16)        NOT NULL,
    sn_db_id            int             NOT NULL,
    sn_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    default_ru_type     int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_num_dat_type__21B6055D PRIMARY KEY CLUSTERED (sn_db_site, sn_db_id, sn_type_code)
) 
go



IF OBJECT_ID('sg_num_dat_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_num_dat_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_num_dat_type >>>'
go

/* 
 * TABLE: sg_pr_ev_amb_set_sg_ev 
 */

CREATE TABLE sg_pr_ev_amb_set_sg_ev(
    sg_prop_amb_set_db_site    char(16)    NOT NULL,
    sg_prop_amb_set_db_id      int         NOT NULL,
    sg_prop_amb_set_id         int         NOT NULL,
    segment_site               char(16)    NOT NULL,
    segment_id                 int         NOT NULL,
    ev_db_site                 char(16)    NOT NULL,
    ev_db_id                   int         NOT NULL,
    event_type_code            int         NOT NULL,
    gmt_event_start            datetime    NOT NULL,
    gmt_last_updated           datetime    NULL,
    last_upd_db_site           char(16)    NULL,
    last_upd_db_id             int         NULL,
    rstat_type_code            smallint    NULL,
    CONSTRAINT PK__sg_pr_ev_amb_set__21D600EE PRIMARY KEY CLUSTERED (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id, segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('sg_pr_ev_amb_set_sg_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_pr_ev_amb_set_sg_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_pr_ev_amb_set_sg_ev >>>'
go

/* 
 * TABLE: sg_prop_ev_amb_set 
 */

CREATE TABLE sg_prop_ev_amb_set(
    sg_prop_amb_set_db_site    char(16)        NOT NULL,
    sg_prop_amb_set_db_id      int             NOT NULL,
    sg_prop_amb_set_id         int             NOT NULL,
    segment_site               char(16)        NOT NULL,
    segment_id                 int             NOT NULL,
    by_agent_site              char(16)        NOT NULL,
    by_agent_id                int             NOT NULL,
    gmt_proposed               datetime        NOT NULL,
    pr_loc_hr_delta            smallint        NULL,
    pr_loc_min_delta           smallint        NULL,
    est_gmt_start              datetime        NULL,
    st_loc_hr_delta            smallint        NULL,
    st_loc_min_delta           smallint        NULL,
    est_gmt_occur_end          datetime        NULL,
    end_loc_hr_delta           smallint        NULL,
    end_loc_min_delta          smallint        NULL,
    sg_hyp_amb_set_db_site     char(16)        NOT NULL,
    sg_hyp_amb_set_db_id       int             NOT NULL,
    sg_hyp_amb_set_id          int             NOT NULL,
    amb_set_db_site            char(16)        NOT NULL,
    amb_set_db_id              int             NOT NULL,
    amb_set_type_code          int             NOT NULL,
    user_tag_ident             varchar(254)    NULL,
    name                       varchar(254)    NULL,
    gmt_last_updated           datetime        NULL,
    last_upd_db_site           char(16)        NULL,
    last_upd_db_id             int             NULL,
    rstat_type_code            smallint        NULL,
    CONSTRAINT PK__sg_prop_ev_amb_s__1E05700A PRIMARY KEY CLUSTERED (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id)
) 
go



IF OBJECT_ID('sg_prop_ev_amb_set') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_amb_set >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_amb_set >>>'
go

/* 
 * TABLE: sg_prop_ev_hyp_ev 
 */

CREATE TABLE sg_prop_ev_hyp_ev(
    sg_prop_db_site     char(16)        NOT NULL,
    sg_prop_db_id       int             NOT NULL,
    sg_prop_event_id    int             NOT NULL,
    sg_hypev_db_site    char(16)        NOT NULL,
    sg_hypev_db_id      int             NOT NULL,
    sg_hyp_event_id     int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_prop_ev_hyp_e__7AF13DF7 PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, sg_hypev_db_site, sg_hypev_db_id, sg_hyp_event_id)
) 
go



IF OBJECT_ID('sg_prop_ev_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_hyp_ev >>>'
go

/* 
 * TABLE: sg_prop_ev_link 
 */

CREATE TABLE sg_prop_ev_link(
    sg_prop_db_site     char(16)        NOT NULL,
    sg_prop_db_id       int             NOT NULL,
    sg_prop_event_id    int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_prop_ev_link__6F7F8B4B PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('sg_prop_ev_link') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_link >>>'
go

/* 
 * TABLE: sg_prop_ev_log_conn 
 */

CREATE TABLE sg_prop_ev_log_conn(
    sg_prop_amb_set_db_site    char(16)    NOT NULL,
    sg_prop_amb_set_db_id      int         NOT NULL,
    sg_prop_amb_set_id         int         NOT NULL,
    log_conn_id                int         NOT NULL,
    segment_site               char(16)    NOT NULL,
    segment_id                 int         NOT NULL,
    by_agent_site              char(16)    NOT NULL,
    by_agent_id                int         NOT NULL,
    gmt_proposed               datetime    NOT NULL,
    lc_db_site                 char(16)    NOT NULL,
    lc_db_id                   int         NOT NULL,
    lc_type_code               int         NOT NULL,
    sg_prop_db_site            char(16)    NULL,
    sg_prop_db_id              int         NULL,
    sg_prop_event_id           int         NULL,
    par_log_conn_id            int         NULL,
    likelihood_prob            float       NULL,
    gmt_last_updated           datetime    NULL,
    last_upd_db_site           char(16)    NULL,
    last_upd_db_id             int         NULL,
    rstat_type_code            smallint    NULL,
    CONSTRAINT PK__sg_prop_ev_log_c__1FEDB87C PRIMARY KEY CLUSTERED (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id, log_conn_id)
) 
go



IF OBJECT_ID('sg_prop_ev_log_conn') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_log_conn >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_log_conn >>>'
go

/* 
 * TABLE: sg_prop_ev_meas_ev 
 */

CREATE TABLE sg_prop_ev_meas_ev(
    sg_prop_db_site     char(16)        NOT NULL,
    sg_prop_db_id       int             NOT NULL,
    sg_prop_event_id    int             NOT NULL,
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_prop_ev_meas___02925FBF PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('sg_prop_ev_meas_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_meas_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_meas_ev >>>'
go

/* 
 * TABLE: sg_prop_ev_ndat 
 */

CREATE TABLE sg_prop_ev_ndat(
    sg_prop_db_site     char(16)    NOT NULL,
    sg_prop_db_id       int         NOT NULL,
    sg_prop_event_id    int         NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sg_prop_ev_ndat__73501C2F PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('sg_prop_ev_ndat') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_ndat >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_ndat >>>'
go

/* 
 * TABLE: sg_prop_ev_sg_ev 
 */

CREATE TABLE sg_prop_ev_sg_ev(
    sg_prop_db_site     char(16)        NOT NULL,
    sg_prop_db_id       int             NOT NULL,
    sg_prop_event_id    int             NOT NULL,
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    ev_db_site          char(16)        NOT NULL,
    ev_db_id            int             NOT NULL,
    event_type_code     int             NOT NULL,
    gmt_event_start     datetime        NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_prop_ev_sg_ev__7EC1CEDB PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('sg_prop_ev_sg_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_sg_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_sg_ev >>>'
go

/* 
 * TABLE: sg_prop_ev_sg_func 
 */

CREATE TABLE sg_prop_ev_sg_func(
    sg_prop_db_site     char(16)        NOT NULL,
    sg_prop_db_id       int             NOT NULL,
    sg_prop_event_id    int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    segment_site        char(16)        NOT NULL,
    segment_id          int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_prop_ev_sg_fu__7720AD13 PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id, db_site, db_id, segment_site, segment_id, ordering_seq)
) 
go



IF OBJECT_ID('sg_prop_ev_sg_func') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_prop_ev_sg_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_prop_ev_sg_func >>>'
go

/* 
 * TABLE: sg_proposed_event 
 */

CREATE TABLE sg_proposed_event(
    sg_prop_db_site           char(16)        NOT NULL,
    sg_prop_db_id             int             NOT NULL,
    sg_prop_event_id          int             NOT NULL,
    segment_site              char(16)        NOT NULL,
    segment_id                int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_proposed              datetime        NULL,
    pr_loc_hr_delta           smallint        NULL,
    pr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    likelihood_prob           float           NULL,
    est_gmt_start             datetime        NULL,
    st_loc_hr_delta           smallint        NULL,
    st_loc_min_delta          smallint        NULL,
    est_gmt_occur_end         datetime        NULL,
    end_loc_hr_delta          smallint        NULL,
    end_loc_min_delta         smallint        NULL,
    ch_patt_db_site           char(16)        NULL,
    ch_patt_db_id             int             NULL,
    ch_patt_type_code         int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_audited               datetime        NULL,
    aud_loc_hr_delta          smallint        NULL,
    aud_loc_min_delta         smallint        NULL,
    aud_quality_code          smallint        NULL,
    aud_by_org_asite          char(16)        NULL,
    aud_by_agent_id           int             NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_proposed_even__6BAEFA67 PRIMARY KEY CLUSTERED (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
) 
go



IF OBJECT_ID('sg_proposed_event') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_proposed_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_proposed_event >>>'
go

/* 
 * TABLE: sg_rec_blob 
 */

CREATE TABLE sg_rec_blob(
    segment_site          char(16)        NOT NULL,
    segment_id            int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    bd_db_site            char(16)        NOT NULL,
    bd_db_id              int             NOT NULL,
    bd_type_code          int             NOT NULL,
    ordering_seq          int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_file_name       varchar(254)    NULL,
    image_data            image           NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_rec_blob__2C88998B PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('sg_rec_blob') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_blob >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_blob >>>'
go

/* 
 * TABLE: sg_rec_mevent 
 */

CREATE TABLE sg_rec_mevent(
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    meas_loc_site         char(16)    NOT NULL,
    meas_loc_id           int         NOT NULL,
    gmt_event             datetime    NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__sg_rec_mevent__4B0D20AB PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, meas_loc_site, meas_loc_id, gmt_event)
) 
go



IF OBJECT_ID('sg_rec_mevent') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_mevent >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_mevent >>>'
go

/* 
 * TABLE: sg_rec_remark 
 */

CREATE TABLE sg_rec_remark(
    segment_site          char(16)        NOT NULL,
    segment_id            int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ordering_seq          int             NOT NULL,
    remark_text           varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_rec_remark__2116E6DF PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
go



IF OBJECT_ID('sg_rec_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_remark >>>'
go

/* 
 * TABLE: sg_rec_sg_event 
 */

CREATE TABLE sg_rec_sg_event(
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    ev_sg_site            char(16)    NOT NULL,
    ev_sg_id              int         NOT NULL,
    ev_db_site            char(16)    NOT NULL,
    ev_db_id              int         NOT NULL,
    event_type_code       int         NOT NULL,
    gmt_event_start       datetime    NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__sg_rec_sg_event__39E294A9 PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, ev_sg_site, ev_sg_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
) 
go



IF OBJECT_ID('sg_rec_sg_event') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_sg_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_sg_event >>>'
go

/* 
 * TABLE: sg_rec_sg_health 
 */

CREATE TABLE sg_rec_sg_health(
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    hth_sg_site           char(16)    NOT NULL,
    hth_sg_id             int         NOT NULL,
    hth_gmt_assess        datetime    NOT NULL,
    hth_by_agent_site     char(16)    NOT NULL,
    hth_by_agent_id       int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__sg_rec_sg_health__361203C5 PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, hth_sg_site, hth_sg_id, hth_gmt_assess, hth_by_agent_site, hth_by_agent_id)
) 
go



IF OBJECT_ID('sg_rec_sg_health') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_sg_health >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_sg_health >>>'
go

/* 
 * TABLE: sg_rec_sg_hyp_ev 
 */

CREATE TABLE sg_rec_sg_hyp_ev(
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    sg_hyp_db_site        char(16)    NOT NULL,
    sg_hyp_db_id          int         NOT NULL,
    sg_hyp_event_id       int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__sg_rec_sg_hyp_ev__3DB3258D PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
) 
go



IF OBJECT_ID('sg_rec_sg_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_sg_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_sg_hyp_ev >>>'
go

/* 
 * TABLE: sg_rec_sg_prop_ev 
 */

CREATE TABLE sg_rec_sg_prop_ev(
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    sg_prop_db_site       char(16)    NOT NULL,
    sg_prop_db_id         int         NOT NULL,
    sg_prop_event_id      int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__sg_rec_sg_prop_e__473C8FC7 PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id, sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
) 
go



IF OBJECT_ID('sg_rec_sg_prop_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_rec_sg_prop_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_rec_sg_prop_ev >>>'
go

/* 
 * TABLE: sg_recommendation 
 */

CREATE TABLE sg_recommendation(
    segment_site              char(16)        NOT NULL,
    segment_id                int             NOT NULL,
    gmt_recommendation        datetime        NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_recommendatio__15A53433 PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('sg_recommendation') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_recommendation >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_recommendation >>>'
go

/* 
 * TABLE: sg_remaining_life 
 */

CREATE TABLE sg_remaining_life(
    segment_site          char(16)        NOT NULL,
    segment_id            int             NOT NULL,
    gmt_assessment        datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    loc_hr_delta          smallint        NULL,
    loc_min_delta         smallint        NULL,
    est_remaining_life    float           NULL,
    erl_eu_db_site        char(16)        NULL,
    erl_eu_db_id          int             NULL,
    erl_eu_type_code      int             NULL,
    error_estimate        float           NULL,
    err_eu_db_site        char(16)        NULL,
    err_eu_db_id          int             NULL,
    err_eu_type_code      int             NULL,
    likelihood_prob       float           NULL,
    gmt_created           datetime        NULL,
    cr_loc_hr_delta       smallint        NULL,
    cr_loc_min_delta      smallint        NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_remaining_lif__11D4A34F PRIMARY KEY CLUSTERED (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('sg_remaining_life') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_remaining_life >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_remaining_life >>>'
go

/* 
 * TABLE: sg_req_for_work 
 */

CREATE TABLE sg_req_for_work(
    req_db_site           char(16)         NOT NULL,
    req_db_id             int              NOT NULL,
    request_id            int              NOT NULL,
    segment_site          char(16)         NOT NULL,
    segment_id            int              NOT NULL,
    wm_type_db_site       char(16)         NOT NULL,
    wm_type_db_id         int              NOT NULL,
    wm_type_code          int              NOT NULL,
    task_db_site          char(16)         NOT NULL,
    task_db_id            int              NOT NULL,
    task_type_code        int              NOT NULL,
    auto_approve          char(1)          NULL
                          CONSTRAINT CK__sg_req_fo__auto___558AAF1E CHECK (([auto_approve]='N' OR [auto_approve]='Y')),
    start_before_gmt      datetime         NULL,
    end_before_gmt        datetime         NULL,
    start_after_gmt       datetime         NULL,
    end_after_gmt         datetime         NULL,
    repeat_interval       int              NULL,
    int_eu_db_site        char(16)         NULL,
    int_eu_db_id          int              NULL,
    int_eu_type_code      int              NULL,
    to_agent_site         char(16)         NULL,
    to_agent_id           int              NULL,
    sol_pack_db_site      char(16)         NULL,
    sol_pack_db_id        int              NULL,
    sol_pack_id           int              NULL,
    rec_segment_site      char(16)         NULL,
    rec_segment_id        int              NULL,
    rec_gmt_recomm        datetime         NULL,
    rec_by_agent_site     char(16)         NULL,
    rec_by_agent_id       int              NULL,
    work_req_db_site      char(16)         NULL,
    work_req_db_id        int              NULL,
    work_req_id           int              NULL,
    work_order_db_site    char(16)         NULL,
    work_order_db_id      int              NULL,
    work_order_id         int              NULL,
    name                  varchar(254)     NULL,
    long_description      varchar(4000)    NULL,
    gmt_last_updated      datetime         NULL,
    last_upd_db_site      char(16)         NULL,
    last_upd_db_id        int              NULL,
    rstat_type_code       smallint         NULL,
    CONSTRAINT PK__sg_req_for_work__54968AE5 PRIMARY KEY CLUSTERED (req_db_site, req_db_id, request_id)
) 
go



IF OBJECT_ID('sg_req_for_work') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_req_for_work >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_req_for_work >>>'
go

/* 
 * TABLE: sg_sol_pack 
 */

CREATE TABLE sg_sol_pack(
    segment_site        char(16)    NOT NULL,
    segment_id          int         NOT NULL,
    sol_pack_db_site    char(16)    NOT NULL,
    sol_pack_db_id      int         NOT NULL,
    sol_pack_id         int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sg_sol_pack__0AF29B96 PRIMARY KEY CLUSTERED (segment_site, segment_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
go



IF OBJECT_ID('sg_sol_pack') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_sol_pack >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_sol_pack >>>'
go

/* 
 * TABLE: sg_typ_hyp_ev_func 
 */

CREATE TABLE sg_typ_hyp_ev_func(
    sgt_hyp_db_site     char(16)        NOT NULL,
    sgt_hyp_db_id       int             NOT NULL,
    sgt_hyp_event_id    int             NOT NULL,
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    sg_db_site          char(16)        NOT NULL,
    sg_db_id            int             NOT NULL,
    sg_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_typ_hyp_ev_fu__65F62111 PRIMARY KEY CLUSTERED (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id, db_site, db_id, sg_db_site, sg_db_id, sg_type_code, ordering_seq)
) 
go



IF OBJECT_ID('sg_typ_hyp_ev_func') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_typ_hyp_ev_func >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_typ_hyp_ev_func >>>'
go

/* 
 * TABLE: sg_typ_hyp_ev_link 
 */

CREATE TABLE sg_typ_hyp_ev_link(
    sgt_hyp_db_site     char(16)        NOT NULL,
    sgt_hyp_db_id       int             NOT NULL,
    sgt_hyp_event_id    int             NOT NULL,
    caused_db_site      char(16)        NOT NULL,
    caused_db_id        int             NOT NULL,
    caused_event_id     int             NOT NULL,
    likelihood_prob     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_typ_hyp_ev_li__52E34C9D PRIMARY KEY CLUSTERED (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id, caused_db_site, caused_db_id, caused_event_id)
) 
go



IF OBJECT_ID('sg_typ_hyp_ev_link') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_typ_hyp_ev_link >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_typ_hyp_ev_link >>>'
go

/* 
 * TABLE: sg_typ_hyp_ev_num_data 
 */

CREATE TABLE sg_typ_hyp_ev_num_data(
    sgt_hyp_db_site     char(16)    NOT NULL,
    sgt_hyp_db_id       int         NOT NULL,
    sgt_hyp_event_id    int         NOT NULL,
    en_db_site          char(16)    NOT NULL,
    en_db_id            int         NOT NULL,
    en_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sg_typ_hyp_ev_nu__5C6CB6D7 PRIMARY KEY CLUSTERED (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id, en_db_site, en_db_id, en_type_code)
) 
go



IF OBJECT_ID('sg_typ_hyp_ev_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_typ_hyp_ev_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_typ_hyp_ev_num_data >>>'
go

/* 
 * TABLE: sg_typ_hyp_event 
 */

CREATE TABLE sg_typ_hyp_event(
    sgt_hyp_db_site           char(16)        NOT NULL,
    sgt_hyp_db_id             int             NOT NULL,
    sgt_hyp_event_id          int             NOT NULL,
    sg_db_site                char(16)        NOT NULL,
    sg_db_id                  int             NOT NULL,
    sg_type_code              int             NOT NULL,
    ev_db_site                char(16)        NOT NULL,
    ev_db_id                  int             NOT NULL,
    event_type_code           int             NOT NULL,
    severity_lev_db_site      char(16)        NOT NULL,
    severity_lev_db_id        int             NOT NULL,
    severity_lev_type_code    int             NOT NULL,
    gmt_created               datetime        NULL,
    cr_loc_hr_delta           smallint        NULL,
    cr_loc_min_delta          smallint        NULL,
    by_org_asite              char(16)        NULL,
    by_agent_id               int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    associated_blob           image           NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_typ_hyp_event__4959E263 PRIMARY KEY CLUSTERED (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
) 
go



IF OBJECT_ID('sg_typ_hyp_event') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_typ_hyp_event >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_typ_hyp_event >>>'
go

/* 
 * TABLE: sg_type_blob_data 
 */

CREATE TABLE sg_type_blob_data(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    sg_db_site          char(16)        NOT NULL,
    sg_db_id            int             NOT NULL,
    sg_type_code        int             NOT NULL,
    bd_db_site          char(16)        NOT NULL,
    bd_db_id            int             NOT NULL,
    bd_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    blct_db_site        char(16)        NOT NULL,
    blct_db_id          int             NOT NULL,
    blc_type_code       int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    assoc_file_name     varchar(254)    NULL,
    image_data          image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_type_blob_dat__19AACF41 PRIMARY KEY CLUSTERED (db_site, db_id, sg_db_site, sg_db_id, sg_type_code, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('sg_type_blob_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_type_blob_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_type_blob_data >>>'
go

/* 
 * TABLE: sg_type_function 
 */

CREATE TABLE sg_type_function(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    sg_db_site          char(16)        NOT NULL,
    sg_db_id            int             NOT NULL,
    sg_type_code        int             NOT NULL,
    ordering_seq        int             NOT NULL,
    user_tag_ident      varchar(254)    NOT NULL,
    name                varchar(254)    NULL,
    gmt_created         datetime        NULL,
    cr_loc_hr_delta     smallint        NULL,
    cr_loc_min_delta    smallint        NULL,
    by_org_asite        char(16)        NULL,
    by_agent_id         int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sg_type_function__308E3499 PRIMARY KEY CLUSTERED (db_site, db_id, sg_db_site, sg_db_id, sg_type_code, ordering_seq)
) 
go



IF OBJECT_ID('sg_type_function') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_type_function >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_type_function >>>'
go

/* 
 * TABLE: sg_type_rec_blob 
 */

CREATE TABLE sg_type_rec_blob(
    sg_db_site            char(16)        NOT NULL,
    sg_db_id              int             NOT NULL,
    sg_type_code          int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    bd_db_site            char(16)        NOT NULL,
    bd_db_id              int             NOT NULL,
    bd_type_code          int             NOT NULL,
    ordering_seq          int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_file_name       varchar(254)    NULL,
    image_data            image           NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_type_rec_blob__30592A6F PRIMARY KEY CLUSTERED (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id, bd_db_site, bd_db_id, bd_type_code, ordering_seq)
) 
go



IF OBJECT_ID('sg_type_rec_blob') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_type_rec_blob >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_type_rec_blob >>>'
go

/* 
 * TABLE: sg_type_rec_hyp_ev 
 */

CREATE TABLE sg_type_rec_hyp_ev(
    sg_db_site            char(16)    NOT NULL,
    sg_db_id              int         NOT NULL,
    sg_type_code          int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    sg_hyp_db_site        char(16)    NOT NULL,
    sg_hyp_db_id          int         NOT NULL,
    sg_hyp_event_id       int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__sg_type_rec_hyp___4183B671 PRIMARY KEY CLUSTERED (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id, sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
) 
go



IF OBJECT_ID('sg_type_rec_hyp_ev') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_type_rec_hyp_ev >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_type_rec_hyp_ev >>>'
go

/* 
 * TABLE: sg_type_rec_remark 
 */

CREATE TABLE sg_type_rec_remark(
    sg_db_site            char(16)        NOT NULL,
    sg_db_id              int             NOT NULL,
    sg_type_code          int             NOT NULL,
    gmt_recommendation    datetime        NOT NULL,
    by_agent_site         char(16)        NOT NULL,
    by_agent_id           int             NOT NULL,
    ordering_seq          int             NOT NULL,
    remark_text           varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__sg_type_rec_rema__26CFC035 PRIMARY KEY CLUSTERED (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id, ordering_seq)
) 
go



IF OBJECT_ID('sg_type_rec_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_type_rec_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_type_rec_remark >>>'
go

/* 
 * TABLE: sg_type_recomm 
 */

CREATE TABLE sg_type_recomm(
    sg_db_site                char(16)        NOT NULL,
    sg_db_id                  int             NOT NULL,
    sg_type_code              int             NOT NULL,
    gmt_recommendation        datetime        NOT NULL,
    by_agent_site             char(16)        NOT NULL,
    by_agent_id               int             NOT NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    name                      varchar(254)    NULL,
    user_tag_ident            varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__sg_type_recomm__1B5E0D89 PRIMARY KEY CLUSTERED (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('sg_type_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE sg_type_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sg_type_recomm >>>'
go

/* 
 * TABLE: signal_proc_blk 
 */

CREATE TABLE signal_proc_blk(
    sp_blk_db_site      char(16)        NOT NULL,
    sp_blk_db_id        int             NOT NULL,
    sp_block_id         int             NOT NULL,
    sp_db_site          char(16)        NOT NULL,
    sp_db_id            int             NOT NULL,
    sp_type_code        int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__signal_proc_blk__7F2BE32F PRIMARY KEY CLUSTERED (sp_blk_db_site, sp_blk_db_id, sp_block_id)
) 
go



IF OBJECT_ID('signal_proc_blk') IS NOT NULL
    PRINT '<<< CREATED TABLE signal_proc_blk >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE signal_proc_blk >>>'
go

/* 
 * TABLE: signal_proc_type 
 */

CREATE TABLE signal_proc_type(
    sp_db_site          char(16)        NOT NULL,
    sp_db_id            int             NOT NULL,
    sp_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__signal_proc_type__7D439ABD PRIMARY KEY CLUSTERED (sp_db_site, sp_db_id, sp_type_code)
) 
go



IF OBJECT_ID('signal_proc_type') IS NOT NULL
    PRINT '<<< CREATED TABLE signal_proc_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE signal_proc_type >>>'
go

/* 
 * TABLE: site_database 
 */

CREATE TABLE site_database(
    db_site             char(16)        NOT NULL,
    db_id               int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    mf_db_site          char(16)        NULL,
    mf_db_id            int             NULL,
    manuf_code          int             NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__site_database__09DE7BCC PRIMARY KEY CLUSTERED (db_site, db_id)
) 
go



IF OBJECT_ID('site_database') IS NOT NULL
    PRINT '<<< CREATED TABLE site_database >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE site_database >>>'
go

/* 
 * TABLE: site_type_child 
 */

CREATE TABLE site_type_child(
    st_db_site            char(16)    NOT NULL,
    st_db_id              int         NOT NULL,
    st_type_code          int         NOT NULL,
    child_st_db_site      char(16)    NOT NULL,
    child_st_db_id        int         NOT NULL,
    child_st_type_code    int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__site_type_child__0519C6AF PRIMARY KEY CLUSTERED (st_db_site, st_db_id, st_type_code, child_st_db_site, child_st_db_id, child_st_type_code)
) 
go



IF OBJECT_ID('site_type_child') IS NOT NULL
    PRINT '<<< CREATED TABLE site_type_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE site_type_child >>>'
go

/* 
 * TABLE: site_type 
 */

CREATE TABLE site_type(
    st_db_site          char(16)        NOT NULL,
    st_db_id            int             NOT NULL,
    st_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    mobile_yn           char(1)         NOT NULL
                        CONSTRAINT CK__site_type__mobil__03317E3D CHECK (([mobile_yn]='N' OR [mobile_yn]='Y')),
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__site_type__023D5A04 PRIMARY KEY CLUSTERED (st_db_site, st_db_id, st_type_code)
) 
go



IF OBJECT_ID('site_type') IS NOT NULL
    PRINT '<<< CREATED TABLE site_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE site_type >>>'
go

/* 
 * TABLE: site 
 */

CREATE TABLE site(
    site_code           char(16)        NOT NULL,
    enterprise_id       int             NOT NULL,
    site_id             int             NOT NULL,
    st_db_site          char(16)        NOT NULL,
    st_db_id            int             NOT NULL,
    st_type_code        int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    duns_number         int             NULL,
    template_yn         char(1)         NOT NULL
                        CONSTRAINT CK__site__template_y__07F6335A CHECK (([template_yn]='N' OR [template_yn]='Y')),
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__site__07020F21 PRIMARY KEY CLUSTERED (site_code)
) 
go



IF OBJECT_ID('site') IS NOT NULL
    PRINT '<<< CREATED TABLE site >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE site >>>'
go

/* 
 * TABLE: solution_pack_type 
 */

CREATE TABLE solution_pack_type(
    sol_db_site         char(16)        NOT NULL,
    sol_db_id           int             NOT NULL,
    sol_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__solution_pack_ty__719CDDE7 PRIMARY KEY CLUSTERED (sol_db_site, sol_db_id, sol_type_code)
) 
go



IF OBJECT_ID('solution_pack_type') IS NOT NULL
    PRINT '<<< CREATED TABLE solution_pack_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE solution_pack_type >>>'
go

/* 
 * TABLE: solution_package 
 */

CREATE TABLE solution_package(
    sol_pack_db_site          char(16)        NOT NULL,
    sol_pack_db_id            int             NOT NULL,
    sol_pack_id               int             NOT NULL,
    sol_db_site               char(16)        NOT NULL,
    sol_db_id                 int             NOT NULL,
    sol_type_code             int             NOT NULL,
    gmt_created               datetime        NULL,
    loc_hr_delta              smallint        NULL,
    loc_min_delta             smallint        NULL,
    priority_lev_db_site      char(16)        NULL,
    priority_lev_db_id        int             NULL,
    priority_lev_type_code    int             NULL,
    user_tag_ident            varchar(254)    NULL,
    name                      varchar(254)    NULL,
    gmt_last_updated          datetime        NULL,
    last_upd_db_site          char(16)        NULL,
    last_upd_db_id            int             NULL,
    rstat_type_code           smallint        NULL,
    CONSTRAINT PK__solution_package__50C5FA01 PRIMARY KEY CLUSTERED (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
go



IF OBJECT_ID('solution_package') IS NOT NULL
    PRINT '<<< CREATED TABLE solution_package >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE solution_package >>>'
go

/* 
 * TABLE: sp_ampl_alarm 
 */

CREATE TABLE sp_ampl_alarm(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    ordering_seq         int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    gmt_acknowledged     datetime        NULL,
    ack_loc_hr_delta     smallint        NULL,
    ack_loc_min_delta    smallint        NULL,
    org_agent_site       char(16)        NULL,
    agent_id             int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__sp_ampl_alarm__1332DBDC PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq, al_db_site, al_db_id, al_type_code)
) 
go



IF OBJECT_ID('sp_ampl_alarm') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_ampl_alarm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_ampl_alarm >>>'
go

/* 
 * TABLE: sp_ampl_data 
 */

CREATE TABLE sp_ampl_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    ordering_seq        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    pst_sc_db_site      char(16)        NOT NULL,
    pst_sc_db_id        int             NOT NULL,
    pst_sc_type_code    int             NOT NULL,
    freq_or_order       char(1)         NOT NULL
                        CONSTRAINT CK__sp_ampl_d__freq___114A936A CHECK (([freq_or_order]='O' OR [freq_or_order]='F')),
    min_in_hz_or_ord    float           NOT NULL,
    max_in_hz_or_ord    float           NOT NULL,
    src_dt_db_site      char(16)        NULL,
    src_dt_db_id        int             NULL,
    src_dt_type_code    int             NULL,
    sp_str_db_site      char(16)        NULL,
    sp_str_db_id        int             NULL,
    sp_stream_id        int             NULL,
    assoc_rpm_in_hz     float           NULL,
    amplitude           float           NOT NULL,
    angle_in_degrees    float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sp_ampl_data__10566F31 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
go



IF OBJECT_ID('sp_ampl_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_ampl_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_ampl_data >>>'
go

/* 
 * TABLE: sp_ampl_setup 
 */

CREATE TABLE sp_ampl_setup(
    spa_setup_db_site    char(16)        NOT NULL,
    spa_setup_db_id      int             NOT NULL,
    spa_setup_id         int             NOT NULL,
    pst_sc_db_site       char(16)        NOT NULL,
    pst_sc_db_id         int             NOT NULL,
    pst_sc_type_code     int             NOT NULL,
    freq_or_order        char(1)         NOT NULL
                         CONSTRAINT CK__sp_ampl_s__freq___245D67DE CHECK (([freq_or_order]='O' OR [freq_or_order]='F')),
    min_in_hz_or_ord     float           NOT NULL,
    max_in_hz_or_ord     float           NOT NULL,
    src_dt_db_site       char(16)        NULL,
    src_dt_db_id         int             NULL,
    src_dt_type_code     int             NULL,
    sp_str_db_site       char(16)        NULL,
    sp_str_db_id         int             NULL,
    sp_stream_id         int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__sp_ampl_setup__236943A5 PRIMARY KEY CLUSTERED (spa_setup_db_site, spa_setup_db_id, spa_setup_id)
) 
go



IF OBJECT_ID('sp_ampl_setup') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_ampl_setup >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_ampl_setup >>>'
go

/* 
 * TABLE: sp_blk_num_data 
 */

CREATE TABLE sp_blk_num_data(
    sp_blk_db_site      char(16)    NOT NULL,
    sp_blk_db_id        int         NOT NULL,
    sp_block_id         int         NOT NULL,
    spn_db_site         char(16)    NOT NULL,
    spn_db_id           int         NOT NULL,
    spn_type_code       int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sp_blk_num_data__02FC7413 PRIMARY KEY CLUSTERED (sp_blk_db_site, sp_blk_db_id, sp_block_id, spn_db_site, spn_db_id, spn_type_code)
) 
go



IF OBJECT_ID('sp_blk_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_blk_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_blk_num_data >>>'
go

/* 
 * TABLE: sp_cpb_data 
 */

CREATE TABLE sp_cpb_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    ordering_seq        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    pst_sc_db_site      char(16)        NOT NULL,
    pst_sc_db_id        int             NOT NULL,
    pst_sc_type_code    int             NOT NULL,
    number_of_bands     int             NOT NULL,
    center_in_hz_1bd    float           NOT NULL,
    width_pct_or_oct    char(1)         NOT NULL
                        CONSTRAINT CK__sp_cpb_da__width__2180FB33 CHECK (([width_pct_or_oct]='O' OR [width_pct_or_oct]='P')),
    band_width          float           NOT NULL,
    ave_db_site         char(16)        NULL,
    ave_db_id           int             NULL,
    ave_type_code       int             NULL,
    ave_wt_db_site      char(16)        NULL,
    ave_wt_db_id        int             NULL,
    ave_wt_type_code    int             NULL,
    ave_sy_db_site      char(16)        NULL,
    ave_sy_db_id        int             NULL,
    ave_sy_type_code    int             NULL,
    ave_overlap_pct     float           NULL,
    num_of_averages     int             NULL,
    sp_str_db_site      char(16)        NULL,
    sp_str_db_id        int             NULL,
    sp_stream_id        int             NULL,
    assoc_rpm_in_hz     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    spectrum_data       image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sp_cpb_data__208CD6FA PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
go



IF OBJECT_ID('sp_cpb_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_cpb_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_cpb_data >>>'
go

/* 
 * TABLE: sp_cpb_setup 
 */

CREATE TABLE sp_cpb_setup(
    spc_setup_db_site    char(16)        NOT NULL,
    spc_setup_db_id      int             NOT NULL,
    spc_setup_id         int             NOT NULL,
    pst_sc_db_site       char(16)        NOT NULL,
    pst_sc_db_id         int             NOT NULL,
    pst_sc_type_code     int             NOT NULL,
    number_of_bands      int             NOT NULL,
    center_in_hz_1bd     float           NOT NULL,
    width_pct_or_oct     char(1)         NOT NULL
                         CONSTRAINT CK__sp_cpb_se__width__2EDAF651 CHECK (([width_pct_or_oct]='O' OR [width_pct_or_oct]='P')),
    band_width           float           NOT NULL,
    ave_db_site          char(16)        NULL,
    ave_db_id            int             NULL,
    ave_type_code        int             NULL,
    ave_wt_db_site       char(16)        NULL,
    ave_wt_db_id         int             NULL,
    ave_wt_type_code     int             NULL,
    ave_sy_db_site       char(16)        NULL,
    ave_sy_db_id         int             NULL,
    ave_sy_type_code     int             NULL,
    ave_overlap_pct      float           NULL,
    num_of_averages      int             NULL,
    sp_str_db_site       char(16)        NULL,
    sp_str_db_id         int             NULL,
    sp_stream_id         int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__sp_cpb_setup__2DE6D218 PRIMARY KEY CLUSTERED (spc_setup_db_site, spc_setup_db_id, spc_setup_id)
) 
go



IF OBJECT_ID('sp_cpb_setup') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_cpb_setup >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_cpb_setup >>>'
go

/* 
 * TABLE: sp_fft_data 
 */

CREATE TABLE sp_fft_data(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    ordering_seq        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    pst_sc_db_site      char(16)        NOT NULL,
    pst_sc_db_id        int             NOT NULL,
    pst_sc_type_code    int             NOT NULL,
    freq_or_order       char(1)         NOT NULL
                        CONSTRAINT CK__sp_fft_da__freq___19DFD96B CHECK (([freq_or_order]='O' OR [freq_or_order]='F')),
    min_in_hz_or_ord    float           NOT NULL,
    max_in_hz_or_ord    float           NOT NULL,
    resolution_lines    int             NOT NULL,
    win_db_site         char(16)        NOT NULL,
    win_db_id           int             NOT NULL,
    win_type_code       int             NOT NULL,
    ave_db_site         char(16)        NULL,
    ave_db_id           int             NULL,
    ave_type_code       int             NULL,
    ave_wt_db_site      char(16)        NULL,
    ave_wt_db_id        int             NULL,
    ave_wt_type_code    int             NULL,
    ave_sy_db_site      char(16)        NULL,
    ave_sy_db_id        int             NULL,
    ave_sy_type_code    int             NULL,
    ave_overlap_pct     float           NULL,
    num_of_averages     int             NULL,
    sp_str_db_site      char(16)        NULL,
    sp_str_db_id        int             NULL,
    sp_stream_id        int             NULL,
    assoc_rpm_in_hz     float           NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    dc_level            float           NULL,
    complex_yn          char(1)         NOT NULL
                        CONSTRAINT CK__sp_fft_da__compl__1AD3FDA4 CHECK (([complex_yn]='N' OR [complex_yn]='Y')),
    spectrum_data       image           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sp_fft_data__18EBB532 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
go



IF OBJECT_ID('sp_fft_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_fft_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_fft_data >>>'
go

/* 
 * TABLE: sp_fft_setup 
 */

CREATE TABLE sp_fft_setup(
    spf_setup_db_site    char(16)        NOT NULL,
    spf_setup_db_id      int             NOT NULL,
    spf_setup_id         int             NOT NULL,
    pst_sc_db_site       char(16)        NOT NULL,
    pst_sc_db_id         int             NOT NULL,
    pst_sc_type_code     int             NOT NULL,
    freq_or_order        char(1)         NOT NULL
                         CONSTRAINT CK__sp_fft_se__freq___2739D489 CHECK (([freq_or_order]='O' OR [freq_or_order]='F')),
    min_in_hz_or_ord     float           NOT NULL,
    max_in_hz_or_ord     float           NOT NULL,
    resolution_lines     int             NOT NULL,
    win_db_site          char(16)        NOT NULL,
    win_db_id            int             NOT NULL,
    win_type_code        int             NOT NULL,
    ave_db_site          char(16)        NULL,
    ave_db_id            int             NULL,
    ave_type_code        int             NULL,
    ave_wt_db_site       char(16)        NULL,
    ave_wt_db_id         int             NULL,
    ave_wt_type_code     int             NULL,
    ave_sy_db_site       char(16)        NULL,
    ave_sy_db_id         int             NULL,
    ave_sy_type_code     int             NULL,
    ave_overlap_pct      float           NULL,
    num_of_averages      int             NULL,
    sp_str_db_site       char(16)        NULL,
    sp_str_db_id         int             NULL,
    sp_stream_id         int             NULL,
    complex_yn           char(1)         NOT NULL
                         CONSTRAINT CK__sp_fft_se__compl__282DF8C2 CHECK (([complex_yn]='N' OR [complex_yn]='Y')),
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__sp_fft_setup__2645B050 PRIMARY KEY CLUSTERED (spf_setup_db_site, spf_setup_db_id, spf_setup_id)
) 
go



IF OBJECT_ID('sp_fft_setup') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_fft_setup >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_fft_setup >>>'
go

/* 
 * TABLE: sp_num_dat_type 
 */

CREATE TABLE sp_num_dat_type(
    spn_db_site         char(16)        NOT NULL,
    spn_db_id           int             NOT NULL,
    spn_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sp_num_dat_type__01142BA1 PRIMARY KEY CLUSTERED (spn_db_site, spn_db_id, spn_type_code)
) 
go



IF OBJECT_ID('sp_num_dat_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_num_dat_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_num_dat_type >>>'
go

/* 
 * TABLE: sp_stream_block 
 */

CREATE TABLE sp_stream_block(
    sp_str_db_site      char(16)    NOT NULL,
    sp_str_db_id        int         NOT NULL,
    sp_stream_id        int         NOT NULL,
    sp_blk_db_site      char(16)    NOT NULL,
    sp_blk_db_id        int         NOT NULL,
    sp_block_id         int         NOT NULL,
    ordering_seq        int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__sp_stream_block__08B54D69 PRIMARY KEY CLUSTERED (sp_str_db_site, sp_str_db_id, sp_stream_id, sp_blk_db_site, sp_blk_db_id, sp_block_id)
) 
go



IF OBJECT_ID('sp_stream_block') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_stream_block >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_stream_block >>>'
go

/* 
 * TABLE: sp_stream_type 
 */

CREATE TABLE sp_stream_type(
    sps_type_db_site    char(16)        NOT NULL,
    sps_type_db_id      int             NOT NULL,
    sps_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sp_stream_type__04E4BC85 PRIMARY KEY CLUSTERED (sps_type_db_site, sps_type_db_id, sps_type_code)
) 
go



IF OBJECT_ID('sp_stream_type') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_stream_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_stream_type >>>'
go

/* 
 * TABLE: sp_stream 
 */

CREATE TABLE sp_stream(
    sp_str_db_site      char(16)        NOT NULL,
    sp_str_db_id        int             NOT NULL,
    sp_stream_id        int             NOT NULL,
    sps_type_db_site    char(16)        NOT NULL,
    sps_type_db_id      int             NOT NULL,
    sps_type_code       int             NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    name                varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__sp_stream__06CD04F7 PRIMARY KEY CLUSTERED (sp_str_db_site, sp_str_db_id, sp_stream_id)
) 
go



IF OBJECT_ID('sp_stream') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_stream >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_stream >>>'
go

/* 
 * TABLE: sp_time_data 
 */

CREATE TABLE sp_time_data(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    ordering_seq         int             NOT NULL,
    eu_db_site           char(16)        NOT NULL,
    eu_db_id             int             NOT NULL,
    eu_type_code         int             NOT NULL,
    secs_or_revs         char(1)         NOT NULL
                         CONSTRAINT CK__sp_time_d__secs___1DB06A4F CHECK (([secs_or_revs]='R' OR [secs_or_revs]='S')),
    off_secs_or_revs     float           NOT NULL,
    max_secs_or_revs     float           NOT NULL,
    number_of_samples    float           NOT NULL,
    win_db_site          char(16)        NOT NULL,
    win_db_id            int             NOT NULL,
    win_type_code        int             NOT NULL,
    ave_db_site          char(16)        NULL,
    ave_db_id            int             NULL,
    ave_type_code        int             NULL,
    ave_wt_db_site       char(16)        NULL,
    ave_wt_db_id         int             NULL,
    ave_wt_type_code     int             NULL,
    ave_sy_db_site       char(16)        NULL,
    ave_sy_db_id         int             NULL,
    ave_sy_type_code     int             NULL,
    ave_overlap_pct      float           NULL,
    num_of_averages      int             NULL,
    sp_str_db_site       char(16)        NULL,
    sp_str_db_id         int             NULL,
    sp_stream_id         int             NULL,
    assoc_rpm_in_hz      float           NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    complex_yn           char(1)         NOT NULL
                         CONSTRAINT CK__sp_time_d__compl__1EA48E88 CHECK (([complex_yn]='N' OR [complex_yn]='Y')),
    waveform_data        image           NOT NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__sp_time_data__1CBC4616 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
) 
go



IF OBJECT_ID('sp_time_data') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_time_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_time_data >>>'
go

/* 
 * TABLE: sp_time_setup 
 */

CREATE TABLE sp_time_setup(
    spt_setup_db_site    char(16)        NOT NULL,
    spt_setup_db_id      int             NOT NULL,
    spt_setup_id         int             NOT NULL,
    secs_or_revs         char(1)         NOT NULL
                         CONSTRAINT CK__sp_time_s__secs___2B0A656D CHECK (([secs_or_revs]='R' OR [secs_or_revs]='S')),
    off_secs_or_revs     float           NOT NULL,
    max_secs_or_revs     float           NOT NULL,
    number_of_samples    float           NOT NULL,
    win_db_site          char(16)        NOT NULL,
    win_db_id            int             NOT NULL,
    win_type_code        int             NOT NULL,
    ave_db_site          char(16)        NULL,
    ave_db_id            int             NULL,
    ave_type_code        int             NULL,
    ave_wt_db_site       char(16)        NULL,
    ave_wt_db_id         int             NULL,
    ave_wt_type_code     int             NULL,
    ave_sy_db_site       char(16)        NULL,
    ave_sy_db_id         int             NULL,
    ave_sy_type_code     int             NULL,
    ave_overlap_pct      float           NULL,
    num_of_averages      int             NULL,
    sp_str_db_site       char(16)        NULL,
    sp_str_db_id         int             NULL,
    sp_stream_id         int             NULL,
    complex_yn           char(1)         NOT NULL
                         CONSTRAINT CK__sp_time_s__compl__2BFE89A6 CHECK (([complex_yn]='N' OR [complex_yn]='Y')),
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__sp_time_setup__2A164134 PRIMARY KEY CLUSTERED (spt_setup_db_site, spt_setup_db_id, spt_setup_id)
) 
go



IF OBJECT_ID('sp_time_setup') IS NOT NULL
    PRINT '<<< CREATED TABLE sp_time_setup >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE sp_time_setup >>>'
go

/* 
 * TABLE: spa_al_assoc_reg 
 */

CREATE TABLE spa_al_assoc_reg(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    ordering_seq        int             NOT NULL,
    al_db_site          char(16)        NOT NULL,
    al_db_id            int             NOT NULL,
    al_type_code        int             NOT NULL,
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    al_meas_loc_site    char(16)        NOT NULL,
    al_meas_loc_id      int             NOT NULL,
    al_ordering_seq     int             NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__spa_al_assoc_reg__151B244E PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, ordering_seq, al_db_site, al_db_id, al_type_code, alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
) 
go



IF OBJECT_ID('spa_al_assoc_reg') IS NOT NULL
    PRINT '<<< CREATED TABLE spa_al_assoc_reg >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE spa_al_assoc_reg >>>'
go

/* 
 * TABLE: spa_alarm_reg 
 */

CREATE TABLE spa_alarm_reg(
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    ordering_seq        int             NOT NULL,
    ml_db_site          char(16)        NULL,
    ml_db_id            int             NULL,
    ml_type_code        int             NULL,
    mc_db_site          char(16)        NULL,
    mc_db_id            int             NULL,
    mc_type_code        int             NULL,
    al_db_site          char(16)        NOT NULL,
    al_db_id            int             NOT NULL,
    al_type_code        int             NOT NULL,
    freq_or_order       char(1)         NOT NULL
                        CONSTRAINT CK__spa_alarm__freq___7B5B524B CHECK (([freq_or_order]='O' OR [freq_or_order]='F')),
    min_in_hz_or_ord    float           NOT NULL,
    max_in_hz_or_ord    float           NOT NULL,
    gmt_alarm_start     datetime        NOT NULL,
    st_loc_hr_delta     smallint        NULL,
    st_loc_min_delta    smallint        NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    pst_sc_db_site      char(16)        NOT NULL,
    pst_sc_db_id        int             NOT NULL,
    pst_sc_type_code    int             NOT NULL,
    src_dt_db_site      char(16)        NULL,
    src_dt_db_id        int             NULL,
    src_dt_type_code    int             NULL,
    min_amplitude       float           NOT NULL,
    max_amplitude       float           NOT NULL,
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__spa_alarm_reg__7A672E12 PRIMARY KEY CLUSTERED (alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
) 
go



IF OBJECT_ID('spa_alarm_reg') IS NOT NULL
    PRINT '<<< CREATED TABLE spa_alarm_reg >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE spa_alarm_reg >>>'
go

/* 
 * TABLE: src_detect_type 
 */

CREATE TABLE src_detect_type(
    src_dt_db_site      char(16)        NOT NULL,
    src_dt_db_id        int             NOT NULL,
    src_dt_type_code    int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__src_detect_type__72C60C4A PRIMARY KEY CLUSTERED (src_dt_db_site, src_dt_db_id, src_dt_type_code)
) 
go



IF OBJECT_ID('src_detect_type') IS NOT NULL
    PRINT '<<< CREATED TABLE src_detect_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE src_detect_type >>>'
go

/* 
 * TABLE: test_al_assoc_reg 
 */

CREATE TABLE test_al_assoc_reg(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    sample_order_seq    int             NOT NULL,
    test_order_seq      int             NOT NULL,
    ordering_seq        int             NOT NULL,
    al_db_site          char(16)        NOT NULL,
    al_db_id            int             NOT NULL,
    al_type_code        int             NOT NULL,
    alarm_db_site       char(16)        NOT NULL,
    alarm_db_id         int             NOT NULL,
    al_meas_loc_site    char(16)        NOT NULL,
    al_meas_loc_id      int             NOT NULL,
    al_ordering_seq     int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__test_al_assoc_re__13F1F5EB PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code, alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
) 
go



IF OBJECT_ID('test_al_assoc_reg') IS NOT NULL
    PRINT '<<< CREATED TABLE test_al_assoc_reg >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_al_assoc_reg >>>'
go

/* 
 * TABLE: test_blob_results 
 */

CREATE TABLE test_blob_results(
    meas_loc_site         char(16)        NOT NULL,
    meas_loc_id           int             NOT NULL,
    gmt_event             datetime        NOT NULL,
    sample_order_seq      int             NOT NULL,
    test_order_seq        int             NOT NULL,
    ordering_seq          int             NOT NULL,
    strb_db_site          char(16)        NOT NULL,
    strb_db_id            int             NOT NULL,
    str_blob_type_code    int             NOT NULL,
    bd_db_site            char(16)        NOT NULL,
    bd_db_id              int             NOT NULL,
    bd_type_code          int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    assoc_file_name       varchar(254)    NULL,
    image_data            image           NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__test_blob_result__15DA3E5D PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
go



IF OBJECT_ID('test_blob_results') IS NOT NULL
    PRINT '<<< CREATED TABLE test_blob_results >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_blob_results >>>'
go

/* 
 * TABLE: test_bres_alarm 
 */

CREATE TABLE test_bres_alarm(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    sample_order_seq     int             NOT NULL,
    test_order_seq       int             NOT NULL,
    ordering_seq         int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    assoc_file_name      varchar(254)    NULL,
    gmt_acknowledged     datetime        NOT NULL,
    ack_loc_hr_delta     smallint        NULL,
    ack_loc_min_delta    smallint        NULL,
    org_agent_site       char(16)        NULL,
    agent_id             int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__test_bres_alarm__17C286CF PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code)
) 
go



IF OBJECT_ID('test_bres_alarm') IS NOT NULL
    PRINT '<<< CREATED TABLE test_bres_alarm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_bres_alarm >>>'
go

/* 
 * TABLE: test_chr_results 
 */

CREATE TABLE test_chr_results(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    sample_order_seq     int             NOT NULL,
    test_order_seq       int             NOT NULL,
    ordering_seq         int             NOT NULL,
    strc_db_site         char(16)        NOT NULL,
    strc_db_id           int             NOT NULL,
    str_chr_type_code    int             NOT NULL,
    eu_db_site           char(16)        NOT NULL,
    eu_db_id             int             NOT NULL,
    eu_type_code         int             NOT NULL,
    data_value           varchar(254)    NOT NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__test_chr_results__0C50D423 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
go



IF OBJECT_ID('test_chr_results') IS NOT NULL
    PRINT '<<< CREATED TABLE test_chr_results >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_chr_results >>>'
go

/* 
 * TABLE: test_histogram 
 */

CREATE TABLE test_histogram(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    sample_order_seq     int             NOT NULL,
    test_order_seq       int             NOT NULL,
    ordering_seq         int             NOT NULL,
    strn_db_site         char(16)        NOT NULL,
    strn_db_id           int             NOT NULL,
    str_num_type_code    int             NOT NULL,
    eu_db_site           char(16)        NOT NULL,
    eu_db_id             int             NOT NULL,
    eu_type_code         int             NOT NULL,
    min_screen_in_eu     int             NOT NULL,
    max_screen_in_eu     int             NOT NULL,
    resolution_lines     int             NOT NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    histogram_data       image           NOT NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__test_histogram__10216507 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
go



IF OBJECT_ID('test_histogram') IS NOT NULL
    PRINT '<<< CREATED TABLE test_histogram >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_histogram >>>'
go

/* 
 * TABLE: test_nres_alarm 
 */

CREATE TABLE test_nres_alarm(
    meas_loc_site        char(16)        NOT NULL,
    meas_loc_id          int             NOT NULL,
    gmt_event            datetime        NOT NULL,
    sample_order_seq     int             NOT NULL,
    test_order_seq       int             NOT NULL,
    ordering_seq         int             NOT NULL,
    al_db_site           char(16)        NOT NULL,
    al_db_id             int             NOT NULL,
    al_type_code         int             NOT NULL,
    gmt_acknowledged     datetime        NULL,
    ack_loc_hr_delta     smallint        NULL,
    ack_loc_min_delta    smallint        NULL,
    org_agent_site       char(16)        NULL,
    agent_id             int             NULL,
    name                 varchar(254)    NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__test_nres_alarm__1209AD79 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code)
) 
go



IF OBJECT_ID('test_nres_alarm') IS NOT NULL
    PRINT '<<< CREATED TABLE test_nres_alarm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_nres_alarm >>>'
go

/* 
 * TABLE: test_num_results 
 */

CREATE TABLE test_num_results(
    meas_loc_site        char(16)    NOT NULL,
    meas_loc_id          int         NOT NULL,
    gmt_event            datetime    NOT NULL,
    sample_order_seq     int         NOT NULL,
    test_order_seq       int         NOT NULL,
    ordering_seq         int         NOT NULL,
    strn_db_site         char(16)    NOT NULL,
    strn_db_id           int         NOT NULL,
    str_num_type_code    int         NOT NULL,
    eu_db_site           char(16)    NOT NULL,
    eu_db_id             int         NOT NULL,
    eu_type_code         int         NOT NULL,
    real_data_value      float       NOT NULL,
    imag_data_value      float       NULL,
    gmt_last_updated     datetime    NULL,
    last_upd_db_site     char(16)    NULL,
    last_upd_db_id       int         NULL,
    rstat_type_code      smallint    NULL,
    CONSTRAINT PK__test_num_results__0A688BB1 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
go



IF OBJECT_ID('test_num_results') IS NOT NULL
    PRINT '<<< CREATED TABLE test_num_results >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_num_results >>>'
go

/* 
 * TABLE: test_remark 
 */

CREATE TABLE test_remark(
    meas_loc_site       char(16)        NOT NULL,
    meas_loc_id         int             NOT NULL,
    gmt_event           datetime        NOT NULL,
    sample_order_seq    int             NOT NULL,
    test_order_seq      int             NOT NULL,
    ordering_seq        int             NOT NULL,
    remark_text         varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__test_remark__0E391C95 PRIMARY KEY CLUSTERED (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
) 
go



IF OBJECT_ID('test_remark') IS NOT NULL
    PRINT '<<< CREATED TABLE test_remark >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_remark >>>'
go

/* 
 * TABLE: test_result_btype 
 */

CREATE TABLE test_result_btype(
    strb_db_site          char(16)        NOT NULL,
    strb_db_id            int             NOT NULL,
    str_blob_type_code    int             NOT NULL,
    name                  varchar(254)    NOT NULL,
    user_tag_ident        varchar(254)    NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__test_result_btyp__51300E55 PRIMARY KEY CLUSTERED (strb_db_site, strb_db_id, str_blob_type_code)
) 
go



IF OBJECT_ID('test_result_btype') IS NOT NULL
    PRINT '<<< CREATED TABLE test_result_btype >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_result_btype >>>'
go

/* 
 * TABLE: test_result_ctype 
 */

CREATE TABLE test_result_ctype(
    strc_db_site         char(16)        NOT NULL,
    strc_db_id           int             NOT NULL,
    str_chr_type_code    int             NOT NULL,
    name                 varchar(254)    NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__test_result_ctyp__4F47C5E3 PRIMARY KEY CLUSTERED (strc_db_site, strc_db_id, str_chr_type_code)
) 
go



IF OBJECT_ID('test_result_ctype') IS NOT NULL
    PRINT '<<< CREATED TABLE test_result_ctype >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_result_ctype >>>'
go

/* 
 * TABLE: test_result_ntype 
 */

CREATE TABLE test_result_ntype(
    strn_db_site         char(16)        NOT NULL,
    strn_db_id           int             NOT NULL,
    str_num_type_code    int             NOT NULL,
    name                 varchar(254)    NOT NULL,
    user_tag_ident       varchar(254)    NULL,
    gmt_last_updated     datetime        NULL,
    last_upd_db_site     char(16)        NULL,
    last_upd_db_id       int             NULL,
    rstat_type_code      smallint        NULL,
    CONSTRAINT PK__test_result_ntyp__4D5F7D71 PRIMARY KEY CLUSTERED (strn_db_site, strn_db_id, str_num_type_code)
) 
go



IF OBJECT_ID('test_result_ntype') IS NOT NULL
    PRINT '<<< CREATED TABLE test_result_ntype >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE test_result_ntype >>>'
go

/* 
 * TABLE: tr_axis_dir_type 
 */

CREATE TABLE tr_axis_dir_type(
    ta_db_site          char(16)        NOT NULL,
    ta_db_id            int             NOT NULL,
    ta_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__tr_axis_dir_type__4F7CD00D PRIMARY KEY CLUSTERED (ta_db_site, ta_db_id, ta_type_code)
) 
go



IF OBJECT_ID('tr_axis_dir_type') IS NOT NULL
    PRINT '<<< CREATED TABLE tr_axis_dir_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE tr_axis_dir_type >>>'
go

/* 
 * TABLE: trans_type 
 */

CREATE TABLE trans_type(
    tr_db_site          char(16)        NOT NULL,
    tr_db_id            int             NOT NULL,
    tr_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__trans_type__4D94879B PRIMARY KEY CLUSTERED (tr_db_site, tr_db_id, tr_type_code)
) 
go



IF OBJECT_ID('trans_type') IS NOT NULL
    PRINT '<<< CREATED TABLE trans_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE trans_type >>>'
go

/* 
 * TABLE: transducer 
 */

CREATE TABLE transducer(
    tr_asset_site       char(16)        NOT NULL,
    tr_asset_id         int             NOT NULL,
    tr_db_site          char(16)        NOT NULL,
    tr_db_id            int             NOT NULL,
    tr_type_code        int             NOT NULL,
    out_eu_db_site      char(16)        NULL,
    out_eu_db_id        int             NULL,
    out_eu_type_code    int             NULL,
    out_amplitude       float           NULL,
    per_eu_db_site      char(16)        NULL,
    per_eu_db_id        int             NULL,
    per_eu_type_code    int             NULL,
    gmt_last_calib      datetime        NULL,
    self_powered_yn     char(1)         NULL
                        CONSTRAINT CK__transduce__self___5DCAEF64 CHECK (([self_powered_yn]='N' OR [self_powered_yn]='Y')),
    name                varchar(254)    NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__transducer__5CD6CB2B PRIMARY KEY CLUSTERED (tr_asset_site, tr_asset_id)
) 
go



IF OBJECT_ID('transducer') IS NOT NULL
    PRINT '<<< CREATED TABLE transducer >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE transducer >>>'
go

/* 
 * TABLE: window_type 
 */

CREATE TABLE window_type(
    win_db_site         char(16)        NOT NULL,
    win_db_id           int             NOT NULL,
    win_type_code       int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    pf_multiplier       float           NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__window_type__17036CC0 PRIMARY KEY CLUSTERED (win_db_site, win_db_id, win_type_code)
) 
go



IF OBJECT_ID('window_type') IS NOT NULL
    PRINT '<<< CREATED TABLE window_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE window_type >>>'
go

/* 
 * TABLE: wo_step_as_recomm 
 */

CREATE TABLE wo_step_as_recomm(
    work_order_db_site    char(16)    NOT NULL,
    work_order_db_id      int         NOT NULL,
    work_order_id         int         NOT NULL,
    work_ord_step_seq     int         NOT NULL,
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__wo_step_as_recom__7BB05806 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('wo_step_as_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE wo_step_as_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE wo_step_as_recomm >>>'
go

/* 
 * TABLE: wo_step_audit 
 */

CREATE TABLE wo_step_audit(
    work_order_db_site    char(16)         NOT NULL,
    work_order_db_id      int              NOT NULL,
    work_order_id         int              NOT NULL,
    work_ord_step_seq     int              NOT NULL,
    waudit_db_site        char(16)         NOT NULL,
    waudit_db_id          int              NOT NULL,
    waudit_type_code      int              NOT NULL,
    gmt_audit_posted      datetime         NOT NULL,
    loc_hr_delta          smallint         NULL,
    loc_min_delta         smallint         NULL,
    name                  varchar(254)     NULL,
    long_description      varchar(4000)    NULL,
    user_tag_ident        varchar(254)     NULL,
    by_agent_site         char(16)         NULL,
    by_agent_id           int              NULL,
    from_sy_agent_site    char(16)         NULL,
    from_sy_agent_id      int              NULL,
    gmt_last_updated      datetime         NULL,
    last_upd_db_site      char(16)         NULL,
    last_upd_db_id        int              NULL,
    rstat_type_code       smallint         NULL,
    CONSTRAINT PK__wo_step_audit__77DFC722 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, waudit_db_site, waudit_db_id, waudit_type_code, gmt_audit_posted)
) 
go



IF OBJECT_ID('wo_step_audit') IS NOT NULL
    PRINT '<<< CREATED TABLE wo_step_audit >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE wo_step_audit >>>'
go

/* 
 * TABLE: wo_step_chr_data 
 */

CREATE TABLE wo_step_chr_data(
    work_order_db_site    char(16)        NOT NULL,
    work_order_db_id      int             NOT NULL,
    work_order_id         int             NOT NULL,
    work_ord_step_seq     int             NOT NULL,
    wc_db_site            char(16)        NOT NULL,
    wc_db_id              int             NOT NULL,
    wc_type_code          int             NOT NULL,
    eu_db_site            char(16)        NOT NULL,
    eu_db_id              int             NOT NULL,
    eu_type_code          int             NOT NULL,
    data_value            varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__wo_step_chr_data__75F77EB0 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, wc_db_site, wc_db_id, wc_type_code)
) 
go



IF OBJECT_ID('wo_step_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE wo_step_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE wo_step_chr_data >>>'
go

/* 
 * TABLE: wo_step_num_data 
 */

CREATE TABLE wo_step_num_data(
    work_order_db_site    char(16)    NOT NULL,
    work_order_db_id      int         NOT NULL,
    work_order_id         int         NOT NULL,
    work_ord_step_seq     int         NOT NULL,
    wn_db_site            char(16)    NOT NULL,
    wn_db_id              int         NOT NULL,
    wn_type_code          int         NOT NULL,
    eu_db_site            char(16)    NOT NULL,
    eu_db_id              int         NOT NULL,
    eu_type_code          int         NOT NULL,
    data_value            float       NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__wo_step_num_data__740F363E PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, wn_db_site, wn_db_id, wn_type_code)
) 
go



IF OBJECT_ID('wo_step_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE wo_step_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE wo_step_num_data >>>'
go

/* 
 * TABLE: wo_step_sg_recomm 
 */

CREATE TABLE wo_step_sg_recomm(
    work_order_db_site    char(16)    NOT NULL,
    work_order_db_id      int         NOT NULL,
    work_order_id         int         NOT NULL,
    work_ord_step_seq     int         NOT NULL,
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__wo_step_sg_recom__79C80F94 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('wo_step_sg_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE wo_step_sg_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE wo_step_sg_recomm >>>'
go

/* 
 * TABLE: wo_step_work_req 
 */

CREATE TABLE wo_step_work_req(
    work_order_db_site    char(16)        NOT NULL,
    work_order_db_id      int             NOT NULL,
    work_order_id         int             NOT NULL,
    work_ord_step_seq     int             NOT NULL,
    work_req_db_site      char(16)        NOT NULL,
    work_req_db_id        int             NOT NULL,
    work_req_id           int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__wo_step_work_req__7D98A078 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq, work_req_db_site, work_req_db_id, work_req_id)
) 
go



IF OBJECT_ID('wo_step_work_req') IS NOT NULL
    PRINT '<<< CREATED TABLE wo_step_work_req >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE wo_step_work_req >>>'
go

/* 
 * TABLE: work_audit_type 
 */

CREATE TABLE work_audit_type(
    waudit_db_site      char(16)        NOT NULL,
    waudit_db_id        int             NOT NULL,
    waudit_type_code    int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__work_audit_type__6BE40491 PRIMARY KEY CLUSTERED (waudit_db_site, waudit_db_id, waudit_type_code)
) 
go



IF OBJECT_ID('work_audit_type') IS NOT NULL
    PRINT '<<< CREATED TABLE work_audit_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_audit_type >>>'
go

/* 
 * TABLE: work_chr_data_type 
 */

CREATE TABLE work_chr_data_type(
    wc_db_site          char(16)        NOT NULL,
    wc_db_id            int             NOT NULL,
    wc_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__work_chr_data_ty__6FB49575 PRIMARY KEY CLUSTERED (wc_db_site, wc_db_id, wc_type_code)
) 
go



IF OBJECT_ID('work_chr_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE work_chr_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_chr_data_type >>>'
go

/* 
 * TABLE: work_manage_type 
 */

CREATE TABLE work_manage_type(
    wm_type_db_site     char(16)        NOT NULL,
    wm_type_db_id       int             NOT NULL,
    wm_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__work_manage_type__6442E2C9 PRIMARY KEY CLUSTERED (wm_type_db_site, wm_type_db_id, wm_type_code)
) 
go



IF OBJECT_ID('work_manage_type') IS NOT NULL
    PRINT '<<< CREATED TABLE work_manage_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_manage_type >>>'
go

/* 
 * TABLE: work_num_data_type 
 */

CREATE TABLE work_num_data_type(
    wn_db_site          char(16)        NOT NULL,
    wn_db_id            int             NOT NULL,
    wn_type_code        int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__work_num_data_ty__6DCC4D03 PRIMARY KEY CLUSTERED (wn_db_site, wn_db_id, wn_type_code)
) 
go



IF OBJECT_ID('work_num_data_type') IS NOT NULL
    PRINT '<<< CREATED TABLE work_num_data_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_num_data_type >>>'
go

/* 
 * TABLE: work_order_audit 
 */

CREATE TABLE work_order_audit(
    work_order_db_site    char(16)         NOT NULL,
    work_order_db_id      int              NOT NULL,
    work_order_id         int              NOT NULL,
    waudit_db_site        char(16)         NOT NULL,
    waudit_db_id          int              NOT NULL,
    waudit_type_code      int              NOT NULL,
    gmt_audit_posted      datetime         NOT NULL,
    loc_hr_delta          smallint         NULL,
    loc_min_delta         smallint         NULL,
    name                  varchar(254)     NULL,
    long_description      varchar(4000)    NULL,
    user_tag_ident        varchar(254)     NULL,
    by_agent_site         char(16)         NULL,
    by_agent_id           int              NULL,
    from_sy_agent_site    char(16)         NULL,
    from_sy_agent_id      int              NULL,
    gmt_last_updated      datetime         NULL,
    last_upd_db_site      char(16)         NULL,
    last_upd_db_id        int              NULL,
    rstat_type_code       smallint         NULL,
    CONSTRAINT PK__work_order_audit__703EA55A PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, waudit_db_site, waudit_db_id, waudit_type_code, gmt_audit_posted)
) 
go



IF OBJECT_ID('work_order_audit') IS NOT NULL
    PRINT '<<< CREATED TABLE work_order_audit >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_order_audit >>>'
go

/* 
 * TABLE: work_order_child 
 */

CREATE TABLE work_order_child(
    work_order_db_site    char(16)        NOT NULL,
    work_order_db_id      int             NOT NULL,
    work_order_id         int             NOT NULL,
    child_wo_db_site      char(16)        NOT NULL,
    child_wo_db_id        int             NOT NULL,
    child_wo_id           int             NOT NULL,
    name                  varchar(254)    NULL,
    user_tag_ident        varchar(254)    NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__work_order_child__6A85CC04 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, child_wo_db_site, child_wo_db_id, child_wo_id)
) 
go



IF OBJECT_ID('work_order_child') IS NOT NULL
    PRINT '<<< CREATED TABLE work_order_child >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_order_child >>>'
go

/* 
 * TABLE: work_order_chr_data 
 */

CREATE TABLE work_order_chr_data(
    work_order_db_site    char(16)        NOT NULL,
    work_order_db_id      int             NOT NULL,
    work_order_id         int             NOT NULL,
    wc_db_site            char(16)        NOT NULL,
    wc_db_id              int             NOT NULL,
    wc_type_code          int             NOT NULL,
    eu_db_site            char(16)        NOT NULL,
    eu_db_id              int             NOT NULL,
    eu_type_code          int             NOT NULL,
    data_value            varchar(254)    NOT NULL,
    gmt_last_updated      datetime        NULL,
    last_upd_db_site      char(16)        NULL,
    last_upd_db_id        int             NULL,
    rstat_type_code       smallint        NULL,
    CONSTRAINT PK__work_order_chr_d__6E565CE8 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, wc_db_site, wc_db_id, wc_type_code)
) 
go



IF OBJECT_ID('work_order_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE work_order_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_order_chr_data >>>'
go

/* 
 * TABLE: work_order_num_data 
 */

CREATE TABLE work_order_num_data(
    work_order_db_site    char(16)    NOT NULL,
    work_order_db_id      int         NOT NULL,
    work_order_id         int         NOT NULL,
    wn_db_site            char(16)    NOT NULL,
    wn_db_id              int         NOT NULL,
    wn_type_code          int         NOT NULL,
    eu_db_site            char(16)    NOT NULL,
    eu_db_id              int         NOT NULL,
    eu_type_code          int         NOT NULL,
    data_value            float       NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__work_order_num_d__6C6E1476 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, wn_db_site, wn_db_id, wn_type_code)
) 
go



IF OBJECT_ID('work_order_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE work_order_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_order_num_data >>>'
go

/* 
 * TABLE: work_order_step 
 */

CREATE TABLE work_order_step(
    work_order_db_site        char(16)         NOT NULL,
    work_order_db_id          int              NOT NULL,
    work_order_id             int              NOT NULL,
    work_ord_step_seq         int              NOT NULL,
    gmt_created               datetime         NULL,
    loc_hr_delta              smallint         NULL,
    loc_min_delta             smallint         NULL,
    by_agent_site             char(16)         NULL,
    by_agent_id               int              NULL,
    sol_pack_db_site          char(16)         NULL,
    sol_pack_db_id            int              NULL,
    sol_pack_id               int              NULL,
    start_before_gmt          datetime         NULL,
    end_before_gmt            datetime         NULL,
    start_after_gmt           datetime         NULL,
    end_after_gmt             datetime         NULL,
    from_sy_agent_site        char(16)         NULL,
    from_sy_agent_id          int              NULL,
    to_agent_site             char(16)         NULL,
    to_agent_id               int              NULL,
    priority_lev_db_site      char(16)         NULL,
    priority_lev_db_id        int              NULL,
    priority_lev_type_code    int              NULL,
    user_tag_ident            varchar(254)     NULL,
    name                      varchar(254)     NULL,
    long_description          varchar(4000)    NULL,
    gmt_last_updated          datetime         NULL,
    last_upd_db_site          char(16)         NULL,
    last_upd_db_id            int              NULL,
    rstat_type_code           smallint         NULL,
    CONSTRAINT PK__work_order_step__7226EDCC PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
) 
go



IF OBJECT_ID('work_order_step') IS NOT NULL
    PRINT '<<< CREATED TABLE work_order_step >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_order_step >>>'
go

/* 
 * TABLE: work_order 
 */

CREATE TABLE work_order(
    work_order_db_site        char(16)         NOT NULL,
    work_order_db_id          int              NOT NULL,
    work_order_id             int              NOT NULL,
    wm_type_db_site           char(16)         NOT NULL,
    wm_type_db_id             int              NOT NULL,
    wm_type_code              int              NOT NULL,
    gmt_created               datetime         NULL,
    loc_hr_delta              smallint         NULL,
    loc_min_delta             smallint         NULL,
    by_agent_site             char(16)         NULL,
    by_agent_id               int              NULL,
    start_before_gmt          datetime         NULL,
    end_before_gmt            datetime         NULL,
    start_after_gmt           datetime         NULL,
    end_after_gmt             datetime         NULL,
    repeat_interval           int              NULL,
    int_eu_db_site            char(16)         NULL,
    int_eu_db_id              int              NULL,
    int_eu_type_code          int              NULL,
    from_sy_agent_site        char(16)         NULL,
    from_sy_agent_id          int              NULL,
    to_agent_site             char(16)         NULL,
    to_agent_id               int              NULL,
    priority_lev_db_site      char(16)         NULL,
    priority_lev_db_id        int              NULL,
    priority_lev_type_code    int              NULL,
    user_tag_ident            varchar(254)     NULL,
    name                      varchar(254)     NULL,
    long_description          varchar(4000)    NULL,
    gmt_last_updated          datetime         NULL,
    last_upd_db_site          char(16)         NULL,
    last_upd_db_id            int              NULL,
    rstat_type_code           smallint         NULL,
    CONSTRAINT PK__work_order__689D8392 PRIMARY KEY CLUSTERED (work_order_db_site, work_order_db_id, work_order_id)
) 
go



IF OBJECT_ID('work_order') IS NOT NULL
    PRINT '<<< CREATED TABLE work_order >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_order >>>'
go

/* 
 * TABLE: work_req_as_recomm 
 */

CREATE TABLE work_req_as_recomm(
    work_req_db_site      char(16)    NOT NULL,
    work_req_db_id        int         NOT NULL,
    work_req_id           int         NOT NULL,
    asset_org_site        char(16)    NOT NULL,
    asset_id              int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__work_req_as_reco__5F141958 PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id, asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('work_req_as_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE work_req_as_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_req_as_recomm >>>'
go

/* 
 * TABLE: work_req_chr_data 
 */

CREATE TABLE work_req_chr_data(
    work_req_db_site    char(16)        NOT NULL,
    work_req_db_id      int             NOT NULL,
    work_req_id         int             NOT NULL,
    wc_db_site          char(16)        NOT NULL,
    wc_db_id            int             NOT NULL,
    wc_type_code        int             NOT NULL,
    eu_db_site          char(16)        NOT NULL,
    eu_db_id            int             NOT NULL,
    eu_type_code        int             NOT NULL,
    data_value          varchar(254)    NOT NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__work_req_chr_dat__64CCF2AE PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id, wc_db_site, wc_db_id, wc_type_code)
) 
go



IF OBJECT_ID('work_req_chr_data') IS NOT NULL
    PRINT '<<< CREATED TABLE work_req_chr_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_req_chr_data >>>'
go

/* 
 * TABLE: work_req_num_data 
 */

CREATE TABLE work_req_num_data(
    work_req_db_site    char(16)    NOT NULL,
    work_req_db_id      int         NOT NULL,
    work_req_id         int         NOT NULL,
    wn_db_site          char(16)    NOT NULL,
    wn_db_id            int         NOT NULL,
    wn_type_code        int         NOT NULL,
    eu_db_site          char(16)    NOT NULL,
    eu_db_id            int         NOT NULL,
    eu_type_code        int         NOT NULL,
    data_value          float       NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__work_req_num_dat__62E4AA3C PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id, wn_db_site, wn_db_id, wn_type_code)
) 
go



IF OBJECT_ID('work_req_num_data') IS NOT NULL
    PRINT '<<< CREATED TABLE work_req_num_data >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_req_num_data >>>'
go

/* 
 * TABLE: work_req_sg_recomm 
 */

CREATE TABLE work_req_sg_recomm(
    work_req_db_site      char(16)    NOT NULL,
    work_req_db_id        int         NOT NULL,
    work_req_id           int         NOT NULL,
    segment_site          char(16)    NOT NULL,
    segment_id            int         NOT NULL,
    gmt_recommendation    datetime    NOT NULL,
    by_agent_site         char(16)    NOT NULL,
    by_agent_id           int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__work_req_sg_reco__5D2BD0E6 PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id, segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
) 
go



IF OBJECT_ID('work_req_sg_recomm') IS NOT NULL
    PRINT '<<< CREATED TABLE work_req_sg_recomm >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_req_sg_recomm >>>'
go

/* 
 * TABLE: work_req_sol_pack 
 */

CREATE TABLE work_req_sol_pack(
    work_req_db_site    char(16)    NOT NULL,
    work_req_db_id      int         NOT NULL,
    work_req_id         int         NOT NULL,
    sol_pack_db_site    char(16)    NOT NULL,
    sol_pack_db_id      int         NOT NULL,
    sol_pack_id         int         NOT NULL,
    gmt_last_updated    datetime    NULL,
    last_upd_db_site    char(16)    NULL,
    last_upd_db_id      int         NULL,
    rstat_type_code     smallint    NULL,
    CONSTRAINT PK__work_req_sol_pac__60FC61CA PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id, sol_pack_db_site, sol_pack_db_id, sol_pack_id)
) 
go



IF OBJECT_ID('work_req_sol_pack') IS NOT NULL
    PRINT '<<< CREATED TABLE work_req_sol_pack >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_req_sol_pack >>>'
go

/* 
 * TABLE: work_request_audit 
 */

CREATE TABLE work_request_audit(
    work_req_db_site      char(16)         NOT NULL,
    work_req_db_id        int              NOT NULL,
    work_req_id           int              NOT NULL,
    waudit_db_site        char(16)         NOT NULL,
    waudit_db_id          int              NOT NULL,
    waudit_type_code      int              NOT NULL,
    gmt_audit_posted      datetime         NOT NULL,
    loc_hr_delta          smallint         NULL,
    loc_min_delta         smallint         NULL,
    name                  varchar(254)     NULL,
    long_description      varchar(4000)    NULL,
    user_tag_ident        varchar(254)     NULL,
    by_agent_site         char(16)         NULL,
    by_agent_id           int              NULL,
    from_sy_agent_site    char(16)         NULL,
    from_sy_agent_id      int              NULL,
    gmt_last_updated      datetime         NULL,
    last_upd_db_site      char(16)         NULL,
    last_upd_db_id        int              NULL,
    rstat_type_code       smallint         NULL,
    CONSTRAINT PK__work_request_aud__66B53B20 PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id, waudit_db_site, waudit_db_id, waudit_type_code, gmt_audit_posted)
) 
go



IF OBJECT_ID('work_request_audit') IS NOT NULL
    PRINT '<<< CREATED TABLE work_request_audit >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_request_audit >>>'
go

/* 
 * TABLE: work_request 
 */

CREATE TABLE work_request(
    work_req_db_site          char(16)         NOT NULL,
    work_req_db_id            int              NOT NULL,
    work_req_id               int              NOT NULL,
    wm_type_db_site           char(16)         NOT NULL,
    wm_type_db_id             int              NOT NULL,
    wm_type_code              int              NOT NULL,
    work_order_db_site        char(16)         NULL,
    work_order_db_id          int              NULL,
    work_order_id             int              NULL,
    gmt_created               datetime         NULL,
    loc_hr_delta              smallint         NULL,
    loc_min_delta             smallint         NULL,
    by_agent_site             char(16)         NULL,
    by_agent_id               int              NULL,
    start_before_gmt          datetime         NULL,
    end_before_gmt            datetime         NULL,
    start_after_gmt           datetime         NULL,
    end_after_gmt             datetime         NULL,
    repeat_interval           int              NULL,
    int_eu_db_site            char(16)         NULL,
    int_eu_db_id              int              NULL,
    int_eu_type_code          int              NULL,
    from_sy_agent_site        char(16)         NULL,
    from_sy_agent_id          int              NULL,
    to_agent_site             char(16)         NULL,
    to_agent_id               int              NULL,
    priority_lev_db_site      char(16)         NULL,
    priority_lev_db_id        int              NULL,
    priority_lev_type_code    int              NULL,
    user_tag_ident            varchar(254)     NULL,
    name                      varchar(254)     NULL,
    long_description          varchar(4000)    NULL,
    gmt_last_updated          datetime         NULL,
    last_upd_db_site          char(16)         NULL,
    last_upd_db_id            int              NULL,
    rstat_type_code           smallint         NULL,
    CONSTRAINT PK__work_request__4EDDB18F PRIMARY KEY CLUSTERED (work_req_db_site, work_req_db_id, work_req_id)
) 
go



IF OBJECT_ID('work_request') IS NOT NULL
    PRINT '<<< CREATED TABLE work_request >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_request >>>'
go

/* 
 * TABLE: work_task_type 
 */

CREATE TABLE work_task_type(
    task_db_site        char(16)        NOT NULL,
    task_db_id          int             NOT NULL,
    task_type_code      int             NOT NULL,
    name                varchar(254)    NOT NULL,
    user_tag_ident      varchar(254)    NULL,
    gmt_last_updated    datetime        NULL,
    last_upd_db_site    char(16)        NULL,
    last_upd_db_id      int             NULL,
    rstat_type_code     smallint        NULL,
    CONSTRAINT PK__work_task_type__662B2B3B PRIMARY KEY CLUSTERED (task_db_site, task_db_id, task_type_code)
) 
go



IF OBJECT_ID('work_task_type') IS NOT NULL
    PRINT '<<< CREATED TABLE work_task_type >>>'
ELSE
    PRINT '<<< FAILED CREATING TABLE work_task_type >>>'
go

/* 
 * TABLE: wtask_type_child 
 */

CREATE TABLE wtask_type_child(
    task_db_site          char(16)    NOT NULL,
    task_db_id            int         NOT NULL,
    task_type_code        int         NOT NULL,
    child_tk_db_site      char(16)    NOT NULL,
    child_tk_db_id        int         NOT NULL,
    child_tk_type_code    int         NOT NULL,
    gmt_last_updated      datetime    NULL,
    last_upd_db_site      char(16)    NULL,
    last_upd_db_id        int         NULL,
    rstat_type_code       smallint    NULL,
    CONSTRAINT PK__wtask_type_child__681373AD PRIMARY KEY CLUSTERED (task_db_site, task_db_id, task_type_code, child_tk_db_site, child_tk_db_id, child_tk_type_code)
) 
go




