

/* 
 * TABLE: agent_role_type 
 */

ALTER TABLE agent_role_type ADD CONSTRAINT FK__agent_rol__rstat__6D823440 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE agent_role_type ADD CONSTRAINT FK__agent_role_type__6E765879 
    FOREIGN KEY (ag_role_db_site, ag_role_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE agent_role_type ADD CONSTRAINT FK__agent_role_type__6F6A7CB2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: agent_role_with_agent 
 */

ALTER TABLE agent_role_with_agent ADD CONSTRAINT FK__agent_rol__rstat__24D2692A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE agent_role_with_agent ADD CONSTRAINT FK__agent_role_with___25C68D63 
    FOREIGN KEY (ag_role_db_site, ag_role_db_id, ag_role_type_code)
    REFERENCES agent_role_type(ag_role_db_site, ag_role_db_id, ag_role_type_code)
go

ALTER TABLE agent_role_with_agent ADD CONSTRAINT FK__agent_role_with___26BAB19C 
    FOREIGN KEY (other_org_agent_site, other_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE agent_role_with_agent ADD CONSTRAINT FK__agent_role_with___27AED5D5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: agent_role 
 */

ALTER TABLE agent_role ADD CONSTRAINT FK__agent_rol__rstat__2101D846 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE agent_role ADD CONSTRAINT FK__agent_role__21F5FC7F 
    FOREIGN KEY (org_agent_site, agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE agent_role ADD CONSTRAINT FK__agent_role__22EA20B8 
    FOREIGN KEY (ag_role_db_site, ag_role_db_id, ag_role_type_code)
    REFERENCES agent_role_type(ag_role_db_site, ag_role_db_id, ag_role_type_code)
go

ALTER TABLE agent_role ADD CONSTRAINT FK__agent_role__23DE44F1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: agent_type 
 */

ALTER TABLE agent_type ADD CONSTRAINT FK__agent_typ__rstat__216BEC9A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE agent_type ADD CONSTRAINT FK__agent_type__226010D3 
    FOREIGN KEY (agent_db_site, agent_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE agent_type ADD CONSTRAINT FK__agent_type__2354350C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: agent 
 */

ALTER TABLE agent ADD CONSTRAINT FK__agent__24485945 
    FOREIGN KEY (agent_db_site, agent_db_id, agent_type_code)
    REFERENCES agent_type(agent_db_site, agent_db_id, agent_type_code)
go

ALTER TABLE agent ADD CONSTRAINT FK__agent__253C7D7E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE agent ADD CONSTRAINT FK__agent__org_agent__2630A1B7 
    FOREIGN KEY (org_agent_site)
    REFERENCES site(site_code)
go

ALTER TABLE agent ADD CONSTRAINT FK__agent__rstat_typ__2724C5F0 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: alarm_type 
 */

ALTER TABLE alarm_type ADD CONSTRAINT FK__alarm_typ__rstat__16EE5E27 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE alarm_type ADD CONSTRAINT FK__alarm_type__17E28260 
    FOREIGN KEY (al_db_site, al_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE alarm_type ADD CONSTRAINT FK__alarm_type__18D6A699 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE alarm_type ADD CONSTRAINT FK__alarm_type__19CACAD2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: amb_set_type 
 */

ALTER TABLE amb_set_type ADD CONSTRAINT FK__amb_set_t__rstat__6D381B7D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE amb_set_type ADD CONSTRAINT FK__amb_set_type__6B4FD30B 
    FOREIGN KEY (amb_set_db_site, amb_set_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE amb_set_type ADD CONSTRAINT FK__amb_set_type__6C43F744 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_chr_dat_type 
 */

ALTER TABLE as_chr_dat_type ADD CONSTRAINT FK__as_chr_da__defau__21A0F6C4 
    FOREIGN KEY (default_ru_type)
    REFERENCES ref_unit_type(ru_type_code)
go

ALTER TABLE as_chr_dat_type ADD CONSTRAINT FK__as_chr_da__rstat__22951AFD 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_chr_dat_type ADD CONSTRAINT FK__as_chr_dat_type__23893F36 
    FOREIGN KEY (ac_db_site, ac_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_chr_dat_type ADD CONSTRAINT FK__as_chr_dat_type__247D636F 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_completed_work 
 */

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_comple__rstat__452A2A23 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__461E4E5C 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__47127295 
    FOREIGN KEY (task_db_site, task_db_id, task_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__480696CE 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__48FABB07 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__49EEDF40 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__4AE30379 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE as_completed_work ADD CONSTRAINT FK__as_completed_wor__4BD727B2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_ev_as_func_link 
 */

ALTER TABLE as_ev_as_func_link ADD CONSTRAINT FK__as_ev_as___rstat__41399DAE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_ev_as_func_link ADD CONSTRAINT FK__as_ev_as_func_li__422DC1E7 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_ev_as_func_link ADD CONSTRAINT FK__as_ev_as_func_li__4321E620 
    FOREIGN KEY (db_site, db_id, fc_as_org_site, fc_as_id, ordering_seq)
    REFERENCES asset_function(db_site, db_id, asset_org_site, asset_id, ordering_seq)
go

ALTER TABLE as_ev_as_func_link ADD CONSTRAINT FK__as_ev_as_func_li__44160A59 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_ev_as_func_link ADD CONSTRAINT FK__as_ev_as_func_li__450A2E92 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_ev_meas_event 
 */

ALTER TABLE as_ev_meas_event ADD CONSTRAINT FK__as_ev_mea__rstat__544C7222 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_ev_meas_event ADD CONSTRAINT FK__as_ev_meas_event__5540965B 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_ev_meas_event ADD CONSTRAINT FK__as_ev_meas_event__5634BA94 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE as_ev_meas_event ADD CONSTRAINT FK__as_ev_meas_event__5728DECD 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_ev_meas_event ADD CONSTRAINT FK__as_ev_meas_event__581D0306 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_event_chr_data 
 */

ALTER TABLE as_event_chr_data ADD CONSTRAINT FK__as_event_chr_dat__4E7E8A33 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_event_chr_data ADD CONSTRAINT FK__as_event_chr_dat__4F72AE6C 
    FOREIGN KEY (ec_db_site, ec_db_id, ec_type_code)
    REFERENCES ev_chr_data_type(ec_db_site, ec_db_id, ec_type_code)
go

ALTER TABLE as_event_chr_data ADD CONSTRAINT FK__as_event_chr_dat__5066D2A5 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go


/* 
 * TABLE: as_event_num_data 
 */

ALTER TABLE as_event_num_data ADD CONSTRAINT FK__as_event___rstat__4AC307E8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_event_num_data ADD CONSTRAINT FK__as_event_num_dat__4BB72C21 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_event_num_data ADD CONSTRAINT FK__as_event_num_dat__4CAB505A 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE as_event_num_data ADD CONSTRAINT FK__as_event_num_dat__4D9F7493 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_event_num_data ADD CONSTRAINT FK__as_event_num_dat__4E9398CC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_health_as_event 
 */

ALTER TABLE as_health_as_event ADD CONSTRAINT FK__as_health__rstat__233F2673 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_health_as_event ADD CONSTRAINT FK__as_health_as_eve__24334AAC 
    FOREIGN KEY (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
    REFERENCES asset_health(asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
go

ALTER TABLE as_health_as_event ADD CONSTRAINT FK__as_health_as_eve__25276EE5 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_health_as_event ADD CONSTRAINT FK__as_health_as_eve__261B931E 
    FOREIGN KEY (assoc_by_org_asite, assoc_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_health_as_event ADD CONSTRAINT FK__as_health_as_eve__270FB757 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_health_as_prop_ev 
 */

ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT FK__as_health__rstat__2CC890AD 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT FK__as_health_as_pro__2DBCB4E6 
    FOREIGN KEY (asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
    REFERENCES asset_health(asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
go

ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT FK__as_health_as_pro__2EB0D91F 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT FK__as_health_as_pro__2FA4FD58 
    FOREIGN KEY (assoc_by_org_asite, assoc_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_health_as_prop_ev ADD CONSTRAINT FK__as_health_as_pro__30992191 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_hyp_ev_as_func 
 */

ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT FK__as_hyp_ev__rstat__31C24FF4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT FK__as_hyp_ev_as_fun__32B6742D 
    FOREIGN KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT FK__as_hyp_ev_as_fun__33AA9866 
    FOREIGN KEY (db_site, db_id, asset_org_site, asset_id, ordering_seq)
    REFERENCES asset_function(db_site, db_id, asset_org_site, asset_id, ordering_seq)
go

ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT FK__as_hyp_ev_as_fun__349EBC9F 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_hyp_ev_as_func ADD CONSTRAINT FK__as_hyp_ev_as_fun__3592E0D8 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_hyp_ev_num_data 
 */

ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT FK__as_hyp_ev__rstat__19EAC663 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT FK__as_hyp_ev_num_da__1ADEEA9C 
    FOREIGN KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT FK__as_hyp_ev_num_da__1BD30ED5 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT FK__as_hyp_ev_num_da__1CC7330E 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_hyp_ev_num_data ADD CONSTRAINT FK__as_hyp_ev_num_da__1DBB5747 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_hyp_event_link 
 */

ALTER TABLE as_hyp_event_link ADD CONSTRAINT FK__as_hyp_ev__rstat__05E3CDB6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_hyp_event_link ADD CONSTRAINT FK__as_hyp_event_lin__06D7F1EF 
    FOREIGN KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_hyp_event_link ADD CONSTRAINT FK__as_hyp_event_lin__07CC1628 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_hyp_event_link ADD CONSTRAINT FK__as_hyp_event_lin__08C03A61 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_hyp_event 
 */

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_ev__rstat__675F4696 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_event__68536ACF 
    FOREIGN KEY (as_hyp_db_site, as_hyp_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_event__69478F08 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_event__6A3BB341 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_event__6B2FD77A 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_event__6C23FBB3 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_hyp_event ADD CONSTRAINT FK__as_hyp_event__6D181FEC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_network_connect 
 */

ALTER TABLE as_network_connect ADD CONSTRAINT FK__as_networ__rstat__1C3D2329 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_network_connect ADD CONSTRAINT FK__as_network_conne__1D314762 
    FOREIGN KEY (network_db_site, network_db_id, network_id)
    REFERENCES network(network_db_site, network_db_id, network_id)
go

ALTER TABLE as_network_connect ADD CONSTRAINT FK__as_network_conne__1E256B9B 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_network_connect ADD CONSTRAINT FK__as_network_conne__1F198FD4 
    FOREIGN KEY (output_as_site, output_as_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_network_connect ADD CONSTRAINT FK__as_network_conne__200DB40D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_num_dat_type 
 */

ALTER TABLE as_num_dat_type ADD CONSTRAINT FK__as_num_da__defau__1DD065E0 
    FOREIGN KEY (default_ru_type)
    REFERENCES ref_unit_type(ru_type_code)
go

ALTER TABLE as_num_dat_type ADD CONSTRAINT FK__as_num_da__rstat__1EC48A19 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_num_dat_type ADD CONSTRAINT FK__as_num_dat_type__1FB8AE52 
    FOREIGN KEY (an_db_site, an_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_num_dat_type ADD CONSTRAINT FK__as_num_dat_type__20ACD28B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_prop_ev_as_ev 
 */

ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT FK__as_prop_e__rstat__00EA0E6F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT FK__as_prop_ev_as_ev__01DE32A8 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT FK__as_prop_ev_as_ev__02D256E1 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT FK__as_prop_ev_as_ev__03C67B1A 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_prop_ev_as_ev ADD CONSTRAINT FK__as_prop_ev_as_ev__04BA9F53 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_prop_ev_as_func 
 */

ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT FK__as_prop_e__rstat__6DD739FB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT FK__as_prop_ev_as_fu__6ECB5E34 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT FK__as_prop_ev_as_fu__6FBF826D 
    FOREIGN KEY (db_site, db_id, asset_org_site, asset_id, ordering_seq)
    REFERENCES asset_function(db_site, db_id, asset_org_site, asset_id, ordering_seq)
go

ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT FK__as_prop_ev_as_fu__70B3A6A6 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_prop_ev_as_func ADD CONSTRAINT FK__as_prop_ev_as_fu__71A7CADF 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_prop_ev_hyp_ev 
 */

ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT FK__as_prop_e__rstat__7760A435 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT FK__as_prop_ev_hyp_e__7854C86E 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT FK__as_prop_ev_hyp_e__7948ECA7 
    FOREIGN KEY (as_hypev_db_site, as_hypev_db_id, as_hyp_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT FK__as_prop_ev_hyp_e__7A3D10E0 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_prop_ev_hyp_ev ADD CONSTRAINT FK__as_prop_ev_hyp_e__7B313519 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_prop_ev_link 
 */

ALTER TABLE as_prop_ev_link ADD CONSTRAINT FK__as_prop_e__rstat__5BB889C0 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_prop_ev_link ADD CONSTRAINT FK__as_prop_ev_link__5CACADF9 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_link ADD CONSTRAINT FK__as_prop_ev_link__5DA0D232 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_link ADD CONSTRAINT FK__as_prop_ev_link__5E94F66B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_prop_ev_meas_ev 
 */

ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT FK__as_prop_e__rstat__0A7378A9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT FK__as_prop_ev_meas___0B679CE2 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT FK__as_prop_ev_meas___0C5BC11B 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT FK__as_prop_ev_meas___0D4FE554 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_prop_ev_meas_ev ADD CONSTRAINT FK__as_prop_ev_meas___0E44098D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_prop_ev_ndat 
 */

ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT FK__as_prop_e__rstat__644DCFC1 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT FK__as_prop_ev_ndat__6541F3FA 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT FK__as_prop_ev_ndat__66361833 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT FK__as_prop_ev_ndat__672A3C6C 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_prop_ev_ndat ADD CONSTRAINT FK__as_prop_ev_ndat__681E60A5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_proposed_event 
 */

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_propos__aud_q__4E5E8EA2 
    FOREIGN KEY (aud_quality_code)
    REFERENCES data_qual_type(dqual_type_code)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_propos__rstat__4F52B2DB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__5046D714 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__513AFB4D 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__522F1F86 
    FOREIGN KEY (ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
    REFERENCES change_patt_type(ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__532343BF 
    FOREIGN KEY (aud_by_org_asite, aud_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__541767F8 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__550B8C31 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__55FFB06A 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_proposed_event ADD CONSTRAINT FK__as_proposed_even__56F3D4A3 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go


/* 
 * TABLE: as_readiness_type 
 */

ALTER TABLE as_readiness_type ADD CONSTRAINT FK__as_readin__rstat__6497E884 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_readiness_type ADD CONSTRAINT FK__as_readiness_typ__658C0CBD 
    FOREIGN KEY (asr_db_site, asr_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_readiness_type ADD CONSTRAINT FK__as_readiness_typ__668030F6 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_rec_as_event 
 */

ALTER TABLE as_rec_as_event ADD CONSTRAINT FK__as_rec_as__rstat__094A4A46 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_as_event ADD CONSTRAINT FK__as_rec_as_event__0A3E6E7F 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_rec_as_event ADD CONSTRAINT FK__as_rec_as_event__0B3292B8 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE as_rec_as_event ADD CONSTRAINT FK__as_rec_as_event__0C26B6F1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_rec_as_health 
 */

ALTER TABLE as_rec_as_health ADD CONSTRAINT FK__as_rec_as__rstat__01A9287E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_as_health ADD CONSTRAINT FK__as_rec_as_health__029D4CB7 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_rec_as_health ADD CONSTRAINT FK__as_rec_as_health__039170F0 
    FOREIGN KEY (hth_as_org_site, hth_asset_id, hth_gmt_assess, hth_by_agent_site, hth_by_agent_id)
    REFERENCES asset_health(asset_org_site, asset_id, gmt_assessment, by_agent_site, by_agent_id)
go

ALTER TABLE as_rec_as_health ADD CONSTRAINT FK__as_rec_as_health__04859529 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_rec_as_hyp_ev 
 */

ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT FK__as_rec_as__rstat__12D3B480 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT FK__as_rec_as_hyp_ev__10EB6C0E 
    FOREIGN KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT FK__as_rec_as_hyp_ev__11DF9047 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_rec_as_hyp_ev ADD CONSTRAINT FK__as_rec_as_hyp_ev__13C7D8B9 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go


/* 
 * TABLE: as_rec_as_prop_ev 
 */

ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT FK__as_rec_as__rstat__23FE4082 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT FK__as_rec_as_prop_e__24F264BB 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT FK__as_rec_as_prop_e__25E688F4 
    FOREIGN KEY (as_prop_db_site, as_prop_db_id, as_prop_event_id)
    REFERENCES as_proposed_event(as_prop_db_site, as_prop_db_id, as_prop_event_id)
go

ALTER TABLE as_rec_as_prop_ev ADD CONSTRAINT FK__as_rec_as_prop_e__26DAAD2D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_rec_blob 
 */

ALTER TABLE as_rec_blob ADD CONSTRAINT FK__as_rec_bl__rstat__6E96540A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_blob ADD CONSTRAINT FK__as_rec_blob__6F8A7843 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE as_rec_blob ADD CONSTRAINT FK__as_rec_blob__707E9C7C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_rec_blob ADD CONSTRAINT FK__as_rec_blob__7172C0B5 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go


/* 
 * TABLE: as_rec_mevent 
 */

ALTER TABLE as_rec_mevent ADD CONSTRAINT FK__as_rec_me__rstat__2B9F624A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_mevent ADD CONSTRAINT FK__as_rec_mevent__2C938683 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_rec_mevent ADD CONSTRAINT FK__as_rec_mevent__2D87AABC 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE as_rec_mevent ADD CONSTRAINT FK__as_rec_mevent__2E7BCEF5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_rec_remark 
 */

ALTER TABLE as_rec_remark ADD CONSTRAINT FK__as_rec_re__rstat__5C77A3CF 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_rec_remark ADD CONSTRAINT FK__as_rec_remark__5D6BC808 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_rec_remark ADD CONSTRAINT FK__as_rec_remark__5E5FEC41 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_recommendation 
 */

ALTER TABLE as_recommendation ADD CONSTRAINT FK__as_recomm__rstat__41C3AD93 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_recommendation ADD CONSTRAINT FK__as_recommendatio__42B7D1CC 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_recommendation ADD CONSTRAINT FK__as_recommendatio__43ABF605 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE as_recommendation ADD CONSTRAINT FK__as_recommendatio__44A01A3E 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_recommendation ADD CONSTRAINT FK__as_recommendatio__45943E77 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_remaining_life 
 */

ALTER TABLE as_remaining_life ADD CONSTRAINT FK__as_remain__rstat__37461F20 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_remaining_life ADD CONSTRAINT FK__as_remaining_lif__383A4359 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_remaining_life ADD CONSTRAINT FK__as_remaining_lif__392E6792 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_remaining_life ADD CONSTRAINT FK__as_remaining_lif__3A228BCB 
    FOREIGN KEY (erl_eu_db_site, erl_eu_db_id, erl_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_remaining_life ADD CONSTRAINT FK__as_remaining_lif__3B16B004 
    FOREIGN KEY (err_eu_db_site, err_eu_db_id, err_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_remaining_life ADD CONSTRAINT FK__as_remaining_lif__3C0AD43D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_req_for_work 
 */

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_fo__rstat__50D0E6F9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__4EE89E87 
    FOREIGN KEY (req_db_site, req_db_id, request_id)
    REFERENCES request(req_db_site, req_db_id, request_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__4FDCC2C0 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__51C50B32 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__52B92F6B 
    FOREIGN KEY (wm_type_db_site, wm_type_db_id, wm_type_code)
    REFERENCES work_manage_type(wm_type_db_site, wm_type_db_id, wm_type_code)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__53AD53A4 
    FOREIGN KEY (task_db_site, task_db_id, task_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__54A177DD 
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__55959C16 
    FOREIGN KEY (to_agent_site, to_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__5689C04F 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__577DE488 
    FOREIGN KEY (rec_asset_org_site, rec_asset_id, rec_gmt_recomm, rec_by_agent_site, rec_by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__587208C1 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE as_req_for_work ADD CONSTRAINT FK__as_req_for_work__59662CFA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_sol_pack 
 */

ALTER TABLE as_sol_pack ADD CONSTRAINT FK__as_sol_pa__rstat__5EE9FC26 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_sol_pack ADD CONSTRAINT FK__as_sol_pack__5C0D8F7B 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE as_sol_pack ADD CONSTRAINT FK__as_sol_pack__5D01B3B4 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE as_sol_pack ADD CONSTRAINT FK__as_sol_pack__5DF5D7ED 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_typ_hyp_ev_func 
 */

ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT FK__as_typ_hy__rstat__3B4BBA2E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT FK__as_typ_hyp_ev_fu__3C3FDE67 
    FOREIGN KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
    REFERENCES as_typ_hyp_event(ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
go

ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT FK__as_typ_hyp_ev_fu__3D3402A0 
    FOREIGN KEY (db_site, db_id, as_db_site, as_db_id, as_type_code, ordering_seq)
    REFERENCES as_type_function(db_site, db_id, as_db_site, as_db_id, as_type_code, ordering_seq)
go

ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT FK__as_typ_hyp_ev_fu__3E2826D9 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_typ_hyp_ev_func ADD CONSTRAINT FK__as_typ_hyp_ev_fu__3F1C4B12 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_typ_hyp_ev_link 
 */

ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT FK__as_typ_hy__rstat__0D84EF7E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT FK__as_typ_hyp_ev_li__0E7913B7 
    FOREIGN KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
    REFERENCES as_typ_hyp_event(ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
go

ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT FK__as_typ_hyp_ev_li__0F6D37F0 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES as_typ_hyp_event(ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
go

ALTER TABLE as_typ_hyp_ev_link ADD CONSTRAINT FK__as_typ_hyp_ev_li__10615C29 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_typ_hyp_ev_num_data 
 */

ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT FK__as_typ_hy__rstat__2374309D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT FK__as_typ_hyp_ev_nu__246854D6 
    FOREIGN KEY (ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
    REFERENCES as_typ_hyp_event(ast_hyp_db_site, ast_hyp_db_id, ast_hyp_event_id)
go

ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT FK__as_typ_hyp_ev_nu__255C790F 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT FK__as_typ_hyp_ev_nu__26509D48 
    FOREIGN KEY (eu_db_site, eu_type_code, eu_db_id)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE as_typ_hyp_ev_num_data ADD CONSTRAINT FK__as_typ_hyp_ev_nu__2744C181 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_typ_hyp_event 
 */

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hy__rstat__74B941B4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hyp_event__75AD65ED 
    FOREIGN KEY (ast_hyp_db_site, ast_hyp_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hyp_event__76A18A26 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hyp_event__7795AE5F 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hyp_event__7889D298 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hyp_event__797DF6D1 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_typ_hyp_event ADD CONSTRAINT FK__as_typ_hyp_event__7A721B0A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_type_blob_data 
 */

ALTER TABLE as_type_blob_data ADD CONSTRAINT FK__as_type_b__rstat__005FFE8A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_type_blob_data ADD CONSTRAINT FK__as_type_blob_dat__015422C3 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_type_blob_data ADD CONSTRAINT FK__as_type_blob_dat__024846FC 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE as_type_blob_data ADD CONSTRAINT FK__as_type_blob_dat__033C6B35 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE as_type_blob_data ADD CONSTRAINT FK__as_type_blob_dat__04308F6E 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE as_type_blob_data ADD CONSTRAINT FK__as_type_blob_dat__0524B3A7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_type_function 
 */

ALTER TABLE as_type_function ADD CONSTRAINT FK__as_type_f__rstat__32EB7E57 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_type_function ADD CONSTRAINT FK__as_type_function__33DFA290 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE as_type_function ADD CONSTRAINT FK__as_type_function__34D3C6C9 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE as_type_function ADD CONSTRAINT FK__as_type_function__35C7EB02 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_type_function ADD CONSTRAINT FK__as_type_function__36BC0F3B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_type_rec_blob 
 */

ALTER TABLE as_type_rec_blob ADD CONSTRAINT FK__as_type_r__rstat__763775D2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_type_rec_blob ADD CONSTRAINT FK__as_type_rec_blob__772B9A0B 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_type_recomm(as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_type_rec_blob ADD CONSTRAINT FK__as_type_rec_blob__781FBE44 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE as_type_rec_blob ADD CONSTRAINT FK__as_type_rec_blob__7913E27D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_type_rec_hyp_ev 
 */

ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT FK__as_type_r__rstat__188C8DD6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT FK__as_type_rec_hyp___1980B20F 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_type_recomm(as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT FK__as_type_rec_hyp___1A74D648 
    FOREIGN KEY (as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
    REFERENCES as_hyp_event(as_hyp_db_site, as_hyp_db_id, as_hyp_event_id)
go

ALTER TABLE as_type_rec_hyp_ev ADD CONSTRAINT FK__as_type_rec_hyp___1B68FA81 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_type_rec_remark 
 */

ALTER TABLE as_type_rec_remark ADD CONSTRAINT FK__as_type_r__rstat__650CE9D0 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_type_rec_remark ADD CONSTRAINT FK__as_type_rec_rema__66010E09 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_type_recomm(as_db_site, as_db_id, as_type_code, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE as_type_rec_remark ADD CONSTRAINT FK__as_type_rec_rema__66F53242 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: as_type_recomm 
 */

ALTER TABLE as_type_recomm ADD CONSTRAINT FK__as_type_r__rstat__5011CCEA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE as_type_recomm ADD CONSTRAINT FK__as_type_recomm__5105F123 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE as_type_recomm ADD CONSTRAINT FK__as_type_recomm__51FA155C 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE as_type_recomm ADD CONSTRAINT FK__as_type_recomm__52EE3995 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE as_type_recomm ADD CONSTRAINT FK__as_type_recomm__53E25DCE 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_blob_data 
 */

ALTER TABLE asset_blob_data ADD CONSTRAINT FK__asset_blo__rstat__0618D7E0 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_blob_data ADD CONSTRAINT FK__asset_blob_data__070CFC19 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset_blob_data ADD CONSTRAINT FK__asset_blob_data__08012052 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_blob_data ADD CONSTRAINT FK__asset_blob_data__08F5448B 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE asset_blob_data ADD CONSTRAINT FK__asset_blob_data__09E968C4 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE asset_blob_data ADD CONSTRAINT FK__asset_blob_data__0ADD8CFD 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_child 
 */

ALTER TABLE asset_child ADD CONSTRAINT FK__asset_chi__rstat__369C13AA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_child ADD CONSTRAINT FK__asset_child__379037E3 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_child ADD CONSTRAINT FK__asset_child__38845C1C 
    FOREIGN KEY (child_as_site, child_as_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_child ADD CONSTRAINT FK__asset_child__39788055 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_chr_data 
 */

ALTER TABLE asset_chr_data ADD CONSTRAINT FK__asset_chr__rstat__3F3159AB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_chr_data ADD CONSTRAINT FK__asset_chr_data__40257DE4 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_chr_data ADD CONSTRAINT FK__asset_chr_data__4119A21D 
    FOREIGN KEY (ac_db_site, ac_db_id, ac_type_code)
    REFERENCES as_chr_dat_type(ac_db_site, ac_db_id, ac_type_code)
go

ALTER TABLE asset_chr_data ADD CONSTRAINT FK__asset_chr_data__420DC656 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE asset_chr_data ADD CONSTRAINT FK__asset_chr_data__4301EA8F 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_event_link 
 */

ALTER TABLE asset_event_link ADD CONSTRAINT FK__asset_eve__rstat__5CE1B823 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_event_link ADD CONSTRAINT FK__asset_event_link__5DD5DC5C 
    FOREIGN KEY (asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE asset_event_link ADD CONSTRAINT FK__asset_event_link__5ECA0095 
    FOREIGN KEY (caused_as_site, caused_as_id, caused_ev_db_site, caused_ev_db_id, caused_ev_code, caused_gmt)
    REFERENCES asset_event(asset_org_site, asset_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE asset_event_link ADD CONSTRAINT FK__asset_event_link__5FBE24CE 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_event 
 */

ALTER TABLE asset_event ADD CONSTRAINT FK__asset_eve__rstat__43F60EC8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_event ADD CONSTRAINT FK__asset_event__44EA3301 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_event ADD CONSTRAINT FK__asset_event__45DE573A 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE asset_event ADD CONSTRAINT FK__asset_event__46D27B73 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_function 
 */

ALTER TABLE asset_function ADD CONSTRAINT FK__asset_fun__rstat__2962141D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_function ADD CONSTRAINT FK__asset_function__2A563856 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset_function ADD CONSTRAINT FK__asset_function__2B4A5C8F 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_function ADD CONSTRAINT FK__asset_function__2C3E80C8 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE asset_function ADD CONSTRAINT FK__asset_function__2D32A501 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_geo_position 
 */

ALTER TABLE asset_geo_position ADD CONSTRAINT FK__asset_geo__rstat__4AADF94F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_geo_position ADD CONSTRAINT FK__asset_geo_positi__46DD686B 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_geo_position ADD CONSTRAINT FK__asset_geo_positi__47D18CA4 
    FOREIGN KEY (geo_db_site, geo_db_id, geo_position_id)
    REFERENCES geo_position(geo_db_site, geo_db_id, geo_position_id)
go

ALTER TABLE asset_geo_position ADD CONSTRAINT FK__asset_geo_positi__48C5B0DD 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset_geo_position ADD CONSTRAINT FK__asset_geo_positi__49B9D516 
    FOREIGN KEY (dur_eu_db_site, dur_eu_db_id, dur_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go


/* 
 * TABLE: asset_health 
 */

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_hea__aud_q__16D94F8E 
    FOREIGN KEY (aud_quality_code)
    REFERENCES data_qual_type(dqual_type_code)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_hea__rstat__17CD73C7 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_health__18C19800 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_health__19B5BC39 
    FOREIGN KEY (health_lev_db_site, health_lev_db_id, health_lev_type_code)
    REFERENCES health_level_type(health_lev_db_site, health_lev_db_id, health_lev_type_code)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_health__1AA9E072 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_health__1B9E04AB 
    FOREIGN KEY (ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
    REFERENCES change_patt_type(ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_health__1C9228E4 
    FOREIGN KEY (aud_by_org_asite, aud_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE asset_health ADD CONSTRAINT FK__asset_health__1D864D1D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_num_data 
 */

ALTER TABLE asset_num_data ADD CONSTRAINT FK__asset_num__rstat__3A6CA48E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_num_data ADD CONSTRAINT FK__asset_num_data__3B60C8C7 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_num_data ADD CONSTRAINT FK__asset_num_data__3C54ED00 
    FOREIGN KEY (an_db_site, an_db_id, an_type_code)
    REFERENCES as_num_dat_type(an_db_site, an_db_id, an_type_code)
go

ALTER TABLE asset_num_data ADD CONSTRAINT FK__asset_num_data__3D491139 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE asset_num_data ADD CONSTRAINT FK__asset_num_data__3E3D3572 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_on_segment 
 */

ALTER TABLE asset_on_segment ADD CONSTRAINT FK__asset_on___rstat__49AEE81E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_on_segment ADD CONSTRAINT FK__asset_on_segment__47C69FAC 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE asset_on_segment ADD CONSTRAINT FK__asset_on_segment__48BAC3E5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset_on_segment ADD CONSTRAINT FK__asset_on_segment__4AA30C57 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go


/* 
 * TABLE: asset_owner 
 */

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_own__purch__4B973090 
    FOREIGN KEY (purch_from_site)
    REFERENCES site(site_code)
go

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_own__rstat__4C8B54C9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_own__sold___4D7F7902 
    FOREIGN KEY (sold_to_site)
    REFERENCES site(site_code)
go

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_owner__4E739D3B 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_owner__4F67C174 
    FOREIGN KEY (pc_db_site, pc_db_id, pc_type_code)
    REFERENCES purchase_cond_type(pc_db_site, pc_db_id, pc_type_code)
go

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_owner__505BE5AD 
    FOREIGN KEY (asr_db_site, asr_db_id, asr_type_code)
    REFERENCES as_readiness_type(asr_db_site, asr_db_id, asr_type_code)
go

ALTER TABLE asset_owner ADD CONSTRAINT FK__asset_owner__515009E6 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset_type_child 
 */

ALTER TABLE asset_type_child ADD CONSTRAINT FK__asset_typ__rstat__116A8EFB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_type_child ADD CONSTRAINT FK__asset_type_child__125EB334 
    FOREIGN KEY (child_as_db_site, child_as_db_id, child_as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE asset_type_child ADD CONSTRAINT FK__asset_type_child__1352D76D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset_type_child ADD CONSTRAINT FK__asset_type_child__1446FBA6 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go


/* 
 * TABLE: asset_type 
 */

ALTER TABLE asset_type ADD CONSTRAINT FK__asset_typ__rstat__0E8E2250 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE asset_type ADD CONSTRAINT FK__asset_type__0F824689 
    FOREIGN KEY (as_db_site, as_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset_type ADD CONSTRAINT FK__asset_type__10766AC2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: asset 
 */

ALTER TABLE asset ADD CONSTRAINT FK__asset__2EFAF1E2 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__2FEF161B 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__30E33A54 
    FOREIGN KEY (mf_db_site, mf_db_id, manuf_code)
    REFERENCES manufacturer(mf_db_site, mf_db_id, manuf_code)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__31D75E8D 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__32CB82C6 
    FOREIGN KEY (asr_db_site, asr_db_id, asr_type_code)
    REFERENCES as_readiness_type(asr_db_site, asr_db_id, asr_type_code)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__34B3CB38 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__asset_org__35A7EF71 
    FOREIGN KEY (asset_org_site)
    REFERENCES site(site_code)
go

ALTER TABLE asset ADD CONSTRAINT FK__asset__rstat_typ__33BFA6FF 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: ave_synch_type 
 */

ALTER TABLE ave_synch_type ADD CONSTRAINT FK__ave_synch__rstat__5D80D6A1 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ave_synch_type ADD CONSTRAINT FK__ave_synch_type__5E74FADA 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE ave_synch_type ADD CONSTRAINT FK__ave_synch_type__5F691F13 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ave_weight_type 
 */

ALTER TABLE ave_weight_type ADD CONSTRAINT FK__ave_weigh__rstat__5AA469F6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ave_weight_type ADD CONSTRAINT FK__ave_weight_type__5B988E2F 
    FOREIGN KEY (ave_wt_db_site, ave_wt_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE ave_weight_type ADD CONSTRAINT FK__ave_weight_type__5C8CB268 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: average_type 
 */

ALTER TABLE average_type ADD CONSTRAINT FK__average_t__rstat__57C7FD4B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE average_type ADD CONSTRAINT FK__average_type__58BC2184 
    FOREIGN KEY (ave_db_site, ave_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE average_type ADD CONSTRAINT FK__average_type__59B045BD 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: blob_alarm 
 */

ALTER TABLE blob_alarm ADD CONSTRAINT FK__blob_alar__rstat__1A1FD08D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE blob_alarm ADD CONSTRAINT FK__blob_alarm__1B13F4C6 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
    REFERENCES mevent_blob_data(meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
go

ALTER TABLE blob_alarm ADD CONSTRAINT FK__blob_alarm__1C0818FF 
    FOREIGN KEY (al_db_site, al_type_code, al_db_id)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE blob_alarm ADD CONSTRAINT FK__blob_alarm__1CFC3D38 
    FOREIGN KEY (org_agent_site, agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE blob_alarm ADD CONSTRAINT FK__blob_alarm__1DF06171 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: blob_area_alarm 
 */

ALTER TABLE blob_area_alarm ADD CONSTRAINT FK__blob_area__rstat__1EE485AA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE blob_area_alarm ADD CONSTRAINT FK__blob_area_alarm__1FD8A9E3 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
    REFERENCES mevent_blob_data(meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
go

ALTER TABLE blob_area_alarm ADD CONSTRAINT FK__blob_area_alarm__20CCCE1C 
    FOREIGN KEY (high_db_site, high_db_id, high_type_code)
    REFERENCES highlight_type(high_db_site, high_db_id, high_type_code)
go

ALTER TABLE blob_area_alarm ADD CONSTRAINT FK__blob_area_alarm__21C0F255 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE blob_area_alarm ADD CONSTRAINT FK__blob_area_alarm__22B5168E 
    FOREIGN KEY (org_agent_site, agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE blob_area_alarm ADD CONSTRAINT FK__blob_area_alarm__23A93AC7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: blob_content_type 
 */

ALTER TABLE blob_content_type ADD CONSTRAINT FK__blob_cont__rstat__64ECEE3F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE blob_content_type ADD CONSTRAINT FK__blob_content_typ__65E11278 
    FOREIGN KEY (blct_db_site, blct_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE blob_content_type ADD CONSTRAINT FK__blob_content_typ__66D536B1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: blob_data_type 
 */

ALTER TABLE blob_data_type ADD CONSTRAINT FK__blob_data__rstat__62108194 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE blob_data_type ADD CONSTRAINT FK__blob_data_type__6304A5CD 
    FOREIGN KEY (bd_db_site, bd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE blob_data_type ADD CONSTRAINT FK__blob_data_type__63F8CA06 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: blob_grid_data 
 */

ALTER TABLE blob_grid_data ADD CONSTRAINT FK__blob_grid__rstat__164F3FA9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE blob_grid_data ADD CONSTRAINT FK__blob_grid_data__174363E2 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
    REFERENCES mevent_blob_data(meas_loc_site, meas_loc_id, gmt_event, mebt_db_site, mebt_db_id, meb_type_code)
go

ALTER TABLE blob_grid_data ADD CONSTRAINT FK__blob_grid_data__1837881B 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE blob_grid_data ADD CONSTRAINT FK__blob_grid_data__192BAC54 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: change_patt_type 
 */

ALTER TABLE change_patt_type ADD CONSTRAINT FK__change_pa__rstat__0559BDD1 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE change_patt_type ADD CONSTRAINT FK__change_patt_type__064DE20A 
    FOREIGN KEY (ch_patt_db_site, ch_patt_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE change_patt_type ADD CONSTRAINT FK__change_patt_type__07420643 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: data_qual_type 
 */

ALTER TABLE data_qual_type ADD CONSTRAINT FK__data_qual__rstat__7D2E8C24 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE data_qual_type ADD CONSTRAINT FK__data_qual_type__7E22B05D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: data_source_type 
 */

ALTER TABLE data_source_type ADD CONSTRAINT FK__data_sour__rstat__55209ACA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE data_source_type ADD CONSTRAINT FK__data_source_type__5614BF03 
    FOREIGN KEY (ds_db_site, ds_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE data_source_type ADD CONSTRAINT FK__data_source_type__5708E33C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: data_source 
 */

ALTER TABLE data_source ADD CONSTRAINT FK__data_sour__rstat__74994623 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE data_source ADD CONSTRAINT FK__data_source__758D6A5C 
    FOREIGN KEY (ds_db_site, ds_db_id, ds_type_code)
    REFERENCES data_source_type(ds_db_site, ds_db_id, ds_type_code)
go

ALTER TABLE data_source ADD CONSTRAINT FK__data_source__76818E95 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: db_mim_interface 
 */

ALTER TABLE db_mim_interface ADD CONSTRAINT FK__db_mim_in__inter__546C6DB3 
    FOREIGN KEY (interf_type_code)
    REFERENCES mim_interface_type(interf_type_code)
go

ALTER TABLE db_mim_interface ADD CONSTRAINT FK__db_mim_in__rstat__556091EC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE db_mim_interface ADD CONSTRAINT FK__db_mim_interface__5654B625 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE db_mim_interface ADD CONSTRAINT FK__db_mim_interface__5748DA5E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: eng_unit_enum 
 */

ALTER TABLE eng_unit_enum ADD CONSTRAINT FK__eng_unit___rstat__73DA2C14 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE eng_unit_enum ADD CONSTRAINT FK__eng_unit_enum__74CE504D 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE eng_unit_enum ADD CONSTRAINT FK__eng_unit_enum__75C27486 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: eng_unit_type 
 */

ALTER TABLE eng_unit_type ADD CONSTRAINT FK__eng_unit___rstat__70099B30 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE eng_unit_type ADD CONSTRAINT FK__eng_unit___ru_ty__70FDBF69 
    FOREIGN KEY (ru_type_code)
    REFERENCES ref_unit_type(ru_type_code)
go

ALTER TABLE eng_unit_type ADD CONSTRAINT FK__eng_unit_type__71F1E3A2 
    FOREIGN KEY (eu_db_site, eu_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE eng_unit_type ADD CONSTRAINT FK__eng_unit_type__72E607DB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: enterprise_type 
 */

ALTER TABLE enterprise_type ADD CONSTRAINT FK__enterpris__rstat__4242D080 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE enterprise_type ADD CONSTRAINT FK__enterprise_type__414EAC47 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE enterprise_type ADD CONSTRAINT FK__enterprise_type__4336F4B9 
    FOREIGN KEY (ent_db_site, ent_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: enterprise 
 */

ALTER TABLE enterprise ADD CONSTRAINT FK__enterpris__rstat__46136164 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE enterprise ADD CONSTRAINT FK__enterprise__442B18F2 
    FOREIGN KEY (ent_db_site, ent_db_id, ent_type_code)
    REFERENCES enterprise_type(ent_db_site, ent_db_id, ent_type_code)
go

ALTER TABLE enterprise ADD CONSTRAINT FK__enterprise__451F3D2B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ev_chr_data_type 
 */

ALTER TABLE ev_chr_data_type ADD CONSTRAINT FK__ev_chr_da__rstat__72F0F4D3 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ev_chr_data_type ADD CONSTRAINT FK__ev_chr_data_type__7108AC61 
    FOREIGN KEY (ec_db_site, ec_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE ev_chr_data_type ADD CONSTRAINT FK__ev_chr_data_type__71FCD09A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ev_num_data_type 
 */

ALTER TABLE ev_num_data_type ADD CONSTRAINT FK__ev_num_da__rstat__705EA0EB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ev_num_data_type ADD CONSTRAINT FK__ev_num_data_type__7152C524 
    FOREIGN KEY (en_db_site, en_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE ev_num_data_type ADD CONSTRAINT FK__ev_num_data_type__7246E95D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: event_type_child 
 */

ALTER TABLE event_type_child ADD CONSTRAINT FK__event_typ__rstat__4D1564AE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE event_type_child ADD CONSTRAINT FK__event_type_child__4E0988E7 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE event_type_child ADD CONSTRAINT FK__event_type_child__4EFDAD20 
    FOREIGN KEY (child_ev_db_site, child_ev_db_id, child_ev_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE event_type_child ADD CONSTRAINT FK__event_type_child__4FF1D159 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: geo_position 
 */

ALTER TABLE geo_position ADD CONSTRAINT FK__geo_posit__rstat__32D66FBE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE geo_position ADD CONSTRAINT FK__geo_position__30EE274C 
    FOREIGN KEY (geo_db_site, geo_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE geo_position ADD CONSTRAINT FK__geo_position__31E24B85 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: gps_datum_type 
 */

ALTER TABLE gps_datum_type ADD CONSTRAINT FK__gps_datum__rstat__35B2DC69 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE gps_datum_type ADD CONSTRAINT FK__gps_datum_type__33CA93F7 
    FOREIGN KEY (datum_db_site, datum_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE gps_datum_type ADD CONSTRAINT FK__gps_datum_type__34BEB830 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: gps_elevation_type 
 */

ALTER TABLE gps_elevation_type ADD CONSTRAINT FK__gps_eleva__rstat__3B6BB5BF 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE gps_elevation_type ADD CONSTRAINT FK__gps_elevation_ty__39836D4D 
    FOREIGN KEY (elevation_db_site, elevation_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE gps_elevation_type ADD CONSTRAINT FK__gps_elevation_ty__3A779186 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: gps_location 
 */

ALTER TABLE gps_location ADD CONSTRAINT FK__gps_locat__rstat__41248F15 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE gps_location ADD CONSTRAINT FK__gps_location__3C5FD9F8 
    FOREIGN KEY (geo_db_site, geo_db_id, geo_position_id)
    REFERENCES geo_position(geo_db_site, geo_db_id, geo_position_id)
go

ALTER TABLE gps_location ADD CONSTRAINT FK__gps_location__3D53FE31 
    FOREIGN KEY (datum_db_site, datum_db_id, datum_type_code)
    REFERENCES gps_datum_type(datum_db_site, datum_db_id, datum_type_code)
go

ALTER TABLE gps_location ADD CONSTRAINT FK__gps_location__3E48226A 
    FOREIGN KEY (precision_db_site, precision_db_id, precision_type_code)
    REFERENCES gps_precision_type(precision_db_site, precision_db_id, precision_type_code)
go

ALTER TABLE gps_location ADD CONSTRAINT FK__gps_location__3F3C46A3 
    FOREIGN KEY (elevation_db_site, elevation_db_id, elevation_type_code)
    REFERENCES gps_elevation_type(elevation_db_site, elevation_db_id, elevation_type_code)
go

ALTER TABLE gps_location ADD CONSTRAINT FK__gps_location__40306ADC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: gps_precision_type 
 */

ALTER TABLE gps_precision_type ADD CONSTRAINT FK__gps_preci__rstat__388F4914 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE gps_precision_type ADD CONSTRAINT FK__gps_precision_ty__36A700A2 
    FOREIGN KEY (precision_db_site, precision_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE gps_precision_type ADD CONSTRAINT FK__gps_precision_ty__379B24DB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: health_level_type 
 */

ALTER TABLE health_level_type ADD CONSTRAINT FK__health_le__rstat__76177A41 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE health_level_type ADD CONSTRAINT FK__health_level_typ__770B9E7A 
    FOREIGN KEY (health_lev_db_site, health_lev_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE health_level_type ADD CONSTRAINT FK__health_level_typ__77FFC2B3 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: highlight_type 
 */

ALTER TABLE highlight_type ADD CONSTRAINT FK__highlight__rstat__6AA5C795 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE highlight_type ADD CONSTRAINT FK__highlight_type__6B99EBCE 
    FOREIGN KEY (high_db_site, high_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE highlight_type ADD CONSTRAINT FK__highlight_type__6C8E1007 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: log_connector_type 
 */

ALTER TABLE log_connector_type ADD CONSTRAINT FK__log_conne__rstat__70148828 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE log_connector_type ADD CONSTRAINT FK__log_connector_ty__6E2C3FB6 
    FOREIGN KEY (lc_db_site, lc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE log_connector_type ADD CONSTRAINT FK__log_connector_ty__6F2063EF 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: manufacturer 
 */

ALTER TABLE manufacturer ADD CONSTRAINT FK__manufactu__rstat__546180BB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE manufacturer ADD CONSTRAINT FK__manufacturer__5555A4F4 
    FOREIGN KEY (mf_db_site, mf_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE manufacturer ADD CONSTRAINT FK__manufacturer__5649C92D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_event_assoc 
 */

ALTER TABLE meas_event_assoc ADD CONSTRAINT FK__meas_even__rstat__08A03ED0 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_event_assoc ADD CONSTRAINT FK__meas_event_assoc__09946309 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE meas_event_assoc ADD CONSTRAINT FK__meas_event_assoc__0A888742 
    FOREIGN KEY (related_mloc_site, related_mloc_id, related_gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE meas_event_assoc ADD CONSTRAINT FK__meas_event_assoc__0B7CAB7B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_event_rem 
 */

ALTER TABLE meas_event_rem ADD CONSTRAINT FK__meas_even__rstat__0C70CFB4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_event_rem ADD CONSTRAINT FK__meas_event_rem__0D64F3ED 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE meas_event_rem ADD CONSTRAINT FK__meas_event_rem__0E591826 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_event 
 */

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_even__dqual__000AF8CF 
    FOREIGN KEY (dqual_type_code)
    REFERENCES data_qual_type(dqual_type_code)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_even__rstat__00FF1D08 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__01F34141 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__02E7657A 
    FOREIGN KEY (ds_asset_site, ds_asset_id)
    REFERENCES data_source(ds_asset_site, ds_asset_id)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__03DB89B3 
    FOREIGN KEY (tr_asset_site, tr_asset_id)
    REFERENCES transducer(tr_asset_site, tr_asset_id)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__04CFADEC 
    FOREIGN KEY (ml_db_site, ml_db_id, ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__05C3D225 
    FOREIGN KEY (mc_db_site, mc_db_id, mc_type_code)
    REFERENCES mloc_calc_type(mc_db_site, mc_db_id, mc_type_code)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__06B7F65E 
    FOREIGN KEY (dur_eu_db_site, dur_eu_db_id, dur_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__07AC1A97 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE meas_event ADD CONSTRAINT FK__meas_event__7F16D496 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go


/* 
 * TABLE: meas_loc_assoc 
 */

ALTER TABLE meas_loc_assoc ADD CONSTRAINT FK__meas_loc___rstat__677F4227 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_loc_assoc ADD CONSTRAINT FK__meas_loc_assoc__68736660 
    FOREIGN KEY (related_mloc_site, related_mloc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_loc_assoc ADD CONSTRAINT FK__meas_loc_assoc__69678A99 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_loc_assoc ADD CONSTRAINT FK__meas_loc_assoc__6A5BAED2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_loc_blob_data 
 */

ALTER TABLE meas_loc_blob_data ADD CONSTRAINT FK__meas_loc___rstat__2FFA0313 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_loc_blob_data ADD CONSTRAINT FK__meas_loc_blob_da__2C29722F 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_loc_blob_data ADD CONSTRAINT FK__meas_loc_blob_da__2D1D9668 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE meas_loc_blob_data ADD CONSTRAINT FK__meas_loc_blob_da__2E11BAA1 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE meas_loc_blob_data ADD CONSTRAINT FK__meas_loc_blob_da__2F05DEDA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_loc_chr_data 
 */

ALTER TABLE meas_loc_chr_data ADD CONSTRAINT FK__meas_loc___rstat__2B354DF6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_loc_chr_data ADD CONSTRAINT FK__meas_loc_chr_dat__2764BD12 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_loc_chr_data ADD CONSTRAINT FK__meas_loc_chr_dat__2858E14B 
    FOREIGN KEY (mlc_db_site, mlc_db_id, mlc_type_code)
    REFERENCES mloc_chr_data_type(mlc_db_site, mlc_db_id, mlc_type_code)
go

ALTER TABLE meas_loc_chr_data ADD CONSTRAINT FK__meas_loc_chr_dat__294D0584 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE meas_loc_chr_data ADD CONSTRAINT FK__meas_loc_chr_dat__2A4129BD 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_loc_list 
 */

ALTER TABLE meas_loc_list ADD CONSTRAINT FK__meas_loc___rstat__6C040022 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_loc_list ADD CONSTRAINT FK__meas_loc_list__6CF8245B 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE meas_loc_list ADD CONSTRAINT FK__meas_loc_list__6DEC4894 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_loc_list ADD CONSTRAINT FK__meas_loc_list__6EE06CCD 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_loc_num_data 
 */

ALTER TABLE meas_loc_num_data ADD CONSTRAINT FK__meas_loc___rstat__267098D9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_loc_num_data ADD CONSTRAINT FK__meas_loc_num_dat__22A007F5 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE meas_loc_num_data ADD CONSTRAINT FK__meas_loc_num_dat__23942C2E 
    FOREIGN KEY (mln_db_site, mln_db_id, mln_type_code)
    REFERENCES mloc_num_data_type(mln_db_site, mln_db_id, mln_type_code)
go

ALTER TABLE meas_loc_num_data ADD CONSTRAINT FK__meas_loc_num_dat__24885067 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE meas_loc_num_data ADD CONSTRAINT FK__meas_loc_num_dat__257C74A0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_loc_type 
 */

ALTER TABLE meas_loc_type ADD CONSTRAINT FK__meas_loc___rstat__52442E1F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_loc_type ADD CONSTRAINT FK__meas_loc_type__53385258 
    FOREIGN KEY (ml_db_site, ml_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE meas_loc_type ADD CONSTRAINT FK__meas_loc_type__542C7691 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_location 
 */

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_loca__meas___664B26CC 
    FOREIGN KEY (meas_loc_site)
    REFERENCES site(site_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_loca__rstat__5EAA0504 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__5DB5E0CB 
    FOREIGN KEY (asset_org_site, asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__5F9E293D 
    FOREIGN KEY (ds_db_site, ds_db_id, ds_type_code)
    REFERENCES data_source_type(ds_db_site, ds_db_id, ds_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__60924D76 
    FOREIGN KEY (tr_db_site, tr_db_id, tr_type_code)
    REFERENCES trans_type(tr_db_site, tr_db_id, tr_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__618671AF 
    FOREIGN KEY (ta_db_site, ta_db_id, ta_type_code)
    REFERENCES tr_axis_dir_type(ta_db_site, ta_db_id, ta_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__627A95E8 
    FOREIGN KEY (mc_db_site, mc_db_id, mc_type_code)
    REFERENCES mloc_calc_type(mc_db_site, mc_db_id, mc_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__636EBA21 
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__6462DE5A 
    FOREIGN KEY (dur_eu_db_site, dur_eu_db_id, dur_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__65570293 
    FOREIGN KEY (ml_db_site, ml_db_id, ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__673F4B05 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE meas_location ADD CONSTRAINT FK__meas_location__68336F3E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_sample_child 
 */

ALTER TABLE meas_sample_child ADD CONSTRAINT FK__meas_samp__rstat__35FCF52C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_sample_child ADD CONSTRAINT FK__meas_sample_chil__36F11965 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
    REFERENCES meas_sample(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
go

ALTER TABLE meas_sample_child ADD CONSTRAINT FK__meas_sample_chil__37E53D9E 
    FOREIGN KEY (child_mloc_site, child_mloc_id, child_gmt_event, child_sam_ord_seq)
    REFERENCES meas_sample(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
go

ALTER TABLE meas_sample_child ADD CONSTRAINT FK__meas_sample_chil__38D961D7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_sample_test 
 */

ALTER TABLE meas_sample_test ADD CONSTRAINT FK__meas_samp__rstat__46335CF5 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_sample_test ADD CONSTRAINT FK__meas_sample_test__4727812E 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
    REFERENCES meas_sample(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
go

ALTER TABLE meas_sample_test ADD CONSTRAINT FK__meas_sample_test__481BA567 
    FOREIGN KEY (stt_db_site, stt_db_id, stt_code)
    REFERENCES sample_test_type(stt_db_site, stt_db_id, stt_code)
go

ALTER TABLE meas_sample_test ADD CONSTRAINT FK__meas_sample_test__490FC9A0 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE meas_sample_test ADD CONSTRAINT FK__meas_sample_test__4A03EDD9 
    FOREIGN KEY (test_asset_site, test_asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE meas_sample_test ADD CONSTRAINT FK__meas_sample_test__4AF81212 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: meas_sample 
 */

ALTER TABLE meas_sample ADD CONSTRAINT FK__meas_samp__rstat__322C6448 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE meas_sample ADD CONSTRAINT FK__meas_sample__33208881 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE meas_sample ADD CONSTRAINT FK__meas_sample__3414ACBA 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE meas_sample ADD CONSTRAINT FK__meas_sample__3508D0F3 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mevent_blob_data 
 */

ALTER TABLE mevent_blob_data ADD CONSTRAINT FK__mevent_bl__rstat__118A8A8C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mevent_blob_data ADD CONSTRAINT FK__mevent_blob_data__127EAEC5 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE mevent_blob_data ADD CONSTRAINT FK__mevent_blob_data__1372D2FE 
    FOREIGN KEY (mebt_db_site, mebt_db_id, meb_type_code)
    REFERENCES mevent_blob_type(mebt_db_site, mebt_db_id, meb_type_code)
go

ALTER TABLE mevent_blob_data ADD CONSTRAINT FK__mevent_blob_data__1466F737 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE mevent_blob_data ADD CONSTRAINT FK__mevent_blob_data__155B1B70 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mevent_blob_type 
 */

ALTER TABLE mevent_blob_type ADD CONSTRAINT FK__mevent_bl__rstat__67C95AEA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mevent_blob_type ADD CONSTRAINT FK__mevent_blob_type__68BD7F23 
    FOREIGN KEY (mebt_db_site, mebt_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE mevent_blob_type ADD CONSTRAINT FK__mevent_blob_type__69B1A35C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mevent_chr_data 
 */

ALTER TABLE mevent_chr_data ADD CONSTRAINT FK__mevent_ch__rstat__150615B5 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mevent_chr_data ADD CONSTRAINT FK__mevent_chr_data__131DCD43 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE mevent_chr_data ADD CONSTRAINT FK__mevent_chr_data__1411F17C 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE mevent_chr_data ADD CONSTRAINT FK__mevent_chr_data__15FA39EE 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mevent_num_alarm 
 */

ALTER TABLE mevent_num_alarm ADD CONSTRAINT FK__mevent_nu__rstat__2DD1C37F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mevent_num_alarm ADD CONSTRAINT FK__mevent_num_alarm__2EC5E7B8 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE mevent_num_alarm ADD CONSTRAINT FK__mevent_num_alarm__2FBA0BF1 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code)
    REFERENCES mevent_num_data(meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE mevent_num_alarm ADD CONSTRAINT FK__mevent_num_alarm__30AE302A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mevent_num_data 
 */

ALTER TABLE mevent_num_data ADD CONSTRAINT FK__mevent_nu__rstat__0F4D3C5F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mevent_num_data ADD CONSTRAINT FK__mevent_num_data__10416098 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE mevent_num_data ADD CONSTRAINT FK__mevent_num_data__113584D1 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE mevent_num_data ADD CONSTRAINT FK__mevent_num_data__1229A90A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mim_access_type 
 */

ALTER TABLE mim_access_type ADD CONSTRAINT FK__mim_acces__rstat__41A3B202 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mim_access_type ADD CONSTRAINT FK__mim_access_type__4297D63B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mim_data_cat_type 
 */

ALTER TABLE mim_data_cat_type ADD CONSTRAINT FK__mim_data___rstat__3DD3211E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mim_data_cat_type ADD CONSTRAINT FK__mim_data_cat_typ__3EC74557 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mim_func_type 
 */

ALTER TABLE mim_func_type ADD CONSTRAINT FK__mim_func___rstat__3FBB6990 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mim_func_type ADD CONSTRAINT FK__mim_func_type__40AF8DC9 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mim_interface_type 
 */

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_inter__acc_t__4850AF91 
    FOREIGN KEY (acc_type_code)
    REFERENCES mim_access_type(acc_type_code)
go

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_inter__dcat___438BFA74 
    FOREIGN KEY (dcat_type_code)
    REFERENCES mim_data_cat_type(dcat_type_code)
go

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_inter__func___44801EAD 
    FOREIGN KEY (func_type_code)
    REFERENCES mim_func_type(func_type_code)
go

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_inter__rstat__457442E6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_inter__supp___4668671F 
    FOREIGN KEY (supp_type_code)
    REFERENCES mim_support_type(supp_type_code)
go

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_inter__tech___475C8B58 
    FOREIGN KEY (tech_type_code)
    REFERENCES mim_tech_type(tech_type_code)
go

ALTER TABLE mim_interface_type ADD CONSTRAINT FK__mim_interface_ty__4944D3CA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mim_support_type 
 */

ALTER TABLE mim_support_type ADD CONSTRAINT FK__mim_suppo__rstat__3BEAD8AC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mim_support_type ADD CONSTRAINT FK__mim_support_type__3CDEFCE5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mim_tech_type 
 */

ALTER TABLE mim_tech_type ADD CONSTRAINT FK__mim_tech___rstat__3A02903A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mim_tech_type ADD CONSTRAINT FK__mim_tech_type__3AF6B473 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_calc_type 
 */

ALTER TABLE mloc_calc_type ADD CONSTRAINT FK__mloc_calc__rstat__6774552F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_calc_type ADD CONSTRAINT FK__mloc_calc_type__68687968 
    FOREIGN KEY (mc_db_site, mc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE mloc_calc_type ADD CONSTRAINT FK__mloc_calc_type__695C9DA1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_chr_data_type 
 */

ALTER TABLE mloc_chr_data_type ADD CONSTRAINT FK__mloc_chr___rstat__78A9CE29 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_chr_data_type ADD CONSTRAINT FK__mloc_chr_data_ty__76C185B7 
    FOREIGN KEY (mlc_db_site, mlc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE mloc_chr_data_type ADD CONSTRAINT FK__mloc_chr_data_ty__77B5A9F0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_num_data_type 
 */

ALTER TABLE mloc_num_data_type ADD CONSTRAINT FK__mloc_num___rstat__75CD617E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_num_data_type ADD CONSTRAINT FK__mloc_num_data_ty__73E5190C 
    FOREIGN KEY (mln_db_site, mln_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE mloc_num_data_type ADD CONSTRAINT FK__mloc_num_data_ty__74D93D45 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_test_alrm_rg 
 */

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test__rstat__28A2FA0E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__29971E47 
    FOREIGN KEY (alarm_db_site, alarm_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__2A8B4280 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__2B7F66B9 
    FOREIGN KEY (stt_db_site, stt_db_id, stt_code)
    REFERENCES sample_test_type(stt_db_site, stt_db_id, stt_code)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__2C738AF2 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__2D67AF2B 
    FOREIGN KEY (strn_db_site, strn_db_id, str_num_type_code)
    REFERENCES test_result_ntype(strn_db_site, strn_db_id, str_num_type_code)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__2E5BD364 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__2F4FF79D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__30441BD6 
    FOREIGN KEY (ml_db_site, ml_db_id, ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE mloc_test_alrm_rg ADD CONSTRAINT FK__mloc_test_alrm_r__3138400F 
    FOREIGN KEY (mc_db_site, mc_db_id, mc_type_code)
    REFERENCES mloc_calc_type(mc_db_site, mc_db_id, mc_type_code)
go


/* 
 * TABLE: mloc_type_child 
 */

ALTER TABLE mloc_type_child ADD CONSTRAINT FK__mloc_type__rstat__583CFE97 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_type_child ADD CONSTRAINT FK__mloc_type_child__593122D0 
    FOREIGN KEY (child_ml_db_site, child_ml_db_id, child_ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE mloc_type_child ADD CONSTRAINT FK__mloc_type_child__5A254709 
    FOREIGN KEY (ml_db_site, ml_db_id, ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE mloc_type_child ADD CONSTRAINT FK__mloc_type_child__5B196B42 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_ulist_sp_ampl 
 */

ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT FK__mloc_ulis__rstat__2AC04CAA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT FK__mloc_ulist_sp_am__2BB470E3 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
    REFERENCES mloc_unit_list(ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
go

ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT FK__mloc_ulist_sp_am__2CA8951C 
    FOREIGN KEY (spa_setup_db_site, spa_setup_db_id, spa_setup_id)
    REFERENCES sp_ampl_setup(spa_setup_db_site, spa_setup_db_id, spa_setup_id)
go

ALTER TABLE mloc_ulist_sp_ampl ADD CONSTRAINT FK__mloc_ulist_sp_am__2D9CB955 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_ulist_sp_cpb 
 */

ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT FK__mloc_ulis__rstat__3631FF56 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT FK__mloc_ulist_sp_cp__3726238F 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
    REFERENCES mloc_unit_list(ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
go

ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT FK__mloc_ulist_sp_cp__381A47C8 
    FOREIGN KEY (spc_setup_db_site, spc_setup_db_id, spc_setup_id)
    REFERENCES sp_cpb_setup(spc_setup_db_site, spc_setup_db_id, spc_setup_id)
go

ALTER TABLE mloc_ulist_sp_cpb ADD CONSTRAINT FK__mloc_ulist_sp_cp__390E6C01 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_ulist_sp_fft 
 */

ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT FK__mloc_ulis__rstat__2E90DD8E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT FK__mloc_ulist_sp_ff__2F8501C7 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
    REFERENCES mloc_unit_list(ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
go

ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT FK__mloc_ulist_sp_ff__30792600 
    FOREIGN KEY (spf_setup_db_site, spf_setup_db_id, spf_setup_id)
    REFERENCES sp_fft_setup(spf_setup_db_site, spf_setup_db_id, spf_setup_id)
go

ALTER TABLE mloc_ulist_sp_fft ADD CONSTRAINT FK__mloc_ulist_sp_ff__316D4A39 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_ulist_sp_time 
 */

ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT FK__mloc_ulis__rstat__32616E72 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT FK__mloc_ulist_sp_ti__335592AB 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
    REFERENCES mloc_unit_list(ord_list_db_site, ord_list_db_id, ord_list_id, ordering_seq, channel_number)
go

ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT FK__mloc_ulist_sp_ti__3449B6E4 
    FOREIGN KEY (spt_setup_db_site, spt_setup_db_id, spt_setup_id)
    REFERENCES sp_time_setup(spt_setup_db_site, spt_setup_db_id, spt_setup_id)
go

ALTER TABLE mloc_ulist_sp_time ADD CONSTRAINT FK__mloc_ulist_sp_ti__353DDB1D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: mloc_unit_list 
 */

ALTER TABLE mloc_unit_list ADD CONSTRAINT FK__mloc_unit__rstat__6FD49106 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE mloc_unit_list ADD CONSTRAINT FK__mloc_unit_list__70C8B53F 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE mloc_unit_list ADD CONSTRAINT FK__mloc_unit_list__71BCD978 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE mloc_unit_list ADD CONSTRAINT FK__mloc_unit_list__72B0FDB1 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE mloc_unit_list ADD CONSTRAINT FK__mloc_unit_list__73A521EA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_blob_data 
 */

ALTER TABLE model_blob_data ADD CONSTRAINT FK__model_blo__rstat__7AA72534 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_blob_data ADD CONSTRAINT FK__model_blob_data__7B9B496D 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE model_blob_data ADD CONSTRAINT FK__model_blob_data__7C8F6DA6 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_blob_data ADD CONSTRAINT FK__model_blob_data__7D8391DF 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE model_blob_data ADD CONSTRAINT FK__model_blob_data__7E77B618 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE model_blob_data ADD CONSTRAINT FK__model_blob_data__7F6BDA51 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_child 
 */

ALTER TABLE model_child ADD CONSTRAINT FK__model_chi__rstat__19FFD4FC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_child ADD CONSTRAINT FK__model_child__1AF3F935 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_child ADD CONSTRAINT FK__model_child__1BE81D6E 
    FOREIGN KEY (child_model_db_site, child_model_db_id, child_model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_child ADD CONSTRAINT FK__model_child__1CDC41A7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_chr_data 
 */

ALTER TABLE model_chr_data ADD CONSTRAINT FK__model_chr__rstat__2A363CC5 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_chr_data ADD CONSTRAINT FK__model_chr_data__2B2A60FE 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_chr_data ADD CONSTRAINT FK__model_chr_data__2C1E8537 
    FOREIGN KEY (ac_db_site, ac_db_id, ac_type_code)
    REFERENCES as_chr_dat_type(ac_db_site, ac_db_id, ac_type_code)
go

ALTER TABLE model_chr_data ADD CONSTRAINT FK__model_chr_data__2D12A970 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE model_chr_data ADD CONSTRAINT FK__model_chr_data__2E06CDA9 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_function 
 */

ALTER TABLE model_function ADD CONSTRAINT FK__model_fun__rstat__37B03374 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_function ADD CONSTRAINT FK__model_function__38A457AD 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE model_function ADD CONSTRAINT FK__model_function__39987BE6 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_function ADD CONSTRAINT FK__model_function__3A8CA01F 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE model_function ADD CONSTRAINT FK__model_function__3B80C458 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_hyp_ev_func 
 */

ALTER TABLE model_hyp_ev_func ADD CONSTRAINT FK__model_hyp__rstat__40106F4B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_hyp_ev_func ADD CONSTRAINT FK__model_hyp_ev_fun__41049384 
    FOREIGN KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
    REFERENCES model_hyp_event(mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
go

ALTER TABLE model_hyp_ev_func ADD CONSTRAINT FK__model_hyp_ev_fun__41F8B7BD 
    FOREIGN KEY (db_site, db_id, model_db_site, model_db_id, model_id, ordering_seq)
    REFERENCES model_function(db_site, db_id, model_db_site, model_db_id, model_id, ordering_seq)
go

ALTER TABLE model_hyp_ev_func ADD CONSTRAINT FK__model_hyp_ev_fun__42ECDBF6 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE model_hyp_ev_func ADD CONSTRAINT FK__model_hyp_ev_fun__43E1002F 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_hyp_ev_link 
 */

ALTER TABLE model_hyp_ev_link ADD CONSTRAINT FK__model_hyp__rstat__11558062 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_hyp_ev_link ADD CONSTRAINT FK__model_hyp_ev_lin__1249A49B 
    FOREIGN KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
    REFERENCES model_hyp_event(mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
go

ALTER TABLE model_hyp_ev_link ADD CONSTRAINT FK__model_hyp_ev_lin__133DC8D4 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES model_hyp_event(mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
go

ALTER TABLE model_hyp_ev_link ADD CONSTRAINT FK__model_hyp_ev_lin__1431ED0D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_hyp_ev_num_data 
 */

ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT FK__model_hyp__rstat__2838E5BA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT FK__model_hyp_ev_num__292D09F3 
    FOREIGN KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
    REFERENCES model_hyp_event(mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
go

ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT FK__model_hyp_ev_num__2A212E2C 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT FK__model_hyp_ev_num__2B155265 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE model_hyp_ev_num_data ADD CONSTRAINT FK__model_hyp_ev_num__2C09769E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_hyp_event 
 */

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp__rstat__7B663F43 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp_event__002AF460 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp_event__011F1899 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp_event__7C5A637C 
    FOREIGN KEY (mod_hyp_db_site, mod_hyp_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp_event__7D4E87B5 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp_event__7E42ABEE 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE model_hyp_event ADD CONSTRAINT FK__model_hyp_event__7F36D027 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go


/* 
 * TABLE: model_num_data 
 */

ALTER TABLE model_num_data ADD CONSTRAINT FK__model_num__rstat__257187A8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_num_data ADD CONSTRAINT FK__model_num_data__2665ABE1 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_num_data ADD CONSTRAINT FK__model_num_data__2759D01A 
    FOREIGN KEY (an_db_site, an_db_id, an_type_code)
    REFERENCES as_num_dat_type(an_db_site, an_db_id, an_type_code)
go

ALTER TABLE model_num_data ADD CONSTRAINT FK__model_num_data__284DF453 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE model_num_data ADD CONSTRAINT FK__model_num_data__2942188C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_rec_blob 
 */

ALTER TABLE model_rec_blob ADD CONSTRAINT FK__model_rec__rstat__7A0806B6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_rec_blob ADD CONSTRAINT FK__model_rec_blob__7AFC2AEF 
    FOREIGN KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES model_recomm(model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE model_rec_blob ADD CONSTRAINT FK__model_rec_blob__7BF04F28 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE model_rec_blob ADD CONSTRAINT FK__model_rec_blob__7CE47361 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_rec_hyp_ev 
 */

ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT FK__model_rec__rstat__1C5D1EBA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT FK__model_rec_hyp_ev__1D5142F3 
    FOREIGN KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES model_recomm(model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT FK__model_rec_hyp_ev__1E45672C 
    FOREIGN KEY (mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
    REFERENCES model_hyp_event(mod_hyp_db_site, mod_hyp_db_id, mod_hyp_event_id)
go

ALTER TABLE model_rec_hyp_ev ADD CONSTRAINT FK__model_rec_hyp_ev__1F398B65 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_rec_remark 
 */

ALTER TABLE model_rec_remark ADD CONSTRAINT FK__model_rec__rstat__67E9567B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_rec_remark ADD CONSTRAINT FK__model_rec_remark__68DD7AB4 
    FOREIGN KEY (model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES model_recomm(model_db_site, model_db_id, model_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE model_rec_remark ADD CONSTRAINT FK__model_rec_remark__69D19EED 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model_recomm 
 */

ALTER TABLE model_recomm ADD CONSTRAINT FK__model_rec__rstat__54D68207 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE model_recomm ADD CONSTRAINT FK__model_recomm__55CAA640 
    FOREIGN KEY (model_db_site, model_db_id, model_id)
    REFERENCES model(model_db_site, model_db_id, model_id)
go

ALTER TABLE model_recomm ADD CONSTRAINT FK__model_recomm__56BECA79 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE model_recomm ADD CONSTRAINT FK__model_recomm__57B2EEB2 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE model_recomm ADD CONSTRAINT FK__model_recomm__58A712EB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: model 
 */

ALTER TABLE model ADD CONSTRAINT FK__model__153B1FDF 
    FOREIGN KEY (mf_db_site, mf_db_id, manuf_code)
    REFERENCES manufacturer(mf_db_site, mf_db_id, manuf_code)
go

ALTER TABLE model ADD CONSTRAINT FK__model__162F4418 
    FOREIGN KEY (as_db_site, as_db_id, as_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE model ADD CONSTRAINT FK__model__17236851 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE model ADD CONSTRAINT FK__model__190BB0C3 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE model ADD CONSTRAINT FK__model__rstat_typ__18178C8A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: network_type 
 */

ALTER TABLE network_type ADD CONSTRAINT FK__network_t__rstat__4A38F803 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE network_type ADD CONSTRAINT FK__network_type__4B2D1C3C 
    FOREIGN KEY (nt_db_site, nt_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE network_type ADD CONSTRAINT FK__network_type__4C214075 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: network 
 */

ALTER TABLE network ADD CONSTRAINT FK__network__13A7DD28 
    FOREIGN KEY (network_db_site, network_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE network ADD CONSTRAINT FK__network__149C0161 
    FOREIGN KEY (nt_db_site, nt_db_id, nt_type_code)
    REFERENCES network_type(nt_db_site, nt_db_id, nt_type_code)
go

ALTER TABLE network ADD CONSTRAINT FK__network__1590259A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE network ADD CONSTRAINT FK__network__rstat_t__168449D3 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: num_al_assoc_reg 
 */

ALTER TABLE num_al_assoc_reg ADD CONSTRAINT FK__num_al_as__rstat__31A25463 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE num_al_assoc_reg ADD CONSTRAINT FK__num_al_assoc_reg__3296789C 
    FOREIGN KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
    REFERENCES num_alarm_reg(alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
go

ALTER TABLE num_al_assoc_reg ADD CONSTRAINT FK__num_al_assoc_reg__338A9CD5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE num_al_assoc_reg ADD CONSTRAINT FK__num_al_assoc_reg__347EC10E 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code, al_db_site, al_db_id, al_type_code)
    REFERENCES mevent_num_alarm(meas_loc_site, meas_loc_id, gmt_event, eu_db_site, eu_db_id, eu_type_code, al_db_site, al_db_id, al_type_code)
go


/* 
 * TABLE: num_al_reg_blob_data 
 */

ALTER TABLE num_al_reg_blob_data ADD CONSTRAINT FK__num_al_re__rstat__21ABE3BC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE num_al_reg_blob_data ADD CONSTRAINT FK__num_al_reg_blob___1DDB52D8 
    FOREIGN KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
    REFERENCES num_alarm_reg(alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
go

ALTER TABLE num_al_reg_blob_data ADD CONSTRAINT FK__num_al_reg_blob___1ECF7711 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE num_al_reg_blob_data ADD CONSTRAINT FK__num_al_reg_blob___1FC39B4A 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE num_al_reg_blob_data ADD CONSTRAINT FK__num_al_reg_blob___20B7BF83 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: num_al_reg_chr_data 
 */

ALTER TABLE num_al_reg_chr_data ADD CONSTRAINT FK__num_al_re__rstat__1CE72E9F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE num_al_reg_chr_data ADD CONSTRAINT FK__num_al_reg_chr_d__19169DBB 
    FOREIGN KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
    REFERENCES num_alarm_reg(alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
go

ALTER TABLE num_al_reg_chr_data ADD CONSTRAINT FK__num_al_reg_chr_d__1A0AC1F4 
    FOREIGN KEY (ec_db_site, ec_db_id, ec_type_code)
    REFERENCES ev_chr_data_type(ec_db_site, ec_db_id, ec_type_code)
go

ALTER TABLE num_al_reg_chr_data ADD CONSTRAINT FK__num_al_reg_chr_d__1AFEE62D 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE num_al_reg_chr_data ADD CONSTRAINT FK__num_al_reg_chr_d__1BF30A66 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: num_al_reg_num_data 
 */

ALTER TABLE num_al_reg_num_data ADD CONSTRAINT FK__num_al_re__rstat__18227982 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE num_al_reg_num_data ADD CONSTRAINT FK__num_al_reg_num_d__1451E89E 
    FOREIGN KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
    REFERENCES num_alarm_reg(alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
go

ALTER TABLE num_al_reg_num_data ADD CONSTRAINT FK__num_al_reg_num_d__15460CD7 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE num_al_reg_num_data ADD CONSTRAINT FK__num_al_reg_num_d__163A3110 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE num_al_reg_num_data ADD CONSTRAINT FK__num_al_reg_num_d__172E5549 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: num_alarm_reg 
 */

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm__rstat__1ABEEF0B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm_reg__1BB31344 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm_reg__1CA7377D 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm_reg__1D9B5BB6 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm_reg__1E8F7FEF 
    FOREIGN KEY (ml_db_site, ml_db_id, ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm_reg__1F83A428 
    FOREIGN KEY (mc_db_site, mc_db_id, mc_type_code)
    REFERENCES mloc_calc_type(mc_db_site, mc_db_id, mc_type_code)
go

ALTER TABLE num_alarm_reg ADD CONSTRAINT FK__num_alarm_reg__2077C861 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ol_completed_work 
 */

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_comple__rstat__4CCB4BEB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__4DBF7024 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__4EB3945D 
    FOREIGN KEY (task_db_site, task_type_code, task_db_id)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__4FA7B896 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__509BDCCF 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__51900108 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__52842541 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE ol_completed_work ADD CONSTRAINT FK__ol_completed_wor__5378497A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ol_rec_remark 
 */

ALTER TABLE ol_rec_remark ADD CONSTRAINT FK__ol_rec_re__rstat__5F54107A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ol_rec_remark ADD CONSTRAINT FK__ol_rec_remark__604834B3 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES ol_recommendation(ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE ol_rec_remark ADD CONSTRAINT FK__ol_rec_remark__613C58EC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ol_recommendation 
 */

ALTER TABLE ol_recommendation ADD CONSTRAINT FK__ol_recomm__rstat__468862B0 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ol_recommendation ADD CONSTRAINT FK__ol_recommendatio__477C86E9 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE ol_recommendation ADD CONSTRAINT FK__ol_recommendatio__4870AB22 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE ol_recommendation ADD CONSTRAINT FK__ol_recommendatio__4964CF5B 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE ol_recommendation ADD CONSTRAINT FK__ol_recommendatio__4A58F394 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ol_req_for_work 
 */

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_fo__rstat__5B4E756C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__5A5A5133 
    FOREIGN KEY (req_db_site, req_db_id, request_id)
    REFERENCES request(req_db_site, req_db_id, request_id)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__5C4299A5 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__5D36BDDE 
    FOREIGN KEY (wm_type_db_site, wm_type_db_id, wm_type_code)
    REFERENCES work_manage_type(wm_type_db_site, wm_type_db_id, wm_type_code)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__5E2AE217 
    FOREIGN KEY (task_db_site, task_db_id, task_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__5F1F0650 
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__60132A89 
    FOREIGN KEY (to_agent_site, to_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__61074EC2 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__61FB72FB 
    FOREIGN KEY (rec_ord_db_site, rec_ord_db_id, rec_ord_list_id, rec_gmt_recomm, rec_by_agent_site, rec_by_agent_id)
    REFERENCES ol_recommendation(ord_list_db_site, ord_list_db_id, ord_list_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__62EF9734 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE ol_req_for_work ADD CONSTRAINT FK__ol_req_for_work__63E3BB6D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ol_sol_pack 
 */

ALTER TABLE ol_sol_pack ADD CONSTRAINT FK__ol_sol_pa__rstat__668B1DEE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ol_sol_pack ADD CONSTRAINT FK__ol_sol_pack__63AEB143 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE ol_sol_pack ADD CONSTRAINT FK__ol_sol_pack__64A2D57C 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE ol_sol_pack ADD CONSTRAINT FK__ol_sol_pack__6596F9B5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: olist_blob_data 
 */

ALTER TABLE olist_blob_data ADD CONSTRAINT FK__olist_blo__rstat__0BD1B136 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE olist_blob_data ADD CONSTRAINT FK__olist_blob_data__0CC5D56F 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE olist_blob_data ADD CONSTRAINT FK__olist_blob_data__0DB9F9A8 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id, ord_list_id)
    REFERENCES ordered_list(ord_list_db_site, ord_list_db_id, ord_list_id)
go

ALTER TABLE olist_blob_data ADD CONSTRAINT FK__olist_blob_data__0EAE1DE1 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE olist_blob_data ADD CONSTRAINT FK__olist_blob_data__0FA2421A 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE olist_blob_data ADD CONSTRAINT FK__olist_blob_data__10966653 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ordered_list 
 */

ALTER TABLE ordered_list ADD CONSTRAINT FK__ordered_l__rstat__69279377 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ordered_list ADD CONSTRAINT FK__ordered_list__6A1BB7B0 
    FOREIGN KEY (ord_list_db_site, ord_list_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE ordered_list ADD CONSTRAINT FK__ordered_list__6B0FDBE9 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: post_scaling_type 
 */

ALTER TABLE post_scaling_type ADD CONSTRAINT FK__post_scal__rstat__2AF556D4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE post_scaling_type ADD CONSTRAINT FK__post_scaling_typ__2BE97B0D 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE post_scaling_type ADD CONSTRAINT FK__post_scaling_typ__2CDD9F46 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: priority_level_type 
 */

ALTER TABLE priority_level_type ADD CONSTRAINT FK__priority___rstat__78F3E6EC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE priority_level_type ADD CONSTRAINT FK__priority_level_t__79E80B25 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE priority_level_type ADD CONSTRAINT FK__priority_level_t__7ADC2F5E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: purchase_cond_type 
 */

ALTER TABLE purchase_cond_type ADD CONSTRAINT FK__purchase___rstat__61BB7BD9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE purchase_cond_type ADD CONSTRAINT FK__purchase_cond_ty__62AFA012 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE purchase_cond_type ADD CONSTRAINT FK__purchase_cond_ty__63A3C44B 
    FOREIGN KEY (pc_db_site, pc_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: ref_unit_type 
 */

ALTER TABLE ref_unit_type ADD CONSTRAINT FK__ref_unit___rstat__6E2152BE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE ref_unit_type ADD CONSTRAINT FK__ref_unit_type__6F1576F7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: request 
 */

ALTER TABLE request ADD CONSTRAINT FK__request__3DBE1285 
    FOREIGN KEY (req_db_site, req_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE request ADD CONSTRAINT FK__request__3EB236BE 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE request ADD CONSTRAINT FK__request__3FA65AF7 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE request ADD CONSTRAINT FK__request__409A7F30 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE request ADD CONSTRAINT FK__request__418EA369 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE request ADD CONSTRAINT FK__request__rstat_t__4282C7A2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: sample_cdata_type 
 */

ALTER TABLE sample_cdata_type ADD CONSTRAINT FK__sample_cd__rstat__569ECEE8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sample_cdata_type ADD CONSTRAINT FK__sample_cdata_typ__5792F321 
    FOREIGN KEY (schr_db_site, schr_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sample_cdata_type ADD CONSTRAINT FK__sample_cdata_typ__5887175A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sample_chr_data 
 */

ALTER TABLE sample_chr_data ADD CONSTRAINT FK__sample_ch__rstat__3E923B2D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sample_chr_data ADD CONSTRAINT FK__sample_chr_data__3F865F66 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
    REFERENCES meas_sample(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
go

ALTER TABLE sample_chr_data ADD CONSTRAINT FK__sample_chr_data__407A839F 
    FOREIGN KEY (schr_db_site, schr_db_id, schr_type_code)
    REFERENCES sample_cdata_type(schr_db_site, schr_db_id, schr_type_code)
go

ALTER TABLE sample_chr_data ADD CONSTRAINT FK__sample_chr_data__416EA7D8 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sample_chr_data ADD CONSTRAINT FK__sample_chr_data__4262CC11 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sample_ndata_type 
 */

ALTER TABLE sample_ndata_type ADD CONSTRAINT FK__sample_nd__rstat__53C2623D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sample_ndata_type ADD CONSTRAINT FK__sample_ndata_typ__54B68676 
    FOREIGN KEY (snum_db_site, snum_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sample_ndata_type ADD CONSTRAINT FK__sample_ndata_typ__55AAAAAF 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sample_num_data 
 */

ALTER TABLE sample_num_data ADD CONSTRAINT FK__sample_nu__rstat__39CD8610 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sample_num_data ADD CONSTRAINT FK__sample_num_data__3AC1AA49 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
    REFERENCES meas_sample(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
go

ALTER TABLE sample_num_data ADD CONSTRAINT FK__sample_num_data__3BB5CE82 
    FOREIGN KEY (snum_db_site, snum_db_id, snum_type_code)
    REFERENCES sample_ndata_type(snum_db_site, snum_db_id, snum_type_code)
go

ALTER TABLE sample_num_data ADD CONSTRAINT FK__sample_num_data__3CA9F2BB 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sample_num_data ADD CONSTRAINT FK__sample_num_data__3D9E16F4 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sample_remark 
 */

ALTER TABLE sample_remark ADD CONSTRAINT FK__sample_re__rstat__4356F04A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sample_remark ADD CONSTRAINT FK__sample_remark__444B1483 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
    REFERENCES meas_sample(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq)
go

ALTER TABLE sample_remark ADD CONSTRAINT FK__sample_remark__453F38BC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sample_test_type 
 */

ALTER TABLE sample_test_type ADD CONSTRAINT FK__sample_te__rstat__50E5F592 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sample_test_type ADD CONSTRAINT FK__sample_test_type__51DA19CB 
    FOREIGN KEY (stt_db_site, stt_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sample_test_type ADD CONSTRAINT FK__sample_test_type__52CE3E04 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_blob_data 
 */

ALTER TABLE segment_blob_data ADD CONSTRAINT FK__segment_b__rstat__74EE4BDE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_blob_data ADD CONSTRAINT FK__segment_blob_dat__75E27017 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_blob_data ADD CONSTRAINT FK__segment_blob_dat__76D69450 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE segment_blob_data ADD CONSTRAINT FK__segment_blob_dat__77CAB889 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE segment_blob_data ADD CONSTRAINT FK__segment_blob_dat__78BEDCC2 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE segment_blob_data ADD CONSTRAINT FK__segment_blob_dat__79B300FB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_child 
 */

ALTER TABLE segment_child ADD CONSTRAINT FK__segment_c__rstat__6A50C1DA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_child ADD CONSTRAINT FK__segment_child__6B44E613 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_child ADD CONSTRAINT FK__segment_child__6C390A4C 
    FOREIGN KEY (child_sg_site, child_sg_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_child ADD CONSTRAINT FK__segment_child__6D2D2E85 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_chr_data 
 */

ALTER TABLE segment_chr_data ADD CONSTRAINT FK__segment_c__rstat__031C6FA4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_chr_data ADD CONSTRAINT FK__segment_chr_data__041093DD 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_chr_data ADD CONSTRAINT FK__segment_chr_data__0504B816 
    FOREIGN KEY (sc_db_site, sc_db_id, sc_type_code)
    REFERENCES sg_chr_dat_type(sc_db_site, sc_db_id, sc_type_code)
go

ALTER TABLE segment_chr_data ADD CONSTRAINT FK__segment_chr_data__05F8DC4F 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE segment_chr_data ADD CONSTRAINT FK__segment_chr_data__06ED0088 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_event_link 
 */

ALTER TABLE segment_event_link ADD CONSTRAINT FK__segment_e__rstat__5911273F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_event_link ADD CONSTRAINT FK__segment_event_li__5A054B78 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE segment_event_link ADD CONSTRAINT FK__segment_event_li__5AF96FB1 
    FOREIGN KEY (caused_sg_site, caused_sg_id, caused_ev_db_site, caused_ev_db_id, caused_ev_code, caused_gmt)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE segment_event_link ADD CONSTRAINT FK__segment_event_li__5BED93EA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_event 
 */

ALTER TABLE segment_event ADD CONSTRAINT FK__segment_e__rstat__0ABD916C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_event ADD CONSTRAINT FK__segment_event__0BB1B5A5 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_event ADD CONSTRAINT FK__segment_event__0CA5D9DE 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE segment_event ADD CONSTRAINT FK__segment_event__0D99FE17 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_function 
 */

ALTER TABLE segment_function ADD CONSTRAINT FK__segment_f__rstat__249D5F00 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_function ADD CONSTRAINT FK__segment_function__25918339 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE segment_function ADD CONSTRAINT FK__segment_function__2685A772 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_function ADD CONSTRAINT FK__segment_function__2779CBAB 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE segment_function ADD CONSTRAINT FK__segment_function__286DEFE4 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_geo_position 
 */

ALTER TABLE segment_geo_position ADD CONSTRAINT FK__segment_g__rstat__44F51FF9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_geo_position ADD CONSTRAINT FK__segment_geo_posi__4218B34E 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_geo_position ADD CONSTRAINT FK__segment_geo_posi__430CD787 
    FOREIGN KEY (geo_db_site, geo_db_id, geo_position_id)
    REFERENCES geo_position(geo_db_site, geo_db_id, geo_position_id)
go

ALTER TABLE segment_geo_position ADD CONSTRAINT FK__segment_geo_posi__4400FBC0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE segment_geo_position ADD CONSTRAINT FK__segment_geo_posi__45E94432 
    FOREIGN KEY (dur_eu_db_site, dur_eu_db_id, dur_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go


/* 
 * TABLE: segment_health 
 */

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_h__aud_q__0F382DC6 
    FOREIGN KEY (aud_quality_code)
    REFERENCES data_qual_type(dqual_type_code)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_h__rstat__102C51FF 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_health__11207638 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_health__12149A71 
    FOREIGN KEY (health_lev_db_site, health_lev_db_id, health_lev_type_code)
    REFERENCES health_level_type(health_lev_db_site, health_lev_db_id, health_lev_type_code)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_health__1308BEAA 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_health__13FCE2E3 
    FOREIGN KEY (ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
    REFERENCES change_patt_type(ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_health__14F1071C 
    FOREIGN KEY (aud_by_org_asite, aud_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE segment_health ADD CONSTRAINT FK__segment_health__15E52B55 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_num_data 
 */

ALTER TABLE segment_num_data ADD CONSTRAINT FK__segment_n__rstat__7E57BA87 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_num_data ADD CONSTRAINT FK__segment_num_data__004002F9 
    FOREIGN KEY (sn_db_site, sn_type_code, sn_db_id)
    REFERENCES sg_num_dat_type(sn_db_site, sn_db_id, sn_type_code)
go

ALTER TABLE segment_num_data ADD CONSTRAINT FK__segment_num_data__01342732 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE segment_num_data ADD CONSTRAINT FK__segment_num_data__02284B6B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE segment_num_data ADD CONSTRAINT FK__segment_num_data__7F4BDEC0 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go


/* 
 * TABLE: segment_type_child 
 */

ALTER TABLE segment_type_child ADD CONSTRAINT FK__segment_t__rstat__5A1A5A11 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_type_child ADD CONSTRAINT FK__segment_type_chi__5B0E7E4A 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE segment_type_child ADD CONSTRAINT FK__segment_type_chi__5C02A283 
    FOREIGN KEY (child_sg_db_site, child_sg_db_id, child_sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE segment_type_child ADD CONSTRAINT FK__segment_type_chi__5CF6C6BC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment_type 
 */

ALTER TABLE segment_type ADD CONSTRAINT FK__segment_t__rstat__573DED66 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment_type ADD CONSTRAINT FK__segment_type__5832119F 
    FOREIGN KEY (sg_db_site, sg_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE segment_type ADD CONSTRAINT FK__segment_type__592635D8 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: segment 
 */

ALTER TABLE segment ADD CONSTRAINT FK__segment__5DEAEAF5 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE segment ADD CONSTRAINT FK__segment__60C757A0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE segment ADD CONSTRAINT FK__segment__rstat_t__5EDF0F2E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE segment ADD CONSTRAINT FK__segment__segment__5FD33367 
    FOREIGN KEY (segment_site)
    REFERENCES site(site_code)
go


/* 
 * TABLE: severity_level_type 
 */

ALTER TABLE severity_level_type ADD CONSTRAINT FK__severity___rstat__733B0D96 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE severity_level_type ADD CONSTRAINT FK__severity_level_t__742F31CF 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE severity_level_type ADD CONSTRAINT FK__severity_level_t__75235608 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_as_event_type 
 */

ALTER TABLE sg_as_event_type ADD CONSTRAINT FK__sg_as_eve__rstat__07E124C1 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_as_event_type ADD CONSTRAINT FK__sg_as_event_type__08D548FA 
    FOREIGN KEY (ev_db_site, ev_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_as_event_type ADD CONSTRAINT FK__sg_as_event_type__09C96D33 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_chr_dat_type 
 */

ALTER TABLE sg_chr_dat_type ADD CONSTRAINT FK__sg_chr_da__defau__7A8729A3 
    FOREIGN KEY (default_ru_type)
    REFERENCES ref_unit_type(ru_type_code)
go

ALTER TABLE sg_chr_dat_type ADD CONSTRAINT FK__sg_chr_da__rstat__7B7B4DDC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_chr_dat_type ADD CONSTRAINT FK__sg_chr_dat_type__7C6F7215 
    FOREIGN KEY (sc_db_site, sc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_chr_dat_type ADD CONSTRAINT FK__sg_chr_dat_type__7D63964E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_completed_work 
 */

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_comple__rstat__3D89085B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__3E7D2C94 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__3F7150CD 
    FOREIGN KEY (task_db_site, task_db_id, task_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__40657506 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__4159993F 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__424DBD78 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__4341E1B1 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE sg_completed_work ADD CONSTRAINT FK__sg_completed_wor__443605EA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_ev_meas_event 
 */

ALTER TABLE sg_ev_meas_event ADD CONSTRAINT FK__sg_ev_mea__rstat__4F87BD05 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_ev_meas_event ADD CONSTRAINT FK__sg_ev_meas_event__507BE13E 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_ev_meas_event ADD CONSTRAINT FK__sg_ev_meas_event__51700577 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sg_ev_meas_event ADD CONSTRAINT FK__sg_ev_meas_event__526429B0 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_ev_meas_event ADD CONSTRAINT FK__sg_ev_meas_event__53584DE9 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_ev_sg_func_link 
 */

ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT FK__sg_ev_sg___rstat__3C74E891 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT FK__sg_ev_sg_func_li__3D690CCA 
    FOREIGN KEY (ev_segment_site, ev_segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT FK__sg_ev_sg_func_li__3E5D3103 
    FOREIGN KEY (fn_db_site, fn_db_id, fn_segment_site, fn_segment_id, ordering_seq)
    REFERENCES segment_function(db_site, db_id, segment_site, segment_id, ordering_seq)
go

ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT FK__sg_ev_sg_func_li__3F51553C 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_ev_sg_func_link ADD CONSTRAINT FK__sg_ev_sg_func_li__40457975 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_event_chr_data 
 */

ALTER TABLE sg_event_chr_data ADD CONSTRAINT FK__sg_event_chr_dat__4BA21D88 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_event_chr_data ADD CONSTRAINT FK__sg_event_chr_dat__4C9641C1 
    FOREIGN KEY (ec_db_site, ec_db_id, ec_type_code)
    REFERENCES ev_chr_data_type(ec_db_site, ec_db_id, ec_type_code)
go

ALTER TABLE sg_event_chr_data ADD CONSTRAINT FK__sg_event_chr_dat__4D8A65FA 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go


/* 
 * TABLE: sg_event_num_data 
 */

ALTER TABLE sg_event_num_data ADD CONSTRAINT FK__sg_event___rstat__45FE52CB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_event_num_data ADD CONSTRAINT FK__sg_event_num_dat__46F27704 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_event_num_data ADD CONSTRAINT FK__sg_event_num_dat__47E69B3D 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE sg_event_num_data ADD CONSTRAINT FK__sg_event_num_dat__48DABF76 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_event_num_data ADD CONSTRAINT FK__sg_event_num_dat__49CEE3AF 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_health_sg_event 
 */

ALTER TABLE sg_health_sg_event ADD CONSTRAINT FK__sg_health__rstat__1E7A7156 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_health_sg_event ADD CONSTRAINT FK__sg_health_sg_eve__1F6E958F 
    FOREIGN KEY (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
    REFERENCES segment_health(segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
go

ALTER TABLE sg_health_sg_event ADD CONSTRAINT FK__sg_health_sg_eve__2062B9C8 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_health_sg_event ADD CONSTRAINT FK__sg_health_sg_eve__2156DE01 
    FOREIGN KEY (assoc_by_org_asite, assoc_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_health_sg_event ADD CONSTRAINT FK__sg_health_sg_eve__224B023A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_health_sg_prop_ev 
 */

ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT FK__sg_health__rstat__2803DB90 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT FK__sg_health_sg_pro__28F7FFC9 
    FOREIGN KEY (segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
    REFERENCES segment_health(segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
go

ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT FK__sg_health_sg_pro__29EC2402 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT FK__sg_health_sg_pro__2AE0483B 
    FOREIGN KEY (assoc_by_org_asite, assoc_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_health_sg_prop_ev ADD CONSTRAINT FK__sg_health_sg_pro__2BD46C74 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_hyp_ev_amb_set 
 */

ALTER TABLE sg_hyp_ev_amb_set ADD CONSTRAINT FK__sg_hyp_ev__rstat__7B863AD4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_hyp_ev_amb_set ADD CONSTRAINT FK__sg_hyp_ev_amb_se__799DF262 
    FOREIGN KEY (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_hyp_ev_amb_set ADD CONSTRAINT FK__sg_hyp_ev_amb_se__7A92169B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_hyp_ev_amb_set ADD CONSTRAINT FK__sg_hyp_ev_amb_se__7C7A5F0D 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_hyp_ev_amb_set ADD CONSTRAINT FK__sg_hyp_ev_amb_se__7D6E8346 
    FOREIGN KEY (amb_set_db_site, amb_set_db_id, amb_set_type_code)
    REFERENCES amb_set_type(amb_set_db_site, amb_set_db_id, amb_set_type_code)
go

ALTER TABLE sg_hyp_ev_amb_set ADD CONSTRAINT FK__sg_hyp_ev_amb_se__7E62A77F 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go


/* 
 * TABLE: sg_hyp_ev_log_conn 
 */

ALTER TABLE sg_hyp_ev_log_conn ADD CONSTRAINT FK__sg_hyp_ev__rstat__041B80D5 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_hyp_ev_log_conn ADD CONSTRAINT FK__sg_hyp_ev_log_co__004AEFF1 
    FOREIGN KEY (lc_db_site, lc_db_id, lc_type_code)
    REFERENCES log_connector_type(lc_db_site, lc_db_id, lc_type_code)
go

ALTER TABLE sg_hyp_ev_log_conn ADD CONSTRAINT FK__sg_hyp_ev_log_co__013F142A 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_hyp_ev_log_conn ADD CONSTRAINT FK__sg_hyp_ev_log_co__02333863 
    FOREIGN KEY (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id, par_log_conn_id)
    REFERENCES sg_hyp_ev_log_conn(sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id, log_conn_id)
go

ALTER TABLE sg_hyp_ev_log_conn ADD CONSTRAINT FK__sg_hyp_ev_log_co__03275C9C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_hyp_ev_log_conn ADD CONSTRAINT FK__sg_hyp_ev_log_co__7F56CBB8 
    FOREIGN KEY (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id)
    REFERENCES sg_hyp_ev_amb_set(sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id)
go


/* 
 * TABLE: sg_hyp_ev_num_data 
 */

ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT FK__sg_hyp_ev__rstat__15261146 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT FK__sg_hyp_ev_num_da__161A357F 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT FK__sg_hyp_ev_num_da__170E59B8 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT FK__sg_hyp_ev_num_da__18027DF1 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_hyp_ev_num_data ADD CONSTRAINT FK__sg_hyp_ev_num_da__18F6A22A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_hyp_ev_sg_func 
 */

ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT FK__sg_hyp_ev__rstat__2CFD9AD7 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT FK__sg_hyp_ev_sg_fun__2DF1BF10 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT FK__sg_hyp_ev_sg_fun__2EE5E349 
    FOREIGN KEY (db_site, db_id, segment_site, segment_id, ordering_seq)
    REFERENCES segment_function(db_site, db_id, segment_site, segment_id, ordering_seq)
go

ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT FK__sg_hyp_ev_sg_fun__2FDA0782 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_hyp_ev_sg_func ADD CONSTRAINT FK__sg_hyp_ev_sg_fun__30CE2BBB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_hyp_event_link 
 */

ALTER TABLE sg_hyp_event_link ADD CONSTRAINT FK__sg_hyp_ev__rstat__02133CD2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_hyp_event_link ADD CONSTRAINT FK__sg_hyp_event_lin__0307610B 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_hyp_event_link ADD CONSTRAINT FK__sg_hyp_event_lin__03FB8544 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_hyp_event_link ADD CONSTRAINT FK__sg_hyp_event_lin__04EFA97D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_hyp_event 
 */

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_ev__rstat__60B24907 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_event__61A66D40 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_event__629A9179 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_event__638EB5B2 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_event__6482D9EB 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_event__6576FE24 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_hyp_event ADD CONSTRAINT FK__sg_hyp_event__666B225D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_network_connect 
 */

ALTER TABLE sg_network_connect ADD CONSTRAINT FK__sg_networ__rstat__17786E0C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_network_connect ADD CONSTRAINT FK__sg_network_conne__186C9245 
    FOREIGN KEY (network_db_site, network_db_id, network_id)
    REFERENCES network(network_db_site, network_db_id, network_id)
go

ALTER TABLE sg_network_connect ADD CONSTRAINT FK__sg_network_conne__1960B67E 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_network_connect ADD CONSTRAINT FK__sg_network_conne__1A54DAB7 
    FOREIGN KEY (output_sg_site, output_sg_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_network_connect ADD CONSTRAINT FK__sg_network_conne__1B48FEF0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_num_dat_type 
 */

ALTER TABLE sg_num_dat_type ADD CONSTRAINT FK__sg_num_da__defau__76B698BF 
    FOREIGN KEY (default_ru_type)
    REFERENCES ref_unit_type(ru_type_code)
go

ALTER TABLE sg_num_dat_type ADD CONSTRAINT FK__sg_num_da__rstat__77AABCF8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_num_dat_type ADD CONSTRAINT FK__sg_num_dat_type__789EE131 
    FOREIGN KEY (sn_db_site, sn_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_num_dat_type ADD CONSTRAINT FK__sg_num_dat_type__7993056A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_pr_ev_amb_set_sg_ev 
 */

ALTER TABLE sg_pr_ev_amb_set_sg_ev ADD CONSTRAINT FK__sg_pr_ev___rstat__135DC465 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_pr_ev_amb_set_sg_ev ADD CONSTRAINT FK__sg_pr_ev_amb_set__108157BA 
    FOREIGN KEY (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id)
    REFERENCES sg_prop_ev_amb_set(sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id)
go

ALTER TABLE sg_pr_ev_amb_set_sg_ev ADD CONSTRAINT FK__sg_pr_ev_amb_set__11757BF3 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_pr_ev_amb_set_sg_ev ADD CONSTRAINT FK__sg_pr_ev_amb_set__1269A02C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_amb_set 
 */

ALTER TABLE sg_prop_ev_amb_set ADD CONSTRAINT FK__sg_prop_e__rstat__09D45A2B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_amb_set ADD CONSTRAINT FK__sg_prop_ev_amb_s__050FA50E 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_prop_ev_amb_set ADD CONSTRAINT FK__sg_prop_ev_amb_s__0603C947 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_prop_ev_amb_set ADD CONSTRAINT FK__sg_prop_ev_amb_s__06F7ED80 
    FOREIGN KEY (amb_set_db_site, amb_set_db_id, amb_set_type_code)
    REFERENCES amb_set_type(amb_set_db_site, amb_set_db_id, amb_set_type_code)
go

ALTER TABLE sg_prop_ev_amb_set ADD CONSTRAINT FK__sg_prop_ev_amb_s__07EC11B9 
    FOREIGN KEY (sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id)
    REFERENCES sg_hyp_ev_amb_set(sg_hyp_amb_set_db_site, sg_hyp_amb_set_db_id, sg_hyp_amb_set_id)
go

ALTER TABLE sg_prop_ev_amb_set ADD CONSTRAINT FK__sg_prop_ev_amb_s__08E035F2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_hyp_ev 
 */

ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT FK__sg_prop_e__rstat__729BEF18 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT FK__sg_prop_ev_hyp_e__73901351 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT FK__sg_prop_ev_hyp_e__7484378A 
    FOREIGN KEY (sg_hypev_db_site, sg_hypev_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT FK__sg_prop_ev_hyp_e__75785BC3 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_prop_ev_hyp_ev ADD CONSTRAINT FK__sg_prop_ev_hyp_e__766C7FFC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_link 
 */

ALTER TABLE sg_prop_ev_link ADD CONSTRAINT FK__sg_prop_e__rstat__57E7F8DC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_link ADD CONSTRAINT FK__sg_prop_ev_link__58DC1D15 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_link ADD CONSTRAINT FK__sg_prop_ev_link__59D0414E 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_link ADD CONSTRAINT FK__sg_prop_ev_link__5AC46587 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_log_conn 
 */

ALTER TABLE sg_prop_ev_log_conn ADD CONSTRAINT FK__sg_prop_e__rstat__0F8D3381 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_log_conn ADD CONSTRAINT FK__sg_prop_ev_log_c__0AC87E64 
    FOREIGN KEY (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id)
    REFERENCES sg_prop_ev_amb_set(sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id)
go

ALTER TABLE sg_prop_ev_log_conn ADD CONSTRAINT FK__sg_prop_ev_log_c__0BBCA29D 
    FOREIGN KEY (lc_db_site, lc_db_id, lc_type_code)
    REFERENCES log_connector_type(lc_db_site, lc_db_id, lc_type_code)
go

ALTER TABLE sg_prop_ev_log_conn ADD CONSTRAINT FK__sg_prop_ev_log_c__0CB0C6D6 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_log_conn ADD CONSTRAINT FK__sg_prop_ev_log_c__0DA4EB0F 
    FOREIGN KEY (sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id, par_log_conn_id)
    REFERENCES sg_prop_ev_log_conn(sg_prop_amb_set_db_site, sg_prop_amb_set_db_id, sg_prop_amb_set_id, log_conn_id)
go

ALTER TABLE sg_prop_ev_log_conn ADD CONSTRAINT FK__sg_prop_ev_log_c__0E990F48 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_meas_ev 
 */

ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT FK__sg_prop_e__rstat__05AEC38C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT FK__sg_prop_ev_meas___06A2E7C5 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT FK__sg_prop_ev_meas___07970BFE 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT FK__sg_prop_ev_meas___088B3037 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_prop_ev_meas_ev ADD CONSTRAINT FK__sg_prop_ev_meas___097F5470 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_ndat 
 */

ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT FK__sg_prop_e__rstat__5F891AA4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT FK__sg_prop_ev_ndat__607D3EDD 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT FK__sg_prop_ev_ndat__61716316 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT FK__sg_prop_ev_ndat__6265874F 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_prop_ev_ndat ADD CONSTRAINT FK__sg_prop_ev_ndat__6359AB88 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_sg_ev 
 */

ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT FK__sg_prop_e__rstat__7C255952 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT FK__sg_prop_ev_sg_ev__7D197D8B 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT FK__sg_prop_ev_sg_ev__7E0DA1C4 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT FK__sg_prop_ev_sg_ev__7F01C5FD 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_prop_ev_sg_ev ADD CONSTRAINT FK__sg_prop_ev_sg_ev__7FF5EA36 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_prop_ev_sg_func 
 */

ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT FK__sg_prop_e__rstat__691284DE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT FK__sg_prop_ev_sg_fu__6A06A917 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT FK__sg_prop_ev_sg_fu__6AFACD50 
    FOREIGN KEY (db_site, db_id, segment_site, segment_id, ordering_seq)
    REFERENCES segment_function(db_site, db_id, segment_site, segment_id, ordering_seq)
go

ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT FK__sg_prop_ev_sg_fu__6BEEF189 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_prop_ev_sg_func ADD CONSTRAINT FK__sg_prop_ev_sg_fu__6CE315C2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_proposed_event 
 */

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_propos__aud_q__44D52468 
    FOREIGN KEY (aud_quality_code)
    REFERENCES data_qual_type(dqual_type_code)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_propos__rstat__45C948A1 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__46BD6CDA 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__47B19113 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__48A5B54C 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__4999D985 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__4A8DFDBE 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__4B8221F7 
    FOREIGN KEY (ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
    REFERENCES change_patt_type(ch_patt_db_site, ch_patt_db_id, ch_patt_type_code)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__4C764630 
    FOREIGN KEY (aud_by_org_asite, aud_by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_proposed_event ADD CONSTRAINT FK__sg_proposed_even__4D6A6A69 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_rec_blob 
 */

ALTER TABLE sg_rec_blob ADD CONSTRAINT FK__sg_rec_bl__rstat__6AC5C326 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_blob ADD CONSTRAINT FK__sg_rec_blob__6BB9E75F 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_blob ADD CONSTRAINT FK__sg_rec_blob__6CAE0B98 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE sg_rec_blob ADD CONSTRAINT FK__sg_rec_blob__6DA22FD1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_rec_mevent 
 */

ALTER TABLE sg_rec_mevent ADD CONSTRAINT FK__sg_rec_me__rstat__27CED166 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_mevent ADD CONSTRAINT FK__sg_rec_mevent__28C2F59F 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_mevent ADD CONSTRAINT FK__sg_rec_mevent__29B719D8 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sg_rec_mevent ADD CONSTRAINT FK__sg_rec_mevent__2AAB3E11 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_rec_remark 
 */

ALTER TABLE sg_rec_remark ADD CONSTRAINT FK__sg_rec_re__rstat__599B3724 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_remark ADD CONSTRAINT FK__sg_rec_remark__5A8F5B5D 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_remark ADD CONSTRAINT FK__sg_rec_remark__5B837F96 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_rec_sg_event 
 */

ALTER TABLE sg_rec_sg_event ADD CONSTRAINT FK__sg_rec_sg__rstat__0579B962 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_sg_event ADD CONSTRAINT FK__sg_rec_sg_event__066DDD9B 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_sg_event ADD CONSTRAINT FK__sg_rec_sg_event__076201D4 
    FOREIGN KEY (segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
    REFERENCES segment_event(segment_site, segment_id, ev_db_site, ev_db_id, event_type_code, gmt_event_start)
go

ALTER TABLE sg_rec_sg_event ADD CONSTRAINT FK__sg_rec_sg_event__0856260D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_rec_sg_health 
 */

ALTER TABLE sg_rec_sg_health ADD CONSTRAINT FK__sg_rec_sg__rstat__7DD8979A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_sg_health ADD CONSTRAINT FK__sg_rec_sg_health__00B50445 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_rec_sg_health ADD CONSTRAINT FK__sg_rec_sg_health__7ECCBBD3 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_sg_health ADD CONSTRAINT FK__sg_rec_sg_health__7FC0E00C 
    FOREIGN KEY (hth_sg_site, hth_sg_id, hth_gmt_assess, hth_by_agent_site, hth_by_agent_id)
    REFERENCES segment_health(segment_site, segment_id, gmt_assessment, by_agent_site, by_agent_id)
go


/* 
 * TABLE: sg_rec_sg_hyp_ev 
 */

ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT FK__sg_rec_sg__rstat__0D1ADB2A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT FK__sg_rec_sg_hyp_ev__0E0EFF63 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT FK__sg_rec_sg_hyp_ev__0F03239C 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_rec_sg_hyp_ev ADD CONSTRAINT FK__sg_rec_sg_hyp_ev__0FF747D5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_rec_sg_prop_ev 
 */

ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT FK__sg_rec_sg__rstat__202DAF9E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT FK__sg_rec_sg_prop_e__2121D3D7 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT FK__sg_rec_sg_prop_e__2215F810 
    FOREIGN KEY (sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
    REFERENCES sg_proposed_event(sg_prop_db_site, sg_prop_db_id, sg_prop_event_id)
go

ALTER TABLE sg_rec_sg_prop_ev ADD CONSTRAINT FK__sg_rec_sg_prop_e__230A1C49 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_recommendation 
 */

ALTER TABLE sg_recommendation ADD CONSTRAINT FK__sg_recomm__rstat__3CFEF876 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_recommendation ADD CONSTRAINT FK__sg_recommendatio__3DF31CAF 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_recommendation ADD CONSTRAINT FK__sg_recommendatio__3EE740E8 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE sg_recommendation ADD CONSTRAINT FK__sg_recommendatio__3FDB6521 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_recommendation ADD CONSTRAINT FK__sg_recommendatio__40CF895A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_remaining_life 
 */

ALTER TABLE sg_remaining_life ADD CONSTRAINT FK__sg_remain__rstat__318D45CA 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_remaining_life ADD CONSTRAINT FK__sg_remaining_lif__32816A03 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_remaining_life ADD CONSTRAINT FK__sg_remaining_lif__33758E3C 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_remaining_life ADD CONSTRAINT FK__sg_remaining_lif__3469B275 
    FOREIGN KEY (erl_eu_db_site, erl_eu_db_id, erl_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_remaining_life ADD CONSTRAINT FK__sg_remaining_lif__355DD6AE 
    FOREIGN KEY (err_eu_db_site, err_eu_db_id, err_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_remaining_life ADD CONSTRAINT FK__sg_remaining_lif__3651FAE7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_req_for_work 
 */

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_fo__rstat__455F344D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__4376EBDB 
    FOREIGN KEY (req_db_site, req_db_id, request_id)
    REFERENCES request(req_db_site, req_db_id, request_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__446B1014 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__46535886 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__47477CBF 
    FOREIGN KEY (wm_type_db_site, wm_type_db_id, wm_type_code)
    REFERENCES work_manage_type(wm_type_db_site, wm_type_db_id, wm_type_code)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__483BA0F8 
    FOREIGN KEY (task_db_site, task_db_id, task_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__492FC531 
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__4A23E96A 
    FOREIGN KEY (to_agent_site, to_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__4B180DA3 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__4C0C31DC 
    FOREIGN KEY (rec_segment_site, rec_segment_id, rec_gmt_recomm, rec_by_agent_site, rec_by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__4D005615 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE sg_req_for_work ADD CONSTRAINT FK__sg_req_for_work__4DF47A4E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_sol_pack 
 */

ALTER TABLE sg_sol_pack ADD CONSTRAINT FK__sg_sol_pa__rstat__62BA8D0A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_sol_pack ADD CONSTRAINT FK__sg_sol_pack__5FDE205F 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE sg_sol_pack ADD CONSTRAINT FK__sg_sol_pack__60D24498 
    FOREIGN KEY (segment_site, segment_id)
    REFERENCES segment(segment_site, segment_id)
go

ALTER TABLE sg_sol_pack ADD CONSTRAINT FK__sg_sol_pack__61C668D1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_typ_hyp_ev_func 
 */

ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT FK__sg_typ_hy__rstat__36870511 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT FK__sg_typ_hyp_ev_fu__377B294A 
    FOREIGN KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
    REFERENCES sg_typ_hyp_event(sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
go

ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT FK__sg_typ_hyp_ev_fu__386F4D83 
    FOREIGN KEY (db_site, db_id, sg_db_site, sg_db_id, sg_type_code, ordering_seq)
    REFERENCES sg_type_function(db_site, db_id, sg_db_site, sg_db_id, sg_type_code, ordering_seq)
go

ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT FK__sg_typ_hyp_ev_fu__396371BC 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_typ_hyp_ev_func ADD CONSTRAINT FK__sg_typ_hyp_ev_fu__3A5795F5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_typ_hyp_ev_link 
 */

ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT FK__sg_typ_hy__rstat__09B45E9A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT FK__sg_typ_hyp_ev_li__0AA882D3 
    FOREIGN KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
    REFERENCES sg_typ_hyp_event(sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
go

ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT FK__sg_typ_hyp_ev_li__0B9CA70C 
    FOREIGN KEY (caused_db_site, caused_db_id, caused_event_id)
    REFERENCES sg_typ_hyp_event(sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
go

ALTER TABLE sg_typ_hyp_ev_link ADD CONSTRAINT FK__sg_typ_hyp_ev_li__0C90CB45 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_typ_hyp_ev_num_data 
 */

ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT FK__sg_typ_hy__rstat__1EAF7B80 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT FK__sg_typ_hyp_ev_nu__1FA39FB9 
    FOREIGN KEY (sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
    REFERENCES sg_typ_hyp_event(sgt_hyp_db_site, sgt_hyp_db_id, sgt_hyp_event_id)
go

ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT FK__sg_typ_hyp_ev_nu__2097C3F2 
    FOREIGN KEY (en_db_site, en_db_id, en_type_code)
    REFERENCES ev_num_data_type(en_db_site, en_db_id, en_type_code)
go

ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT FK__sg_typ_hyp_ev_nu__218BE82B 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sg_typ_hyp_ev_num_data ADD CONSTRAINT FK__sg_typ_hyp_ev_nu__22800C64 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_typ_hyp_event 
 */

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hy__rstat__6E0C4425 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hyp_event__6F00685E 
    FOREIGN KEY (sgt_hyp_db_site, sgt_hyp_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hyp_event__6FF48C97 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hyp_event__70E8B0D0 
    FOREIGN KEY (ev_db_site, ev_db_id, event_type_code)
    REFERENCES sg_as_event_type(ev_db_site, ev_db_id, event_type_code)
go

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hyp_event__71DCD509 
    FOREIGN KEY (severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
    REFERENCES severity_level_type(severity_lev_db_site, severity_lev_db_id, severity_lev_type_code)
go

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hyp_event__72D0F942 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_typ_hyp_event ADD CONSTRAINT FK__sg_typ_hyp_event__73C51D7B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_type_blob_data 
 */

ALTER TABLE sg_type_blob_data ADD CONSTRAINT FK__sg_type_b__rstat__6F357288 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_type_blob_data ADD CONSTRAINT FK__sg_type_blob_dat__702996C1 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_type_blob_data ADD CONSTRAINT FK__sg_type_blob_dat__711DBAFA 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE sg_type_blob_data ADD CONSTRAINT FK__sg_type_blob_dat__7211DF33 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE sg_type_blob_data ADD CONSTRAINT FK__sg_type_blob_dat__7306036C 
    FOREIGN KEY (blct_db_site, blct_db_id, blc_type_code)
    REFERENCES blob_content_type(blct_db_site, blct_db_id, blc_type_code)
go

ALTER TABLE sg_type_blob_data ADD CONSTRAINT FK__sg_type_blob_dat__73FA27A5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_type_function 
 */

ALTER TABLE sg_type_function ADD CONSTRAINT FK__sg_type_f__rstat__2E26C93A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_type_function ADD CONSTRAINT FK__sg_type_function__2F1AED73 
    FOREIGN KEY (db_site, db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sg_type_function ADD CONSTRAINT FK__sg_type_function__300F11AC 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE sg_type_function ADD CONSTRAINT FK__sg_type_function__310335E5 
    FOREIGN KEY (by_org_asite, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_type_function ADD CONSTRAINT FK__sg_type_function__31F75A1E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_type_rec_blob 
 */

ALTER TABLE sg_type_rec_blob ADD CONSTRAINT FK__sg_type_r__rstat__7266E4EE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_type_rec_blob ADD CONSTRAINT FK__sg_type_rec_blob__735B0927 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_type_recomm(sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_type_rec_blob ADD CONSTRAINT FK__sg_type_rec_blob__744F2D60 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE sg_type_rec_blob ADD CONSTRAINT FK__sg_type_rec_blob__75435199 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_type_rec_hyp_ev 
 */

ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT FK__sg_type_r__rstat__14BBFCF2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT FK__sg_type_rec_hyp___15B0212B 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_type_recomm(sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT FK__sg_type_rec_hyp___16A44564 
    FOREIGN KEY (sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
    REFERENCES sg_hyp_event(sg_hyp_db_site, sg_hyp_db_id, sg_hyp_event_id)
go

ALTER TABLE sg_type_rec_hyp_ev ADD CONSTRAINT FK__sg_type_rec_hyp___1798699D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_type_rec_remark 
 */

ALTER TABLE sg_type_rec_remark ADD CONSTRAINT FK__sg_type_r__rstat__62307D25 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_type_rec_remark ADD CONSTRAINT FK__sg_type_rec_rema__6324A15E 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_type_recomm(sg_db_site, sg_db_id, sg_type_code, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE sg_type_rec_remark ADD CONSTRAINT FK__sg_type_rec_rema__6418C597 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sg_type_recomm 
 */

ALTER TABLE sg_type_recomm ADD CONSTRAINT FK__sg_type_r__rstat__4B4D17CD 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sg_type_recomm ADD CONSTRAINT FK__sg_type_recomm__4C413C06 
    FOREIGN KEY (sg_db_site, sg_db_id, sg_type_code)
    REFERENCES segment_type(sg_db_site, sg_db_id, sg_type_code)
go

ALTER TABLE sg_type_recomm ADD CONSTRAINT FK__sg_type_recomm__4D35603F 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE sg_type_recomm ADD CONSTRAINT FK__sg_type_recomm__4E298478 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sg_type_recomm ADD CONSTRAINT FK__sg_type_recomm__4F1DA8B1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: signal_proc_blk 
 */

ALTER TABLE signal_proc_blk ADD CONSTRAINT FK__signal_pr__rstat__41D8BC2C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE signal_proc_blk ADD CONSTRAINT FK__signal_proc_blk__42CCE065 
    FOREIGN KEY (sp_blk_db_site, sp_blk_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE signal_proc_blk ADD CONSTRAINT FK__signal_proc_blk__43C1049E 
    FOREIGN KEY (sp_db_site, sp_db_id, sp_type_code)
    REFERENCES signal_proc_type(sp_db_site, sp_db_id, sp_type_code)
go

ALTER TABLE signal_proc_blk ADD CONSTRAINT FK__signal_proc_blk__44B528D7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: signal_proc_type 
 */

ALTER TABLE signal_proc_type ADD CONSTRAINT FK__signal_pr__rstat__3EFC4F81 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE signal_proc_type ADD CONSTRAINT FK__signal_proc_type__3FF073BA 
    FOREIGN KEY (sp_db_site, sp_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE signal_proc_type ADD CONSTRAINT FK__signal_proc_type__40E497F3 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: site_database 
 */

ALTER TABLE site_database ADD CONSTRAINT FK__site_data__db_si__536D5C82 
    FOREIGN KEY (db_site)
    REFERENCES site(site_code)
go

ALTER TABLE site_database ADD CONSTRAINT FK__site_data__rstat__52793849 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE site_database ADD CONSTRAINT FK__site_database__51851410 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: site_type_child 
 */

ALTER TABLE site_type_child ADD CONSTRAINT FK__site_type__rstat__4CC05EF3 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE site_type_child ADD CONSTRAINT FK__site_type_child__49E3F248 
    FOREIGN KEY (st_db_site, st_db_id, st_type_code)
    REFERENCES site_type(st_db_site, st_db_id, st_type_code)
go

ALTER TABLE site_type_child ADD CONSTRAINT FK__site_type_child__4AD81681 
    FOREIGN KEY (child_st_db_site, child_st_db_id, child_st_type_code)
    REFERENCES site_type(st_db_site, st_db_id, st_type_code)
go

ALTER TABLE site_type_child ADD CONSTRAINT FK__site_type_child__4BCC3ABA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: site_type 
 */

ALTER TABLE site_type ADD CONSTRAINT FK__site_type__4707859D 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE site_type ADD CONSTRAINT FK__site_type__48EFCE0F 
    FOREIGN KEY (st_db_site, st_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE site_type ADD CONSTRAINT FK__site_type__rstat__47FBA9D6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: site 
 */

ALTER TABLE site ADD CONSTRAINT FK__site__4DB4832C 
    FOREIGN KEY (st_db_site, st_db_id, st_type_code)
    REFERENCES site_type(st_db_site, st_db_id, st_type_code)
go

ALTER TABLE site ADD CONSTRAINT FK__site__4F9CCB9E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE site ADD CONSTRAINT FK__site__enterprise__4EA8A765 
    FOREIGN KEY (enterprise_id)
    REFERENCES enterprise(enterprise_id)
go

ALTER TABLE site ADD CONSTRAINT FK__site__rstat_type__5090EFD7 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: solution_pack_type 
 */

ALTER TABLE solution_pack_type ADD CONSTRAINT FK__solution___rstat__10CB707D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE solution_pack_type ADD CONSTRAINT FK__solution_pack_ty__11BF94B6 
    FOREIGN KEY (sol_db_site, sol_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE solution_pack_type ADD CONSTRAINT FK__solution_pack_ty__12B3B8EF 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: solution_package 
 */

ALTER TABLE solution_package ADD CONSTRAINT FK__solution___rstat__38F95D68 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE solution_package ADD CONSTRAINT FK__solution_package__39ED81A1 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE solution_package ADD CONSTRAINT FK__solution_package__3AE1A5DA 
    FOREIGN KEY (sol_db_site, sol_db_id, sol_type_code)
    REFERENCES solution_pack_type(sol_db_site, sol_db_id, sol_type_code)
go

ALTER TABLE solution_package ADD CONSTRAINT FK__solution_package__3BD5CA13 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE solution_package ADD CONSTRAINT FK__solution_package__3CC9EE4C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_ampl_alarm 
 */

ALTER TABLE sp_ampl_alarm ADD CONSTRAINT FK__sp_ampl_a__rstat__68F2894D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_ampl_alarm ADD CONSTRAINT FK__sp_ampl_alarm__670A40DB 
    FOREIGN KEY (org_agent_site, agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE sp_ampl_alarm ADD CONSTRAINT FK__sp_ampl_alarm__67FE6514 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_ampl_alarm ADD CONSTRAINT FK__sp_ampl_alarm__69E6AD86 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
    REFERENCES sp_ampl_data(meas_loc_site, meas_loc_id, gmt_event, ordering_seq)
go

ALTER TABLE sp_ampl_alarm ADD CONSTRAINT FK__sp_ampl_alarm__6ADAD1BF 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go


/* 
 * TABLE: sp_ampl_data 
 */

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_d__rstat__605D434C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_data__61516785 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_data__62458BBE 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_data__6339AFF7 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_data__642DD430 
    FOREIGN KEY (src_dt_db_site, src_dt_db_id, src_dt_type_code)
    REFERENCES src_detect_type(src_dt_db_site, src_dt_db_id, src_dt_type_code)
go

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_data__6521F869 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_ampl_data ADD CONSTRAINT FK__sp_ampl_data__66161CA2 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_ampl_setup 
 */

ALTER TABLE sp_ampl_setup ADD CONSTRAINT FK__sp_ampl_s__rstat__0D2FE9C3 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_ampl_setup ADD CONSTRAINT FK__sp_ampl_setup__0E240DFC 
    FOREIGN KEY (spa_setup_db_site, spa_setup_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_ampl_setup ADD CONSTRAINT FK__sp_ampl_setup__0F183235 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE sp_ampl_setup ADD CONSTRAINT FK__sp_ampl_setup__100C566E 
    FOREIGN KEY (src_dt_db_site, src_dt_db_id, src_dt_type_code)
    REFERENCES src_detect_type(src_dt_db_site, src_dt_db_id, src_dt_type_code)
go

ALTER TABLE sp_ampl_setup ADD CONSTRAINT FK__sp_ampl_setup__11007AA7 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_ampl_setup ADD CONSTRAINT FK__sp_ampl_setup__11F49EE0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_blk_num_data 
 */

ALTER TABLE sp_blk_num_data ADD CONSTRAINT FK__sp_blk_nu__rstat__4885B9BB 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_blk_num_data ADD CONSTRAINT FK__sp_blk_num_data__4979DDF4 
    FOREIGN KEY (sp_blk_db_site, sp_blk_db_id, sp_block_id)
    REFERENCES signal_proc_blk(sp_blk_db_site, sp_blk_db_id, sp_block_id)
go

ALTER TABLE sp_blk_num_data ADD CONSTRAINT FK__sp_blk_num_data__4A6E022D 
    FOREIGN KEY (spn_db_site, spn_db_id, spn_type_code)
    REFERENCES sp_num_dat_type(spn_db_site, spn_db_id, spn_type_code)
go

ALTER TABLE sp_blk_num_data ADD CONSTRAINT FK__sp_blk_num_data__4B622666 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sp_blk_num_data ADD CONSTRAINT FK__sp_blk_num_data__4C564A9F 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_cpb_data 
 */

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_da__rstat__049AA3C2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__058EC7FB 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__0682EC34 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__0777106D 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__086B34A6 
    FOREIGN KEY (ave_db_site, ave_db_id, ave_type_code)
    REFERENCES average_type(ave_db_site, ave_db_id, ave_type_code)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__095F58DF 
    FOREIGN KEY (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
    REFERENCES ave_weight_type(ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__0A537D18 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
    REFERENCES ave_synch_type(ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__0B47A151 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_cpb_data ADD CONSTRAINT FK__sp_cpb_data__0C3BC58A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_cpb_setup 
 */

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_se__rstat__231F2AE2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__24134F1B 
    FOREIGN KEY (spc_setup_db_site, spc_setup_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__25077354 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__25FB978D 
    FOREIGN KEY (ave_db_site, ave_db_id, ave_type_code)
    REFERENCES average_type(ave_db_site, ave_db_id, ave_type_code)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__26EFBBC6 
    FOREIGN KEY (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
    REFERENCES ave_weight_type(ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__27E3DFFF 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
    REFERENCES ave_synch_type(ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__28D80438 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_cpb_setup ADD CONSTRAINT FK__sp_cpb_setup__29CC2871 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_fft_data 
 */

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_da__rstat__727BF387 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__737017C0 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__74643BF9 
    FOREIGN KEY (win_db_site, win_db_id, win_type_code)
    REFERENCES window_type(win_db_site, win_db_id, win_type_code)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__75586032 
    FOREIGN KEY (ave_db_site, ave_db_id, ave_type_code)
    REFERENCES average_type(ave_db_site, ave_db_id, ave_type_code)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__764C846B 
    FOREIGN KEY (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
    REFERENCES ave_weight_type(ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__7740A8A4 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
    REFERENCES ave_synch_type(ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__7834CCDD 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__7928F116 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__7A1D154F 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sp_fft_data ADD CONSTRAINT FK__sp_fft_data__7B113988 
    FOREIGN KEY (eu_db_site, eu_type_code, eu_db_id)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go


/* 
 * TABLE: sp_fft_setup 
 */

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_se__rstat__12E8C319 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__13DCE752 
    FOREIGN KEY (spf_setup_db_site, spf_setup_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__14D10B8B 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__15C52FC4 
    FOREIGN KEY (win_db_site, win_db_id, win_type_code)
    REFERENCES window_type(win_db_site, win_db_id, win_type_code)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__16B953FD 
    FOREIGN KEY (ave_db_site, ave_db_id, ave_type_code)
    REFERENCES average_type(ave_db_site, ave_db_id, ave_type_code)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__17AD7836 
    FOREIGN KEY (ave_wt_db_site, ave_wt_type_code, ave_wt_db_id)
    REFERENCES ave_weight_type(ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__18A19C6F 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
    REFERENCES ave_synch_type(ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__1995C0A8 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_fft_setup ADD CONSTRAINT FK__sp_fft_setup__1A89E4E1 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_num_dat_type 
 */

ALTER TABLE sp_num_dat_type ADD CONSTRAINT FK__sp_num_da__rstat__45A94D10 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_num_dat_type ADD CONSTRAINT FK__sp_num_dat_type__469D7149 
    FOREIGN KEY (spn_db_site, spn_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_num_dat_type ADD CONSTRAINT FK__sp_num_dat_type__47919582 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_stream_block 
 */

ALTER TABLE sp_stream_block ADD CONSTRAINT FK__sp_stream__rstat__53F76C67 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_stream_block ADD CONSTRAINT FK__sp_stream_block__54EB90A0 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_stream_block ADD CONSTRAINT FK__sp_stream_block__55DFB4D9 
    FOREIGN KEY (sp_blk_db_site, sp_blk_db_id, sp_block_id)
    REFERENCES signal_proc_blk(sp_blk_db_site, sp_blk_db_id, sp_block_id)
go

ALTER TABLE sp_stream_block ADD CONSTRAINT FK__sp_stream_block__56D3D912 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_stream_type 
 */

ALTER TABLE sp_stream_type ADD CONSTRAINT FK__sp_stream__rstat__4D4A6ED8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_stream_type ADD CONSTRAINT FK__sp_stream_type__4E3E9311 
    FOREIGN KEY (sps_type_db_site, sps_type_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_stream_type ADD CONSTRAINT FK__sp_stream_type__4F32B74A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: sp_stream 
 */

ALTER TABLE sp_stream ADD CONSTRAINT FK__sp_stream__5026DB83 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_stream ADD CONSTRAINT FK__sp_stream__511AFFBC 
    FOREIGN KEY (sps_type_db_site, sps_type_db_id, sps_type_code)
    REFERENCES sp_stream_type(sps_type_db_site, sps_type_db_id, sps_type_code)
go

ALTER TABLE sp_stream ADD CONSTRAINT FK__sp_stream__520F23F5 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_stream ADD CONSTRAINT FK__sp_stream__rstat__5303482E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go


/* 
 * TABLE: sp_time_data 
 */

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_d__rstat__7C055DC1 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__00CA12DE 
    FOREIGN KEY (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
    REFERENCES ave_weight_type(ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__01BE3717 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
    REFERENCES ave_synch_type(ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__02B25B50 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__03A67F89 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__7CF981FA 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event)
    REFERENCES meas_event(meas_loc_site, meas_loc_id, gmt_event)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__7DEDA633 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__7EE1CA6C 
    FOREIGN KEY (win_db_site, win_db_id, win_type_code)
    REFERENCES window_type(win_db_site, win_db_id, win_type_code)
go

ALTER TABLE sp_time_data ADD CONSTRAINT FK__sp_time_data__7FD5EEA5 
    FOREIGN KEY (ave_db_site, ave_db_id, ave_type_code)
    REFERENCES average_type(ave_db_site, ave_db_id, ave_type_code)
go


/* 
 * TABLE: sp_time_setup 
 */

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_s__rstat__1B7E091A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__1C722D53 
    FOREIGN KEY (spt_setup_db_site, spt_setup_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__1D66518C 
    FOREIGN KEY (win_db_site, win_db_id, win_type_code)
    REFERENCES window_type(win_db_site, win_db_id, win_type_code)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__1E5A75C5 
    FOREIGN KEY (ave_db_site, ave_db_id, ave_type_code)
    REFERENCES average_type(ave_db_site, ave_db_id, ave_type_code)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__1F4E99FE 
    FOREIGN KEY (ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
    REFERENCES ave_weight_type(ave_wt_db_site, ave_wt_db_id, ave_wt_type_code)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__2042BE37 
    FOREIGN KEY (ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
    REFERENCES ave_synch_type(ave_sy_db_site, ave_sy_db_id, ave_sy_type_code)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__2136E270 
    FOREIGN KEY (sp_str_db_site, sp_str_db_id, sp_stream_id)
    REFERENCES sp_stream(sp_str_db_site, sp_str_db_id, sp_stream_id)
go

ALTER TABLE sp_time_setup ADD CONSTRAINT FK__sp_time_setup__222B06A9 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: spa_al_assoc_reg 
 */

ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT FK__spa_al_as__rstat__6BCEF5F8 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT FK__spa_al_assoc_reg__6CC31A31 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, ordering_seq, al_db_site, al_db_id, al_type_code)
    REFERENCES sp_ampl_alarm(meas_loc_site, meas_loc_id, gmt_event, ordering_seq, al_db_site, al_db_id, al_type_code)
go

ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT FK__spa_al_assoc_reg__6DB73E6A 
    FOREIGN KEY (alarm_db_site, alarm_db_id, al_meas_loc_site, al_meas_loc_id, al_ordering_seq)
    REFERENCES spa_alarm_reg(alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
go

ALTER TABLE spa_al_assoc_reg ADD CONSTRAINT FK__spa_al_assoc_reg__6EAB62A3 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: spa_alarm_reg 
 */

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm__rstat__3572E547 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__36670980 
    FOREIGN KEY (alarm_db_site, alarm_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__375B2DB9 
    FOREIGN KEY (meas_loc_site, meas_loc_id)
    REFERENCES meas_location(meas_loc_site, meas_loc_id)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__384F51F2 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__3943762B 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__3A379A64 
    FOREIGN KEY (pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
    REFERENCES post_scaling_type(pst_sc_db_site, pst_sc_db_id, pst_sc_type_code)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__3B2BBE9D 
    FOREIGN KEY (src_dt_db_site, src_dt_db_id, src_dt_type_code)
    REFERENCES src_detect_type(src_dt_db_site, src_dt_db_id, src_dt_type_code)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__3C1FE2D6 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__3D14070F 
    FOREIGN KEY (ml_db_site, ml_db_id, ml_type_code)
    REFERENCES meas_loc_type(ml_db_site, ml_db_id, ml_type_code)
go

ALTER TABLE spa_alarm_reg ADD CONSTRAINT FK__spa_alarm_reg__3E082B48 
    FOREIGN KEY (mc_db_site, mc_db_id, mc_type_code)
    REFERENCES mloc_calc_type(mc_db_site, mc_db_id, mc_type_code)
go


/* 
 * TABLE: src_detect_type 
 */

ALTER TABLE src_detect_type ADD CONSTRAINT FK__src_detec__rstat__2818EA29 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE src_detect_type ADD CONSTRAINT FK__src_detect_type__290D0E62 
    FOREIGN KEY (src_dt_db_site, src_dt_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE src_detect_type ADD CONSTRAINT FK__src_detect_type__2A01329B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_al_assoc_reg 
 */

ALTER TABLE test_al_assoc_reg ADD CONSTRAINT FK__test_al_a__rstat__61DB776A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_al_assoc_reg ADD CONSTRAINT FK__test_al_assoc_re__62CF9BA3 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code)
    REFERENCES test_nres_alarm(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq, al_db_site, al_db_id, al_type_code)
go

ALTER TABLE test_al_assoc_reg ADD CONSTRAINT FK__test_al_assoc_re__63C3BFDC 
    FOREIGN KEY (al_meas_loc_site, al_meas_loc_id, alarm_db_site, alarm_db_id, al_ordering_seq)
    REFERENCES mloc_test_alrm_rg(alarm_db_site, alarm_db_id, meas_loc_site, meas_loc_id, ordering_seq)
go

ALTER TABLE test_al_assoc_reg ADD CONSTRAINT FK__test_al_assoc_re__64B7E415 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_blob_results 
 */

ALTER TABLE test_blob_results ADD CONSTRAINT FK__test_blob__rstat__65AC084E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_blob_results ADD CONSTRAINT FK__test_blob_result__66A02C87 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
    REFERENCES meas_sample_test(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
go

ALTER TABLE test_blob_results ADD CONSTRAINT FK__test_blob_result__679450C0 
    FOREIGN KEY (strb_db_site, strb_db_id, str_blob_type_code)
    REFERENCES test_result_btype(strb_db_site, strb_db_id, str_blob_type_code)
go

ALTER TABLE test_blob_results ADD CONSTRAINT FK__test_blob_result__688874F9 
    FOREIGN KEY (bd_db_site, bd_db_id, bd_type_code)
    REFERENCES blob_data_type(bd_db_site, bd_db_id, bd_type_code)
go

ALTER TABLE test_blob_results ADD CONSTRAINT FK__test_blob_result__697C9932 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_bres_alarm 
 */

ALTER TABLE test_bres_alarm ADD CONSTRAINT FK__test_bres__rstat__6A70BD6B 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_bres_alarm ADD CONSTRAINT FK__test_bres_alarm__6B64E1A4 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
    REFERENCES test_blob_results(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
go

ALTER TABLE test_bres_alarm ADD CONSTRAINT FK__test_bres_alarm__6C5905DD 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE test_bres_alarm ADD CONSTRAINT FK__test_bres_alarm__6D4D2A16 
    FOREIGN KEY (org_agent_site, agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE test_bres_alarm ADD CONSTRAINT FK__test_bres_alarm__6E414E4F 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_chr_results 
 */

ALTER TABLE test_chr_results ADD CONSTRAINT FK__test_chr___rstat__50B0EB68 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_chr_results ADD CONSTRAINT FK__test_chr_results__51A50FA1 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
    REFERENCES meas_sample_test(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
go

ALTER TABLE test_chr_results ADD CONSTRAINT FK__test_chr_results__529933DA 
    FOREIGN KEY (strc_db_site, strc_db_id, str_chr_type_code)
    REFERENCES test_result_ctype(strc_db_site, strc_db_id, str_chr_type_code)
go

ALTER TABLE test_chr_results ADD CONSTRAINT FK__test_chr_results__538D5813 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE test_chr_results ADD CONSTRAINT FK__test_chr_results__54817C4C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_histogram 
 */

ALTER TABLE test_histogram ADD CONSTRAINT FK__test_hist__rstat__58520D30 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_histogram ADD CONSTRAINT FK__test_histogram__59463169 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
    REFERENCES meas_sample_test(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
go

ALTER TABLE test_histogram ADD CONSTRAINT FK__test_histogram__5A3A55A2 
    FOREIGN KEY (strn_db_site, strn_db_id, str_num_type_code)
    REFERENCES test_result_ntype(strn_db_site, strn_db_id, str_num_type_code)
go

ALTER TABLE test_histogram ADD CONSTRAINT FK__test_histogram__5B2E79DB 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE test_histogram ADD CONSTRAINT FK__test_histogram__5C229E14 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_nres_alarm 
 */

ALTER TABLE test_nres_alarm ADD CONSTRAINT FK__test_nres__rstat__5D16C24D 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_nres_alarm ADD CONSTRAINT FK__test_nres_alarm__5E0AE686 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
    REFERENCES test_num_results(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq, ordering_seq)
go

ALTER TABLE test_nres_alarm ADD CONSTRAINT FK__test_nres_alarm__5EFF0ABF 
    FOREIGN KEY (al_db_site, al_db_id, al_type_code)
    REFERENCES alarm_type(al_db_site, al_db_id, al_type_code)
go

ALTER TABLE test_nres_alarm ADD CONSTRAINT FK__test_nres_alarm__5FF32EF8 
    FOREIGN KEY (org_agent_site, agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE test_nres_alarm ADD CONSTRAINT FK__test_nres_alarm__60E75331 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_num_results 
 */

ALTER TABLE test_num_results ADD CONSTRAINT FK__test_num___rstat__4CE05A84 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_num_results ADD CONSTRAINT FK__test_num_results__4BEC364B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE test_num_results ADD CONSTRAINT FK__test_num_results__4DD47EBD 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
    REFERENCES meas_sample_test(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
go

ALTER TABLE test_num_results ADD CONSTRAINT FK__test_num_results__4EC8A2F6 
    FOREIGN KEY (strn_db_site, strn_db_id, str_num_type_code)
    REFERENCES test_result_ntype(strn_db_site, strn_db_id, str_num_type_code)
go

ALTER TABLE test_num_results ADD CONSTRAINT FK__test_num_results__4FBCC72F 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go


/* 
 * TABLE: test_remark 
 */

ALTER TABLE test_remark ADD CONSTRAINT FK__test_rema__rstat__5575A085 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_remark ADD CONSTRAINT FK__test_remark__5669C4BE 
    FOREIGN KEY (meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
    REFERENCES meas_sample_test(meas_loc_site, meas_loc_id, gmt_event, sample_order_seq, test_order_seq)
go

ALTER TABLE test_remark ADD CONSTRAINT FK__test_remark__575DE8F7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_result_btype 
 */

ALTER TABLE test_result_btype ADD CONSTRAINT FK__test_resu__rstat__5F3414E9 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_result_btype ADD CONSTRAINT FK__test_result_btyp__60283922 
    FOREIGN KEY (strb_db_site, strb_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE test_result_btype ADD CONSTRAINT FK__test_result_btyp__611C5D5B 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_result_ctype 
 */

ALTER TABLE test_result_ctype ADD CONSTRAINT FK__test_resu__rstat__5C57A83E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_result_ctype ADD CONSTRAINT FK__test_result_ctyp__5D4BCC77 
    FOREIGN KEY (strc_db_site, strc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE test_result_ctype ADD CONSTRAINT FK__test_result_ctyp__5E3FF0B0 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: test_result_ntype 
 */

ALTER TABLE test_result_ntype ADD CONSTRAINT FK__test_resu__rstat__597B3B93 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE test_result_ntype ADD CONSTRAINT FK__test_result_ntyp__5A6F5FCC 
    FOREIGN KEY (strn_db_site, strn_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE test_result_ntype ADD CONSTRAINT FK__test_result_ntyp__5B638405 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: tr_axis_dir_type 
 */

ALTER TABLE tr_axis_dir_type ADD CONSTRAINT FK__tr_axis_d__rstat__5AD97420 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE tr_axis_dir_type ADD CONSTRAINT FK__tr_axis_dir_type__5BCD9859 
    FOREIGN KEY (ta_db_site, ta_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE tr_axis_dir_type ADD CONSTRAINT FK__tr_axis_dir_type__5CC1BC92 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: trans_type 
 */

ALTER TABLE trans_type ADD CONSTRAINT FK__trans_typ__rstat__57FD0775 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE trans_type ADD CONSTRAINT FK__trans_type__58F12BAE 
    FOREIGN KEY (tr_db_site, tr_db_id, tr_type_code)
    REFERENCES asset_type(as_db_site, as_db_id, as_type_code)
go

ALTER TABLE trans_type ADD CONSTRAINT FK__trans_type__59E54FE7 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: transducer 
 */

ALTER TABLE transducer ADD CONSTRAINT FK__transduce__rstat__7775B2CE 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE transducer ADD CONSTRAINT FK__transducer__7869D707 
    FOREIGN KEY (tr_asset_site, tr_asset_id)
    REFERENCES asset(asset_org_site, asset_id)
go

ALTER TABLE transducer ADD CONSTRAINT FK__transducer__795DFB40 
    FOREIGN KEY (tr_db_site, tr_db_id, tr_type_code)
    REFERENCES trans_type(tr_db_site, tr_db_id, tr_type_code)
go

ALTER TABLE transducer ADD CONSTRAINT FK__transducer__7A521F79 
    FOREIGN KEY (out_eu_db_site, out_eu_db_id, out_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE transducer ADD CONSTRAINT FK__transducer__7B4643B2 
    FOREIGN KEY (per_eu_db_site, per_eu_db_id, per_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE transducer ADD CONSTRAINT FK__transducer__7C3A67EB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: window_type 
 */

ALTER TABLE window_type ADD CONSTRAINT FK__window_ty__rstat__6F9F86DC 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE window_type ADD CONSTRAINT FK__window_type__7093AB15 
    FOREIGN KEY (win_db_site, win_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE window_type ADD CONSTRAINT FK__window_type__7187CF4E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wo_step_as_recomm 
 */

ALTER TABLE wo_step_as_recomm ADD CONSTRAINT FK__wo_step_a__rstat__35E7E693 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wo_step_as_recomm ADD CONSTRAINT FK__wo_step_as_recom__36DC0ACC 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE wo_step_as_recomm ADD CONSTRAINT FK__wo_step_as_recom__37D02F05 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE wo_step_as_recomm ADD CONSTRAINT FK__wo_step_as_recom__38C4533E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wo_step_audit 
 */

ALTER TABLE wo_step_audit ADD CONSTRAINT FK__wo_step_a__rstat__2C5E7C59 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wo_step_audit ADD CONSTRAINT FK__wo_step_audit__2D52A092 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE wo_step_audit ADD CONSTRAINT FK__wo_step_audit__2E46C4CB 
    FOREIGN KEY (waudit_db_site, waudit_db_id, waudit_type_code)
    REFERENCES work_audit_type(waudit_db_site, waudit_db_id, waudit_type_code)
go

ALTER TABLE wo_step_audit ADD CONSTRAINT FK__wo_step_audit__2F3AE904 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE wo_step_audit ADD CONSTRAINT FK__wo_step_audit__302F0D3D 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE wo_step_audit ADD CONSTRAINT FK__wo_step_audit__31233176 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wo_step_chr_data 
 */

ALTER TABLE wo_step_chr_data ADD CONSTRAINT FK__wo_step_c__rstat__2799C73C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wo_step_chr_data ADD CONSTRAINT FK__wo_step_chr_data__288DEB75 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE wo_step_chr_data ADD CONSTRAINT FK__wo_step_chr_data__29820FAE 
    FOREIGN KEY (wc_db_site, wc_db_id, wc_type_code)
    REFERENCES work_chr_data_type(wc_db_site, wc_db_id, wc_type_code)
go

ALTER TABLE wo_step_chr_data ADD CONSTRAINT FK__wo_step_chr_data__2A7633E7 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE wo_step_chr_data ADD CONSTRAINT FK__wo_step_chr_data__2B6A5820 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wo_step_num_data 
 */

ALTER TABLE wo_step_num_data ADD CONSTRAINT FK__wo_step_n__rstat__22D5121F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wo_step_num_data ADD CONSTRAINT FK__wo_step_num_data__23C93658 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE wo_step_num_data ADD CONSTRAINT FK__wo_step_num_data__24BD5A91 
    FOREIGN KEY (wn_db_site, wn_db_id, wn_type_code)
    REFERENCES work_num_data_type(wn_db_site, wn_db_id, wn_type_code)
go

ALTER TABLE wo_step_num_data ADD CONSTRAINT FK__wo_step_num_data__25B17ECA 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE wo_step_num_data ADD CONSTRAINT FK__wo_step_num_data__26A5A303 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wo_step_sg_recomm 
 */

ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT FK__wo_step_s__rstat__321755AF 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT FK__wo_step_sg_recom__330B79E8 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT FK__wo_step_sg_recom__33FF9E21 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE wo_step_sg_recomm ADD CONSTRAINT FK__wo_step_sg_recom__34F3C25A 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wo_step_work_req 
 */

ALTER TABLE wo_step_work_req ADD CONSTRAINT FK__wo_step_w__rstat__39B87777 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wo_step_work_req ADD CONSTRAINT FK__wo_step_work_req__3AAC9BB0 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
    REFERENCES work_order_step(work_order_db_site, work_order_db_id, work_order_id, work_ord_step_seq)
go

ALTER TABLE wo_step_work_req ADD CONSTRAINT FK__wo_step_work_req__3BA0BFE9 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE wo_step_work_req ADD CONSTRAINT FK__wo_step_work_req__3C94E422 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_audit_type 
 */

ALTER TABLE work_audit_type ADD CONSTRAINT FK__work_audi__rstat__08362A7C 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_audit_type ADD CONSTRAINT FK__work_audit_type__092A4EB5 
    FOREIGN KEY (waudit_db_site, waudit_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_audit_type ADD CONSTRAINT FK__work_audit_type__0A1E72EE 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_chr_data_type 
 */

ALTER TABLE work_chr_data_type ADD CONSTRAINT FK__work_chr___rstat__0DEF03D2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_chr_data_type ADD CONSTRAINT FK__work_chr_data_ty__0EE3280B 
    FOREIGN KEY (wc_db_site, wc_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_chr_data_type ADD CONSTRAINT FK__work_chr_data_ty__0FD74C44 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_manage_type 
 */

ALTER TABLE work_manage_type ADD CONSTRAINT FK__work_mana__rstat__7BD05397 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_manage_type ADD CONSTRAINT FK__work_manage_type__7CC477D0 
    FOREIGN KEY (wm_type_db_site, wm_type_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_manage_type ADD CONSTRAINT FK__work_manage_type__7DB89C09 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_num_data_type 
 */

ALTER TABLE work_num_data_type ADD CONSTRAINT FK__work_num___rstat__0B129727 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_num_data_type ADD CONSTRAINT FK__work_num_data_ty__0C06BB60 
    FOREIGN KEY (wn_db_site, wn_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_num_data_type ADD CONSTRAINT FK__work_num_data_ty__0CFADF99 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_order_audit 
 */

ALTER TABLE work_order_audit ADD CONSTRAINT FK__work_orde__rstat__157B1701 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_order_audit ADD CONSTRAINT FK__work_order_audit__166F3B3A 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order_audit ADD CONSTRAINT FK__work_order_audit__17635F73 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order_audit ADD CONSTRAINT FK__work_order_audit__185783AC 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_order_audit ADD CONSTRAINT FK__work_order_audit__194BA7E5 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_order_audit ADD CONSTRAINT FK__work_order_audit__1A3FCC1E 
    FOREIGN KEY (waudit_db_site, waudit_db_id, waudit_type_code)
    REFERENCES work_audit_type(waudit_db_site, waudit_db_id, waudit_type_code)
go


/* 
 * TABLE: work_order_child 
 */

ALTER TABLE work_order_child ADD CONSTRAINT FK__work_orde__rstat__08211BE3 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_order_child ADD CONSTRAINT FK__work_order_child__0915401C 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_order_child ADD CONSTRAINT FK__work_order_child__0A096455 
    FOREIGN KEY (child_wo_db_site, child_wo_db_id, child_wo_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_order_child ADD CONSTRAINT FK__work_order_child__0AFD888E 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_order_chr_data 
 */

ALTER TABLE work_order_chr_data ADD CONSTRAINT FK__work_orde__rstat__10B661E4 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_order_chr_data ADD CONSTRAINT FK__work_order_chr_d__11AA861D 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_order_chr_data ADD CONSTRAINT FK__work_order_chr_d__129EAA56 
    FOREIGN KEY (wc_db_site, wc_db_id, wc_type_code)
    REFERENCES work_chr_data_type(wc_db_site, wc_db_id, wc_type_code)
go

ALTER TABLE work_order_chr_data ADD CONSTRAINT FK__work_order_chr_d__1392CE8F 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE work_order_chr_data ADD CONSTRAINT FK__work_order_chr_d__1486F2C8 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_order_num_data 
 */

ALTER TABLE work_order_num_data ADD CONSTRAINT FK__work_orde__rstat__0BF1ACC7 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_order_num_data ADD CONSTRAINT FK__work_order_num_d__0CE5D100 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_order_num_data ADD CONSTRAINT FK__work_order_num_d__0DD9F539 
    FOREIGN KEY (wn_db_site, wn_db_id, wn_type_code)
    REFERENCES work_num_data_type(wn_db_site, wn_db_id, wn_type_code)
go

ALTER TABLE work_order_num_data ADD CONSTRAINT FK__work_order_num_d__0ECE1972 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE work_order_num_data ADD CONSTRAINT FK__work_order_num_d__0FC23DAB 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_order_step 
 */

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_orde__rstat__1B33F057 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__1C281490 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__1D1C38C9 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__1E105D02 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__1F04813B 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__1FF8A574 
    FOREIGN KEY (to_agent_site, to_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__20ECC9AD 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE work_order_step ADD CONSTRAINT FK__work_order_step__21E0EDE6 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_order 
 */

ALTER TABLE work_order ADD CONSTRAINT FK__work_orde__rstat__7F8BD5E2 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__007FFA1B 
    FOREIGN KEY (work_order_db_site, work_order_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__01741E54 
    FOREIGN KEY (wm_type_db_site, wm_type_db_id, wm_type_code)
    REFERENCES work_manage_type(wm_type_db_site, wm_type_db_id, wm_type_code)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__0268428D 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__035C66C6 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__04508AFF 
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__0544AF38 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__0638D371 
    FOREIGN KEY (to_agent_site, to_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_order ADD CONSTRAINT FK__work_order__072CF7AA 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_req_as_recomm 
 */

ALTER TABLE work_req_as_recomm ADD CONSTRAINT FK__work_req___rstat__68A8708A 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_req_as_recomm ADD CONSTRAINT FK__work_req_as_reco__699C94C3 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE work_req_as_recomm ADD CONSTRAINT FK__work_req_as_reco__6A90B8FC 
    FOREIGN KEY (asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES as_recommendation(asset_org_site, asset_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE work_req_as_recomm ADD CONSTRAINT FK__work_req_as_reco__6B84DD35 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_req_chr_data 
 */

ALTER TABLE work_req_chr_data ADD CONSTRAINT FK__work_req___rstat__750E476F 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_req_chr_data ADD CONSTRAINT FK__work_req_chr_dat__76026BA8 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE work_req_chr_data ADD CONSTRAINT FK__work_req_chr_dat__76F68FE1 
    FOREIGN KEY (wc_db_site, wc_db_id, wc_type_code)
    REFERENCES work_chr_data_type(wc_db_site, wc_db_id, wc_type_code)
go

ALTER TABLE work_req_chr_data ADD CONSTRAINT FK__work_req_chr_dat__77EAB41A 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE work_req_chr_data ADD CONSTRAINT FK__work_req_chr_dat__78DED853 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_req_num_data 
 */

ALTER TABLE work_req_num_data ADD CONSTRAINT FK__work_req___rstat__70499252 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_req_num_data ADD CONSTRAINT FK__work_req_num_dat__713DB68B 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE work_req_num_data ADD CONSTRAINT FK__work_req_num_dat__7231DAC4 
    FOREIGN KEY (wn_db_site, wn_db_id, wn_type_code)
    REFERENCES work_num_data_type(wn_db_site, wn_db_id, wn_type_code)
go

ALTER TABLE work_req_num_data ADD CONSTRAINT FK__work_req_num_dat__7325FEFD 
    FOREIGN KEY (eu_db_site, eu_db_id, eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE work_req_num_data ADD CONSTRAINT FK__work_req_num_dat__741A2336 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_req_sg_recomm 
 */

ALTER TABLE work_req_sg_recomm ADD CONSTRAINT FK__work_req___rstat__64D7DFA6 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_req_sg_recomm ADD CONSTRAINT FK__work_req_sg_reco__65CC03DF 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE work_req_sg_recomm ADD CONSTRAINT FK__work_req_sg_reco__66C02818 
    FOREIGN KEY (segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
    REFERENCES sg_recommendation(segment_site, segment_id, gmt_recommendation, by_agent_site, by_agent_id)
go

ALTER TABLE work_req_sg_recomm ADD CONSTRAINT FK__work_req_sg_reco__67B44C51 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_req_sol_pack 
 */

ALTER TABLE work_req_sol_pack ADD CONSTRAINT FK__work_req___rstat__6C79016E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_req_sol_pack ADD CONSTRAINT FK__work_req_sol_pac__6D6D25A7 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE work_req_sol_pack ADD CONSTRAINT FK__work_req_sol_pac__6E6149E0 
    FOREIGN KEY (sol_pack_db_site, sol_pack_db_id, sol_pack_id)
    REFERENCES solution_package(sol_pack_db_site, sol_pack_db_id, sol_pack_id)
go

ALTER TABLE work_req_sol_pack ADD CONSTRAINT FK__work_req_sol_pac__6F556E19 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_request_audit 
 */

ALTER TABLE work_request_audit ADD CONSTRAINT FK__work_requ__rstat__7AC720C5 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_request_audit ADD CONSTRAINT FK__work_request_aud__79D2FC8C 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_request_audit ADD CONSTRAINT FK__work_request_aud__7BBB44FE 
    FOREIGN KEY (work_req_db_site, work_req_db_id, work_req_id)
    REFERENCES work_request(work_req_db_site, work_req_db_id, work_req_id)
go

ALTER TABLE work_request_audit ADD CONSTRAINT FK__work_request_aud__7CAF6937 
    FOREIGN KEY (waudit_db_site, waudit_db_id, waudit_type_code)
    REFERENCES work_audit_type(waudit_db_site, waudit_db_id, waudit_type_code)
go

ALTER TABLE work_request_audit ADD CONSTRAINT FK__work_request_aud__7DA38D70 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_request_audit ADD CONSTRAINT FK__work_request_aud__7E97B1A9 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go


/* 
 * TABLE: work_request 
 */

ALTER TABLE work_request ADD CONSTRAINT FK__work_requ__rstat__2F6FF32E 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__30641767 
    FOREIGN KEY (work_req_db_site, work_req_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__31583BA0 
    FOREIGN KEY (work_order_db_site, work_order_db_id, work_order_id)
    REFERENCES work_order(work_order_db_site, work_order_db_id, work_order_id)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__324C5FD9 
    FOREIGN KEY (wm_type_db_site, wm_type_db_id, wm_type_code)
    REFERENCES work_manage_type(wm_type_db_site, wm_type_db_id, wm_type_code)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__33408412 
    FOREIGN KEY (by_agent_site, by_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__3434A84B 
    FOREIGN KEY (priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
    REFERENCES priority_level_type(priority_lev_db_site, priority_lev_db_id, priority_lev_type_code)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__3528CC84 
    FOREIGN KEY (int_eu_db_site, int_eu_db_id, int_eu_type_code)
    REFERENCES eng_unit_type(eu_db_site, eu_db_id, eu_type_code)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__361CF0BD 
    FOREIGN KEY (from_sy_agent_site, from_sy_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__371114F6 
    FOREIGN KEY (to_agent_site, to_agent_id)
    REFERENCES agent(org_agent_site, agent_id)
go

ALTER TABLE work_request ADD CONSTRAINT FK__work_request__3805392F 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: work_task_type 
 */

ALTER TABLE work_task_type ADD CONSTRAINT FK__work_task__rstat__7EACC042 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE work_task_type ADD CONSTRAINT FK__work_task_type__009508B4 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go

ALTER TABLE work_task_type ADD CONSTRAINT FK__work_task_type__7FA0E47B 
    FOREIGN KEY (task_db_site, task_db_id)
    REFERENCES site_database(db_site, db_id)
go


/* 
 * TABLE: wtask_type_child 
 */

ALTER TABLE wtask_type_child ADD CONSTRAINT FK__wtask_typ__rstat__01892CED 
    FOREIGN KEY (rstat_type_code)
    REFERENCES row_status_type(rstat_type_cod)
go

ALTER TABLE wtask_type_child ADD CONSTRAINT FK__wtask_type_child__027D5126 
    FOREIGN KEY (task_db_site, task_db_id, task_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE wtask_type_child ADD CONSTRAINT FK__wtask_type_child__0371755F 
    FOREIGN KEY (child_tk_db_site, child_tk_db_id, child_tk_type_code)
    REFERENCES work_task_type(task_db_site, task_db_id, task_type_code)
go

ALTER TABLE wtask_type_child ADD CONSTRAINT FK__wtask_type_child__04659998 
    FOREIGN KEY (last_upd_db_site, last_upd_db_id)
    REFERENCES site_database(db_site, db_id)
go



